46.9
====
* Support presentation-time version 2 [Dudemanguy; !4227]
* Honor wl_surface.offset on cursor surfaces [Carlos; !4239]
* Fix crash [Jonas; !4257]

Contributors:
  Dudemanguy, Carlos Garnacho, Jonas Ådahl

46.8
====
* Use BT709 coefficients and limited range for YUV conversion by defaults
  [Robert; !4204]
* Also request high priority secondary EGL context [Jonas; !2973]
* Fix applying initial _NET_WM_WINDOW_OPACITY on Xwayland [Olivier; !4170]
* Misc. bug fixes and cleanups [Bilal, Bartłomiej, Sebastian, José, Michel;
  !4176, !4199, !4157, !4168, !4149]

Contributors:
  Michel Dänzer, Bilal Elmoussaoui, José Expósito, Olivier Fourdan,
  Robert Mader, Bartłomiej Piotrowski, Sebastian Wick, Jonas Ådahl

46.7
====
* Default to high thread instead of realtime priority for KMS thread
  [Jonas Å.; !4124]
* Fix updating cursor immediately when starting window drag [Olivier; !3639]
* Prefer GPUs with built-in panels connected as primary GPU [Mario; !4114]
* Fix cursor glitches when using virtual monitors [Jonas Å.; !4066]
* Ensure frame events are sent for cursor surfaces [Michel; #3735]
* Allow BGRX8888 format on big endian [Jocelyn; !4088]
* Fix touchscreen drag-and-drop on wayland [Alessandro; !4091]
* Fixed crashes [Daniel, Robert, Jonas D., Michel; !4021, !3176, !3650, !4136]
* Misc. bug fixes and cleanups [Michel, José, Jonas Å., Takao;
  !4057, !4109, !4116, !4064, !4128, !3604]

Contributors:
  Alessandro Astone, Jonas Dreßler, Michel Dänzer, José Expósito,
  Jocelyn Falempe, Olivier Fourdan, Takao Fujiwara, Mario Limonciello,
  Robert Obkircher, Daniel van Vugt, Jonas Ådahl

46.6
====
* Fix grabbing tablet devices [Jonas; !4033]
* Fix explicit sync with virtual monitors w/o pipewire streams [Doğukan; !4056]
* Improve detecting preferred primary devices [Kamil; !4055]
* Fixed crashes [Bilal; !4034]
* Misc. bug fixes and cleanups [Jonas; !4016, !3926]

Contributors:
  Jonas Ådahl, Bilal Elmoussaoui, Doğukan Korkmaztürk, Kamil Szczęk

46.5
====
* Fix drag and drop between X11 and wayland clients [Carlos; !3821]
* Fix drag and drop from grabbing popups [Carlos; !3937]
* Fix EGLDevice support [Daniel; !3939]
* Fix frozen cursor on some hybrid machines [Daniel; !3950]
* Fix touch window dragging with pointer lock enabled [Carlos; !3889]
* Fix propagating tablet device removals to clients [Peter; !3955]
* Fix tablet input in maximized windows [Peter; !3956]
* Reduce damage on window movement [Christian; !3975]
* Fix frozen cursor after suspend [Jonas; !3982]
* Fix using modifiers on multi-GPU setups [José; !3998]
* Fixed crashes [Marco, Jonas; !3978, !3960]
* Misc. bug fixes and cleanups [Daniel, Michel, Sebastian, Bilal, Peter;
  #3597, !3946, !3903, !3914, !3954, !3912, !3837, !3959]

Contributors:
  Jonas Ådahl, Michel Dänzer, Bilal Elmoussaoui, José Expósito, Carlos Garnacho,
  Christian Hergert, Peter Hutterer, Marco Trevisan (Treviño), Daniel van Vugt,
  Sebastian Wick

Translators:
  Daniel Șerbănescu [ro], Vasil Pupkin [be]

46.4
====
* Fix nested popovers on wayland [Carlos; !3874]
* Misc. bug fixes and cleanups [Robert, Jonas; !3906, !3329]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Robert Mader

Translators:
  Jürgen Benvenuti [de], Chao-Hsiung Liao [zh_TW]

46.3.1
======
* Fix visibility of Xwayland windows [Michel; !3862]
* Misc. bug fixes [Marco; !2959]

Contributors:
  Michel Dänzer, Marco Trevisan (Treviño)

46.3
====
* Fix performance issues with second virtual monitor [Jonas; !3803]
* Fix missing unmap animation of some windows [Michel; !3840]
* Fix placement/resizing regression [Jonas; #2616]
* Fix possible out of sync primary selections and clipboard [Carlos; !3789]
* Fix ibus support in popups [Sebastian K.; !3787]
* Fix hardware accelerated rendering when headless [Jonas; !3805]
* Add back support for legacy X11 cursor themes [Daniel; !3718]
* Fix preedit offsets [Orko; !3845]
* Use character offsets to specify surrounding text [Shiki; !3719]
* Don't force titlebar on screen on all interactive resizes [Jeffrey; !3764]
* Fixed crashes [Carlos, Sebastian W., Michel; !3729, !3783, !3849]
* Misc. bug fixes and cleanups [Daniel, Philip, Marco, José, Jonas, Pascal,
  Corentin; #3368, !3770, !3788, !3791, !3809, !3811, !3827, !3790]

Contributors:
  Jonas Ådahl, Michel Dänzer, José Expósito, Orko Garai, Carlos Garnacho,
  Sebastian Keller, Jeffrey Knockel, Corentin Noël, Pascal Nowack,
  Shiki Okasaka, Marco Trevisan (Treviño), Daniel van Vugt, Sebastian Wick,
  Philip Withnall

Translators:
  Scrambled 777 [hi], Jose Riha [sk], Pawan Chitrakar [ne], Милош Поповић [sr]

46.2
====
* Fix hardware cursor with non-atomic KMS drivers [Daniel; !3676]
* Fix night light state getting stuck on monitor changes [Michel; !3742]
* Fix sending preferred buffer transform [Robert; !3717]
* Fix key press events with immediate release being ignored [Carlos; !3721]
* Fix unsetting clipboard on screen lock [Florian; !3752]
* Fix wrong input region of undecorated X11 windows [Sebastian K.; !3720]
* Fix windows potentially shrinking unexpectedly on configure [Jonas Å.; !3755]
* Fix popup menus sometimes closing immediately [Jonas D.; !3631]
* Fixed crashes [Michel, Carlos, Keyu, Jonas Å., Sebastian K.; !3725, !3763,
  !3715, !3711, !3758, !3749]
* Misc. bug fixes and cleanups [Florian, Echo, Michel, Jonas Å., Sebastian W.,
  Corentin, Bilal; !3723, !3744, !3737, !3743, !3735, !3731, !3700, !3750,
  !3757, !3754, !3748, !3730, !3775]

Contributors:
  Jonas Ådahl, Michel Dänzer, Jonas Dreßler, Bilal Elmoussaoui, Carlos Garnacho,
  Echo J, Sebastian Keller, Robert Mader, Florian Müllner, Corentin Noël,
  Keyu Tao, Marco Trevisan (Treviño), Daniel van Vugt, Sebastian Wick

Translators:
  Hugo Carvalho [pt], Leônidas Araújo [pt_BR]

46.1
====
* Implement linux-drm-syncobj-v1 [Austin; !3300]
* Fix input lag on X11 nvidia [Daniel; !3685]
* Fix scanout on secondary GPUs [Michel; !3674]
* Don't apply max-render-time to secondary GPUs [Michel; !3689]
* Fix reusing single-pixel buffers [Jonas Å.; !3702]
* Improve scanout candidate check [Robert; !3699]
* Always use logical pixels for bounds [Sophie; !3698]
* Fix modifiers getting stuck during grabs [Carlos; !3704]
* Fix night-light on displays without EDID [Sebastian W.; !3673]
* Fix secondary GPU acceleration with nvidia driver [Jonas Å., Daniel; !3304]
* Fix some XWayland clients being partially click-through [Sebastian K.; !3697]
* Fix initial suspended state [Jonas Å.; !3475]
* Fixed crashes [Bilal, Jonas Å., Sebastian W., Daniel;
  !3683, !3666, !3691, !3708, !3678]
* Misc. bug fixes and cleanups [Ray, Carlos, Bilal, Ivan, Barnabás, Jonas Å.,
  Jonas D., Michel; !3672, !3681, !3686, !3687, !3671, !3679, !3690, !3703,
  !3695, !2946, !3696, !3710, !3644, !3707]

Contributors:
  Jonas Ådahl, Michel Dänzer, Jonas Dreßler, Bilal Elmoussaoui, Carlos Garnacho,
  Sophie Herold, Sebastian Keller, Robert Mader, Athmane MOKRAOUI,
  Ivan Molodetskikh, Barnabás Pőcze, Austin Shafer, Ray Strode, Daniel van Vugt,
  Sebastian Wick

Translators:
  A S Alam [pa], Athmane MOKRAOUI [kab], Rachida SACI [kab],
  Nathan Follens [nl], Gwan-gyeong Mun [ko], Fabio Tomat [fur]

46.0
====
* Fix duplicate scroll events over libei [Peter; !3637]
* Fix window menu with mouse button modifier [Jonas; !3623]
* Fix caret offset in accessible event [Carlos; !3643]
* Fix handling of scroll events for mice [Carlos; !3642]
* Use timerfd for clock timing [Christian; !3636]
* Advertise support for BGRA for all screencast types [Robert; !3617]
* Add support for preferred_buffer_scale/transform [Robert; !3580]
* Use memfd to store selection data [Yotam; !3551]
* Fix globally active input focus [Sebastian K.; !3651]
* Call malloc_trim() after loading background image [Sebastian K.; !3653]
* Fix dynamic max render time sometimes getting stuck on constant framerate
  [Robert; !3655]
* Introduce base of new gesture framework [Jonas; !2389]
* Work around windows missing work area changes [Balló; !3601]
* Fix black screen with some drivers [Sebastian W.; !3646]
* Improve login screen <-> session transition [Jocelyn; !3659]
* Fixed crashes [Bilal, Carlos; !3656, !3660]
* Misc. bug fixes and cleanups [Philip, Peter, Sebastian W., Zander, Petr,
  Sebastian K., Robert, Bilal, Jonas; !3640, !3647, !3648, !3654, !3658, !3622,
  !1918, !3067, !3661, !3662, !3652, !3645]

Contributors:
  Yotam Bar-On, Zander Brown, Jonas Dreßler, Bilal Elmoussaoui, Jocelyn Falempe,
  Carlos Garnacho, Balló György, Christian Hergert, Petr Hodina, Peter Hutterer,
  Sebastian Keller, Robert Mader, Sebastian Wick, Philip Withnall

Translators:
  Sabri Ünal [tr], Aurimas Černius [lt], Jordi Mas i Hernandez [ca],
  Asier Sarasua Garmendia [eu], Matej Urbančič [sl], Anders Jonsson [sv],
  Bruce Cowan [en_GB], Guillaume Bernard [fr], Kukuh Syafaat [id],
  Milo Casagrande [it], Rūdolfs Mazurs [lv], Fran Dieguez [gl],
  Ask Hjorth Larsen [da]

46.rc
=====
* screencast: Renegotiate when DMABUF allocation fails [columbarius; !2557]
* Unify wayland pointer- and keyboard grab mechanisms [Carlos; !3420]
* Add modifier-aware screencasting support [Doğukan; !3537]
* Fix synchronization issue on Xorg [Daniel; !3590]
* Send fractional_scale event immediately on window creation [Jonas; !3598]
* wayland/client: Add make_dock() method [Leonhard; !3612]
* Fix gray area on top of some X11 fullscreen windows [Sebastian K.; !3608]
* Stick dragged windows to the right anchor point [Carlos; !3546]
* cally/text: Fix emission of `text_caret_moved` signal [Florian; !3621]
* clutter/text: Fix minimum height calculation [Julian; !3610]
* Add experimental support for variable refresh rate [Dor; !1154]
* Expose the minimum refresh rate of monitors through D-Bus [Dor; !3576]
* Use "default" cursor for moving windows [Sebastian K.; !3634]
* Fixed crashes [Carlos, Michel; !3618, !3632]
* Misc. bug fixes and cleanups [Robert, Bilal, Dor, Florian, Sebastian W.,
  Daniel, msizanoen, Corentin, Agustín, Sebastian K., Marco, Doğukan, Carlos,
  Jonas, Barnabás; !3217, !3581, !3582, !3583, !3586, !3574, !3587, !3585,
  !3584, !3588, !3553, !3589, !3593, !3595, !3597, !3599, !3327, !3603, !3606,
  !3594, !3611, !3613, !3552, !3620, !3592, !3614, !3619, !3625, !3628, !3627,
  !3624, !3629, !3630, !3633, !3027]

Contributors:
  Dor Askayo, columbarius, Agustín Dall'Alba, Michel Dänzer, Jonas Dreßler,
  Bilal Elmoussaoui, Carlos Garnacho, Sebastian Keller, Doğukan Korkmaztürk,
  Leonhard, Robert Mader, msizanoen, Florian Müllner, Corentin Noël,
  Barnabás Pőcze, Julian Sparber, Marco Trevisan (Treviño), Daniel van Vugt,
  Sebastian Wick

Translators:
  Ekaterine Papava [ka], Danial Behzadi [fa], Aurimas Černius [lt],
  Yuri Chornoivan [uk], Yaron Shahrabani [he], Nathan Follens [nl],
  Matej Urbančič [sl], Jordi Mas i Hernandez [ca], Kukuh Syafaat [id],
  Luming Zh [zh_CN], Andi Chandler [en_GB], Asier Sarasua Garmendia [eu],
  Quentin PAGÈS [oc], Rūdolfs Mazurs [lv], Irénée THIRION [fr],
  Daniel Mustieles [es], Daniel Rusek [cs], Piotr Drąg [pl], Balázs Úr [hu],
  Artur S0 [ru]

46.beta
=======
* Implement mouse cursor hotspots for KMS atomic [Albert, Zack; !3337, !3503]
* Improve project and development documentation
  [Bilal, Sebastian W.; !3489, !3505, !3519]
* Add a documentation website [Bilal; !3490]
* Refactor wayland focus management [Carlos; !3511]
* Remove experimental rt-scheduler feature [Dallas; !3296]
* Remove ClutterCanvas [Shmuel; !3470]
* Consider reduced blanking with lower pixelclock [Kai-Heng; !3449]
* Fix centering non-modal transients over parent [Florian; !3533]
* Allow XKB model to be configured [Leorize; !2760]
* Enable KMS deadline timer after a VT switch if it was inhibited [Dor; !3534]
* Prepare for variable refresh rate support [Dor; !3521, !3560, !3561]
* Restore IM state flushing before handling key events [Carlos; !3536]
* Swap stylus buttons to match traditional order [Peter; !3541]
* Fix handling of pad ring wrap arounds [Peter; !3545]
* Support Broadcast RGB/RGB range KMS property [Sebastian W.; !3535]
* Ensure all planes support EGL config format [Sebastian W.; !3512]
* Handle Alt modifier in pad actions [Peter; !3522]
* Store eraser and stylus tools separately [Peter; !3542]
* Disambiguate output mapped to tablet with connector name [Carlos; !3556]
* Fix lost keyboard focus after dismissing popups [Carlos; !3568]
* Implement direct scanout for cropped and scaled surfaces
  [Robert; !3559, !3177]
* Fixed crashes [Peter, Carlos, Sebastian W., Simon, Olivier, Daniel; !3383,
  !3517, !3518, !2774, !3446, !3539, !3562, !3565]
* Misc. bug fixes and cleanups [Bilal, Daniel, Sebastian W., Robert, Zander,
  Florian, Carlos, Corentin, Shmuel, Dor, Sebastian K., Jonas; !3498, !3418,
  !3500, !3492, !3484, !3504, !3499, !3333, !3351, !3501, !3211, !3506, !3387,
  !3509, !3510, !3483, !3467, !3514, !3515, !3516, !3520, !3513, !3507, !3526,
  !3527, !3528, !3450, !3531, !3549, !3532, !3543, !3529, !3530, !3550, !3554,
  !3540, !3569, !3563, !3570, !3555, !3572, !3571, !3538, !3573, !3575]

Contributors:
  Dor Askayo, Zander Brown, Jonas Dreßler, Bilal Elmoussaoui, Albert Esteve,
  Kai-Heng Feng, Olivier Fourdan, Carlos Garnacho, Peter Hutterer,
  Sebastian Keller, Leorize, Robert Mader, Simon McVittie, Shmuel Melamud,
  Florian Müllner, Corentin Noël, Zack Rusin, Dallas Strouse, Daniel van Vugt,
  Sebastian Wick

Translators:
  Ekaterine Papava [ka], Efstathios Iosifidis [el], Artur S0 [ru],
  Daniel Rusek [cs], Fran Dieguez [gl], Sabri Ünal [tr]

46.alpha
========
* Fix filtering keybinding events in presence of grabs [Sebastian K.; !3054]
* Fix direct scanout support when using integer scaling [Daniel; !3290]
* Fix capitalization of some keys when caps lock is on [Carlos; !3306]
* Fix vsync regression [Robert; !3286]
* Fix visibility of software cursors when using direct scanout [Robert; !3302]
* Fix artifacts at the bottom of some surfaces [Robert; !3310]
* Discard monitor configs with fractional scale when unusable [Jonas Å.; !3299]
* Apply track point settings [Rohan; !3089]
* xwayland: Enable XDG portal only when not nested [Olivier; !3303]
* Inhibit real-time scheduling when mode setting [Ray; !3324]
* Don't delay frame updates after idle period [Michel; !3174]
* Fix running Xwayland in headless setup with nvidia driver [Olivier; !3320]
* wayland: Send keyboard modifiers after the enter event [Alexandros; !3341]
* wayland/client: Add make_desktop() method [Florian; !3305]
* Add a target workspace to raise_and_make_recent()  [Sebastian W.; !3315]
* clutter: Drop cairo helpers [Bilal; !3086]
* cogl: Port away from CoglObject  [Bilal; !3193]
* mtk: Add a Region type  [Bilal; !3292]
* Propagate focus appearance to all ancestors [Sebastian W.; !3356]
* Ignore locked modifiers in keybinding machinery [Carlos; !3369]
* Fix disabling check-alive timeout [Sebastian K.; !3367]
* Drop ClutterContainer interface [Zander; !3377, !3384]
* Improve sloppy and mouse focus modes [Sebastian W.; !3258]
* Sync geometry only when window is mapped [Sebastian W.; !3401, !3404]
* Improve repick due to transform changes [Carlos; !3385]
* Fix tablets on X11 having the wrong device [Carlos; !3393]
* Disable HW cursor when inhibited by backend [Robert; !3412]
* screencast: Bring back blitting [Georges; !3406]
* backends/native: Try 10 bpc formats [Michel; !3139]
* Fix forcing EGLStream with NVIDIA proprietary driver [Daniel; !2905]
* screencast: Add ability to stop streams [Jonas Å., Pascal; !3307]
* Use standard cursor names from CSS specification [Carlos; !3295]
* Avoids over-synchronization due to client reads [Michel; !3389, !3408]
* Add more profiling instrumentation [Ivan; !3417]
* Allow specifyig the layout manager for an actor type [Florian; !3445]
* Fix handling of relative mode for tablets [Peter; !3410]
* Dynamically assign hardware planes during configuration [Jonas Å.; !3428]
* Simplify X11 focus management [Carlos; !3269]
* background: Fix background color around image [Sebastian W.; !3459]
* text-input: Use correct offsets in delete_surrounding_text [Alynx; !2712]
* Add wayland shm YCbCr support [Sebastian W.; !3371]
* Set a minimum guessed scale [Joan; !3464]
* Fix building without native backend [Bilal; !3480]
* Fix occasional artifacts at top of X11 fullscreen windows [Carlos; !3476]
* Add documentation for building, running and debugging
  [Sebastian W.; !3465, !3485]
* Improve tablet pressure curve calculation [Peter; !3399]
* Fixed crashes [Carlos, Jonas D., Robert, Sebastian W., Jonas Å., Sebastian K.;
  !3287, !3283, !3311, !3322, !3318, !3370, !3392, !3335, !3422, !3376, !3453]
* Plugged leaks [Sebastian K.; !3411, !3442]
* Misc. bug fixes and cleanups [Daniel, Corentin, Carlos, Jonas Å., Ivan,
  Michel, Sebastian W., Robert, Barnabás, Peter, Bilal, Sebastian K., Zander,
  Florian, Mike, Qiu, Olivier, Christopher, Mart; !3212, !3298, !3267, !3297,
  !3313, !3316, !3317, !3323, !3325, !3326, !3328, !3330, !3332, !3319, !3097,
  !3288, !3347, !3178, !3240, !3338, !3352, !3321, !2618, !3309, !3353, !3348,
  !3349, !3358, !3361, !3362, !3276, !3340, !3365, !3366, !3364, !3363, !3375,
  !3181, !3374, !3379, !3382, !3388, !3354, !3386, !3398, !3395, !3397, !3368,
  !3400, !3396, !3405, !3403, !3409, !3413, !3402, !3280, !3394, !3421, !3423,
  !3431, !3432, !3425, !3438, !3440, !3430, !3429, !2016, !3443, !3444, !3441,
  !3451, !3350, !3434, !3437, !3447, !1908, !3456, !3452, !3454, !3455, !2620,
  !3463, !3466, !3458, !3468, !3469, !3474, !3473, !3471, !3479, !3482, !3487,
  !3486, !3478, !3488, !3357, !3491]

Contributors:
  Jonas Ådahl, Zander Brown, Michel Dänzer, Jonas Dreßler, Bilal Elmoussaoui,
  Christopher Fore, Olivier Fourdan, Alexandros Frantzis, Carlos Garnacho,
  Mike Gorse, Peter Hutterer, Rohan Hendrik Jotz-Lean, Sebastian Keller,
  Robert Mader, Ivan Molodetskikh, Florian Müllner,
  Georges Basile Stavracas Neto, Corentin Noël, Pascal Nowack, Barnabás Pőcze,
  Mart Raudsepp, Ray Strode, Joan Torres, Daniel van Vugt, Qiu Wenbo,
  Sebastian Wick, Alynx Zhou

Translators:
  Kristjan SCHMIDT [eo], Rafael Fontenelle [pt_BR], Guillaume Bernard [fr],
  Jordi Mas i Hernandez [ca], Florentina Mușat [ro], Ngọc Quân Trần [vi],
  Artur S0 [ru]

45.0
====
* Fix focus-follows-mouse mode [Carlos; !3256]
* Optimize applying relative transformation matrix [Robert; !3259]
* Add support for P010 YCbCr format [Robert; !3244]
* Fix hardware cursor stuttering on Raspberry Pi [Daniel; !3279]
* Fix input in multi-monitor remote desktop sessions with libei [Pascal; !3273]
* Fixed crashes [Carlos, Daniel, Sebastian W.; !3252, !3253, !3255, !3160,
  !3268, !3262, !3277]
* Misc. bug fixes and cleanups [Florian, Joan, Jonas, Carlos, Sebastian W.,
  Pascal; !3248, !3249, !3263, !3261, !3116, !3251, !3032, !3275, !3278]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Sebastian Keller, Andre Klapper, Robert Mader,
  Florian Müllner, Pascal Nowack, Joan Torres, Daniel van Vugt, Sebastian Wick

Translators:
  Sabri Ünal [tr], Quentin PAGÈS [oc], Anders Jonsson [sv],
  Christian Kirbach [de], Ask Hjorth Larsen [da]

45.rc
=====
* Fix possible redraw freeze in fullscreen windows [msizanoen; !3127]
* Fix restoring focus when leaving the overview  [Jonas Å., Carlos; !3185]
* Support alpha-composited window screencasts [Georges; !3175]
* Fix some XWayland windows not getting mapped [Sebastian; !3194]
* Fix cursor movement on rotated screens [Daniel; !3180]
* Avoid global lock in stage signals [Christian; !3204]
* Implemented suspended xdg_toplevel state [Jonas Å.; !3019, !3213]
* Support idle_inhibit protocol [Charbel; !3145]
* Do not trigger repick during relayout [Carlos; !3220]
* Fix redraw issue when buffer age is unavailable [Carlos; !3221]
* Add Meta Toolkit (MTK) library [Bilal; !3128]
* Fix possible window freeze during resize operations [Carlos; !3189]
* Fixes to tablet cursor visibility on Wayland [Carlos; !3218]
* Improve support for input capture and emulated input [Jonas Å.; !3228]
* Use headless mode when seat ID is unset [Joan; !3093]
* Fix unresponsive touchscreen after titlebar drag [Carlos; !3059]
* Fix absolute pointer events on virtual monitor streams [Jonas Å.; !3241]
* Fix disabling CRTCs in disable-only mode updates [Jonas Å.; !3073]
* Cache multi-texture shader snippets [Daniel; !3224]
* Fixed crashes [Carlos, Jonas Å., Jonas D., Barnabás, Jeremy; !3183, !3219,
  !3234, !3216, !3202, !3229, !3246]
* Plugged leaks [Sebastian, Niels; !3188, !3203]
* Misc. bug fixes and cleanups [Bilal, Michel, Jonas Å., Florian, Carlos,
  Sebastian, Sandro, Daniel, Pascal, Georges, Jonas D., Uzair; !3087, !3154,
  !3169, !3124, !3173, !3190, !3197, !3198, !3215, !3209, !3155, !3225, !3226,
  !3223, !3231, !3187, !3230, !3210, !3227, !3233, !3235, !3237, !3238, !3236,
  !3239, !3243, !3199, !3247, !3242]

Contributors:
  Jonas Ådahl, Uzair Ahmad, Charbel Assaad, Sandro Bonazzola, Jeremy Cline,
  Michel Dänzer, Jonas Dreßler, Bilal Elmoussaoui, Carlos Garnacho,
  Niels De Graef, Christian Hergert, Sebastian Keller, msizanoen,
  Florian Müllner, Georges Basile Stavracas Neto, Pascal Nowack, Barnabás Pőcze,
  Joan Torres, Daniel van Vugt

Translators:
  Kukuh Syafaat [id], Sabri Ünal [tr], Jiri Grönroos [fi],
  Baurzhan Muftakhidinov [kk], Vasil Pupkin [be], Jordi Mas [ca],
  Aurimas Černius [lt], A S Alam [pa], Nathan Follens [nl], Philipp Kiemle [de],
  Milo Casagrande [it], Yaron Shahrabani [he], Gwan-gyeong Mun [ko],
  Bruce Cowan [en_GB]

45.beta.1
=========
* Fix blitting from premultiplied to opaque formats [Jonas; !3159]
* Fix Super key not going to overview in GNOME Shell [Carlos; 3162]
* Use ClutterEvent in ClutterActor class event vmethod signatures
  [Carlos; 3163]
* Misc. bug fixes and cleanups [Carlos, !3167, !3168]

Contributors:
  Jonas Ådahl, Carlos Garnacho

Translators:
  Piotr Drąg [pl], Daniel Mustieles [es]

45.beta
=======
* Support input capture and emulated input with libei
  [Jonas, Peter, Olivier; !2628]
* Add KMS thread [Jonas; !2777]
* Fix touch move operations on subsurfaces [Gergo; !3125]
* Fix unexpected cursor changes over non-resizable windows [Michel; !3096]
* Improve render time estimates [Michel; !3090]
* Fix flickering when DRI driver isn't available [Daniel; !3117]
* Fix restoring maximized state of SSD windows [Sebastian K.; !3035]
* Add support for YUV formats [Niels, Robert; !2191]
* Fix xwayland-allow-byte-swapped-clients setting [Olivier; !3156]
* Misc. bug fixes and cleanups [Jonas, Florian, Bilal, Daniel, Robert,
  Sebastian W., Michel, Carlos; !3111, !3100, !3112, !3065, !3101, !3129,
  !3118, !3131, !3123, !3135, !3134, !3130, !3141, !3140, !3144, !3148, !3138,
  !3150, !3005, !3103, !3126, !3147, !3157, !3153]

Contributors:
  Jonas Ådahl, Michel Dänzer, Bilal Elmoussaoui, Olivier Fourdan,
  Carlos Garnacho, Niels De Graef, Peter Hutterer, Sebastian Keller,
  Gergo Koteles, Robert Mader, Florian Müllner, Daniel van Vugt, Sebastian Wick

Translators:
  Yosef Or Boczko [he], Fabio Tomat [fur], Balázs Úr [hu],
  Ekaterine Papava [ka], Yuri Chornoivan [uk], Artur So [ru],
  Matej Urbančič [sl], Asier Sarasua Garmendia [eu], Danial Behzadi [fa],
  Luming Zh [zh_CN], Hugo Carvalho [pt], Daniel Rusek [cs], Fran Dieguez [gl],
  Daniel Mustieles [es]

45.alpha
========
* Fix DND in some server-side decorated windows [Sebastian; !2978]
* Optionally use libdisplay-info for EDID parsing [adarshgm; !2642]
* Optimize partial surface updates [msizanoen1; !2965]
* Fix redrawing regression in non-DMA remote sessions [Jonas Å.; !2987]
* Avoid race condition in xwayland-on-demand [Marco; !2970]
* Do not unminimize windows with initial IconicState [Carlos; !3001]
* Implement physical pixel rounding of wayland surfaces [msizanoen1; !2726]
* Fix mispositioning of some X11 fullscreen windows [Carlos; !2996]
* Fix legacy fullscreen windows appearing on all monitors [Carlos; !2999]
* Improve support for display-attached tablets [Carlos; !3012]
* Fix stuck cursor in some clients [Carlos; !3025]
* Avoid unexpected orientation changes around suspend/resume [Carlos; !3021]
* Fix oversized input region around Xwayland windows [Jonas Å.; !3022]
* Re-enable client modifiers with amdgpu driver [Robert; !3030]
* Fix sysprof tracing in non-main threads [Jonas Å.; !2998]
* Fix X11 client input region issues [Sebastian, Jonas Å.; !3031, !3045]
* Optimize finish-layout step during stage updating [Robert, Jonas D.; !2679]
* Fix profiling repeatedly [Jonas Å.; !3068]
* Ensure preferred monitor mode is always included [Timotej; !3061]
* Fully initialize input device state during init [Jonas Å.; !3070, !3071]
* Forward modifiers to IM alongside regular key events [Carlos; !3044]
* Fix window focus unexpectedly moving to secondary monitor when changing
  workspaces [Sebastian W.; !2909]
* Avoid rapidly toggling dynamic max render time [Daniel; !3074]
* Fix dynamic max render time blocking with direct scanout [Dor; !3080]
* Mirror window placement in RTL locales [Shmuel; !3009]
* Fix screencast with fractionally scaled surfaces [msizanoen; !3053]
* Reipmlement strict focus mode policy [Brendan; !3063]
* Fixed crashes [Jonas Å., Barnabás, Carlos, Robert, Dor; !2992, !2995,
  !3002, !3004, !3037, !3076, !3077, !3095, !3104]
* Plugged leaks [Jonas Å., Dor; !2991, !3078]
* Misc. bug fixes and cleanups [Marco, Andy, Sebastian K., Jonas Å., Robert,
  Alexandre, Bilal, Georges, Florian, Dmitry, Michel, Pascal, Olivier, Carlos,
  Daniel, Sebastian W., Corentin, Barnabás, Dor; !2903, !2983, !2986, !2985,
  !2990, !2982, !3000, !2938, !2445, !3006, !3010, !2913, !2893, !2939, !3011,
  !3007, !3018, !3016, !3024, !3020, !3029, !3034, !3036, !3040, !3046, !3051,
  !3047, !3055, !3058, !3075, !3081] !3082, !3079, !2911, !3084, !3088, !3085,
  !3052, !3094, !3083, !3092, !3008, !3098, !3091, !3062, !3108]

Contributors:
  Jonas Ådahl, adarshgm, Dor Askayo, Michel Dänzer, Jonas Dreßler,
  Bilal Elmoussaoui, Olivier Fourdan, Alexandre Franke, Carlos Garnacho,
  Andy Holmes, Sebastian Keller, Dmitry V. Levin, Robert Mader, Shmuel Melamud,
  msizanoen, msizanoen1, Florian Müllner, Georges Basile Stavracas Neto,
  Corentin Noël, Pascal Nowack, Barnabás Pőcze, Timotej Šulík,
  Marco Trevisan (Treviño), Daniel van Vugt, Sebastian Wick, Brendan William

Translators:
  Danial Behzadi [fa], Simon Elst [fr], Rafael Fontenelle [pt_BR],
  Sergej A [ru], Bruce Cowan [en_GB], Alexandre Franke [fr]

44.1
====
* Fall back to the default, not the unknown color space [Sebastian W.; !2915]
* Fix resizing windows via keyboard [Florian; !2908]
* Fix possible screen freeze after resume with multiple monitors [Daniel; !2933]
* Fix anchor position when dragging window [Carlos; !2942]
* Fix applying XSettings to decorations on X11 [Marco; !2948]
* Allow clipped redraws for headless backend [Salman; !2775]
* Improve screencast support [Georges; !2804]
* Fix focus-on-click for server-side decorated windows [Carlos; !2954]
* Fix initial fullscreen state of server-side decorated windows [Carlos; !2961]
* Fix feedback loop triggering bursts of excessive CPU load [Robert; !2823]
* Enable modifiers by default on non-native backend [Robert; !2972]
* Check EDID for supported sink Colorimetry [Sebastian W.; !2919]
* Fix artifacts in titlebars on some hardware [Carlos; !2976]
* Fix map transitions for X11 windows on wayland [Carlos; !2975]
* Fixed crashes [Jonas Å., Sebastian K., Carlos, Michel, Daniel, Robert;
  !2932, !2930, !2945, !2956, !2962, !2968, !2967, !2960, !2963]
* Plugged leaks [Sebastian K., Jonas Å.; !2922, !2926, !2957]
* Misc. bug fixes and cleanups [Daniel, Ivan, Emmanuele, Simon, Jonas D.,
  Jonas Å., Chris, Florian, Corentin, msizanoen1, Sebastian K.; !2918, !2904,
  !2928, !2929, !2900, !2856, !2944, !2935, !2947, !2949, !2951, !2940, !2953,
  !2964, !2934, !2902, !2971]

Contributors:
  Jonas Ådahl, Emmanuele Bassi, Michel Dänzer, Jonas Dreßler, Carlos Garnacho,
  Sebastian Keller, Robert Mader, Chris Mayo, Simon McVittie, Ivan Molodetskikh,
  msizanoen1, Florian Müllner, Georges Basile Stavracas Neto, Corentin Noël,
  Salman, Marco Trevisan (Treviño), Daniel van Vugt, Sebastian Wick

Translators:
  Boyuan Yang [zh_CN], Ngọc Quân Trần [vi], Nathan Follens [nl]

44.0
====
* Fix state confusion and delay on startup [Carlos; !2906]
* Fix night light regression [Sebastian; !2916]
* Fix fullscreen regression with many SDL apps [Jonas; !2921]
* Fixed crashes [Jonas; !2901, !2912]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Sebastian Wick

Translators:
  Ask Hjorth Larsen [da], Piotr Drąg [pl], Marek Černocký [cs],
  Gwan-gyeong Mun [ko]

44.rc
=====
* Do not overwrite previously set offsets on attach [Matthias; !2843]
* Fix Xwayland focus regressions [Carlos; !2841, !2878]
* Stop parsing unused EDID parameters [adarshgm; !2825]
* Fix partial updates on offscreen rotated screens [Robert; !2860]
* Improve Xwayland RandR emulation compatibility [msizanoen1; !2725]
* Fix touch window dragging on rotated monitors [Jonas D.; !2859]
* Remove legacy OpenGL driver support [Jonas Å.; !2672]
* Improve default scale factor selection [Adrian, Jonas Å.; !2653, !2880]
* Handle all X11 window title fallbacks [Carlos; !2872]
* Fix handling of keyboard-driven window resize [Carlos; !2871]
* Fix recording windows on non-active workspaces [Robert; !2789]
* Manage KMS updates more asynchronously [Jonas Å.; !2854, !2855]
* Fix headless startup [Jonas Å.; !2821]
* Remove support for window shading [Robert; !2884]
* Move away from GTK3 [Carlos; !2864]
* Restore zero-copy fast path for Xwayland fullscreen windows [Carlos; !2797]
* Prevent clients from locking the compositor with cursor updates
  [Olivier; !2849]
* Add experimental development tool for HDR modes [Sebastian; !2879]
* Account for linear sampling when calculating actor damage [msizanoen1; !2771]
* wayland: Implement fractional_scale protocol [Robert; !2394]
* Fixed crashes [Jonas D., Jonas Å., Robert; !2858, !2863, !2869, !2885, !2887]
* Memory handling fixes
  [Jonas Å., Carlos, Simon, Michel; !2853, !2868, !2877, !2886]
* Misc. bug fixes and cleanups [Jonas Å., Florian, Robert, Carlos, Sebastian,
  Jonas D.; !2846, !2840, !2850, !2829, !2862, !2779, !2861, !2713, !2865,
  !2866, !2867, !2874, !2875, !2873, !2881, !2847, !2889, !2890, !2891, !2892,
  !2894, !2895, !2899]

Contributors:
  Dor Askayo, Matthias Clasen, Jonas Dreßler, Michel Dänzer, Olivier Fourdan,
  Carlos Garnacho, Robert Mader, Simon McVittie, Florian Müllner, Adrian Vovk,
  Sebastian Wick, adarshgm, msizanoen1, Jonas Ådahl

Translators:
  Марко Костић [sr], Daniel [es], Fabio Tomat [fur], Matej Urbančič [sl],
  Jiri Grönroos [fi], Balázs Úr [hu], Anders Jonsson [sv], Marek Černocký [cs],
  Jürgen Benvenuti [de], Alexander Shopov [bg]

44.beta
=======
* Don't disable KMS modifiers on newer i915 systems [Sameer; !2641]
* Set LOD bias for sharper mipmaps  [Daniel; !2644]
* Fix edge resistance and window snapping regression [John; !2687]
* Avoid high-level udev queries for input caps and properties [Carlos; !2617]
* Implement wl_output v3 and v4 [Robert; !2692]
* Fix recalculating viewport after window resize [Sebastian Kr.; !2689]
* Fix opaque cursors and LoDPI cursor on HiDPI screens [Jonas Å.; !2698]
* Process device removing events immediately [Jonas D.; !2696]
* Handle stage view updates without allocation more gracefully [Jonas D.; !2694]
* Fix window screenshots being cut off at the bottom right [Sebastian K.; !2720]
* wayland/subsurface: Avoid using buffers with unfinished client work
  [Michel; !1880]
* Move X11 window decorations to a separate client
  [Carlos; !2175, !2735, !2756, !2791, !2796, !2758]
* Fix cursor position in window screencasts [Georges; !2737]
* Skip resize effects for tiled windows during user grabs [Michael; !2579]
* Fix pointer constrains with subsurfaces [Robert; !2717]
* Disable direct scanout during drag-n-drop operations [Robert; !2677]
* Ignore unmapped subsurfaces in direct scanout check [Robert; !2755]
* Fix cursor disappearing over windows during grabs [Carlos; !2754]
* Make wl_output mode independent of the orientation [Sebastian W.; !2723]
* Improve focus handling on workspace switches [Sebastian W.; !2747]
* Fix initialization of keyboard accessibility [Carlos; !2750, !2778]
* Refactor API to use well-defined ownership instead of singletons
  [Jonas Å.; !2718]
* Add support for xdg-foreign-v2 [Jason, Jonas Å.; !2770]
* Add higher bit depth offscreen framebuffers support [Jonas Å., Naveen; !2461]
* Overhaul dynamic max render time calculation [Michel; !2500]
* Do not require a physical device to update pointer visibility [Carlos; !2766]
* Allow building without xwayland support [Bilal; !2407, !2399]
* Add Xwayland byte-swapped clients support [Olivier; !2785]
* Fix freeze when crossing monitors under some conditions [Carlos; !2803]
* Don't allow window activation to break global grabs
  [Florian, Carlos; !2776, !2832]
* Integrate window grab operations with new ClutterGrab API [Carlos; !2683]
* Support selecting an acceleration profile for touchpad devices [Evan; !2426]
* Enforce compliant surface buffer sizes [Robert; !2815]
* Keep proportional position when moving window between rects [Sebastian; !2591]
* Introduce implicit grabbing in Clutter [Jonas D.; !2342]
* Fix unexpected window focus changes after global grabs [Sebastian W.; !2742]
* Fix sloppy/mouse focus mode on wayland [Carlos; !2828]
* Add service channel Wayland clients [Jonas Å.; !2810]
* Fixed crashes [Sebastian W., Jonas Å., Bilal, Jonas D., msizanoen1, Georges,
  Carlos, Daniel, Keyu; !2695, !2704, !2706, !2711, !2691, !2709, !2690, !2736,
  !2745, !2674, !2793, !2794, !2827, !2831, !2834]
* Plugged leaks [Niels; !2799, !2817]
* Misc. bug fixes and cleanups [Jonas D., Jonas Å., Bilal, Florian, Corentin,
  Bram, Georges, Hunor, Carlos, Robert, Michel, Christian, Olivier, Daniel,
  Corey, Sebastian K., Jan, Anders, Simon, Sebastian W., Jake, Erico; !1492,
  !2508, !2645, !2699, !2418, !2701, !2702, !2703, !2708, !2697, !2710, !2714,
  !2715, !2716, !2719, 2724, 2739, 2740, 2733, 2753, 2741, !2680, !2727, !2757,
  !2762, !2671, !2765, !2767, !2707, !2768, !2428, !2467, !2772, !2769, !2781,
  !2784, !2786, !2780, !2788, !2792, !2783, !2798, !2795, !2800, !2805, !2790,
  !2809, !2572, !2811, !2812, !2813, !2807, !2773, !2806, !2816, !2818, !2814,
  !2819, !2782, !2822, !2087, !2824, !2826, !2621, !2748, !2091, !2833, !2808,
  !2836]

Contributors:
  Corey Berla, Hunor Csomortáni, Jake Dane, Jonas Dreßler, Michel Dänzer,
  Bilal Elmoussaoui, Olivier Fourdan, Jason Francis, Carlos Garnacho,
  Evan Goode, Niels De Graef, Christian Hergert, Peter Hutterer, Anders Jonsson,
  Sebastian Keller, Sebastian Krzyszkowiak, Naveen Kumar, Sameer Lattannavar,
  Robert Mader, Simon McVittie, Florian Müllner, Georges Basile Stavracas Neto,
  Corentin Noël, Erico Nunes, Bram Stolk, Keyu Tao, Jan Tojnar, Daniel van Vugt,
  Michael Webster, Sebastian Wick, John Wudrick, msizanoen1, Jonas Ådahl

Translators:
  Dušan Kazik [sk], Aleksandr Melman [ru], Yuri Chornoivan [uk],
  Hugo Carvalho [pt], Emin Tufan Çetin [tr], Kukuh Syafaat [id],
  Fran Dieguez [gl], Yosef Or Boczko [he], Asier Sarasua Garmendia [eu],
  Quentin PAGÈS [oc], Aurimas Černius [lt]

43.1
====
* Add quirk to work around issue with Mali GPUs [Daniel; !2614]
* Notify changes to night-light support over D-Bus [Sebastian W.; !2623]
* Fix always-on-top windows unexpectedly taking focus [Sebastian W.; !2489]
* Fix accidental direct scanout [Jonas Å.; !2624]
* Disable client modifiers with amdgpu driver [Michel; !2637]
* Cancel pointer gesture on wl_pointer.leave [Carlos; !2640]
* Add black padding to fixed-size wayland fullscreen windows
  [Jonas Å., Sebastian W.; !2338]
* Stop sending frame callbacks to minimized clients [Robert; !2662]
* Fix scrolling in clients with no hi-res scroll support in RDP [José; !2664]
* Fix skipped low-res scroll events with some high-res mice [José; !2668]
* Throttle interactive move and resize updates [Jonas Å.; !2652]
* wayland-keyboard: Send pressed keys on enter [Jonas Å.; !2657]
* Fix some X11 windows getting unredirected erroneously [Sebastian K.; !2651]
* Fix Flatpak applications bypassing X11 permission [msizanoen1; !2633]
* Fix always visible cursor in virtual streams [Salman; !2629]
* Fixed crashes [Jonas Å., Sebastian W., Max, Carlos, Łukasz; !2616, !2627,
  !2646, !2661, !2655, !2669, !2676]
* Misc. bug fixes and cleanups [Daniel, Jonas Å., Sebastian W., Ivan, Marco,
  Florian, Carlos, Jonas D.; !2615, !2619, !2590, !2630, !2515, !2656,
  !2659, !2670, !2667, !2678]

Contributors:
  Marco Trevisan (Treviño), Jonas Dreßler, Michel Dänzer, José Expósito,
  Carlos Garnacho, Sebastian Keller, Robert Mader, Salman Malik,
  Ivan Molodetskikh, Florian Müllner, Łukasz Spintzyk, Daniel van Vugt,
  Sebastian Wick, Max Zhao, msizanoen1, Jonas Ådahl

Translators:
  Baurzhan Muftakhidinov [kk], Sabri Ünal [tr], Pawan Chitrakar [ne],
  Jürgen Benvenuti [de], Nart Tlisha [ab], Fabio Tomat [fur],
  Quentin PAGÈS [oc], Freddy Cheng [zh_TW], Мирослав Николић [sr],
  Nathan Follens [nl]

43.0
====
* Fix stuttering in Xorg session [Daniel; !2625]
* Make MetaBarrier type derivable again [Jonas; !2626]
* Fixes crash [Jonas; !2622]

Contributors:
  Daniel van Vugt, Jonas Ådahl

Translators:
  Aleksandr Melman [ru], Fran Dieguez [gl], Daniel Mustieles [es],
  Aurimas Černius [lt], Matej Urbančič [sl], Leônidas Araújo [pt_BR],
  Kukuh Syafaat [id], Sveinn í Felli [is], Zurab Kargareteli [ka],
  Rūdolfs Mazurs [lv], Yosef Or Boczko [he], Alexander Shopov [bg],
  Alan Mortensen [da]

43.rc
=====
* Remember monitor scale when switching configurations [Jonas Å.; !2479]
* Embed wayland output name into screencast streams [Salman; !2540]
* Limit precision of stored refresh rates [Daniel; !2465, !2602]
* Add support for the "max bpc" connector property [Daniel; !2412]
* Fix focus-tracking corner case [Jonas D.; !2329]
* Add detail to ::event signal [Jonas D.; !2431]
* Improve heuristics for adding fallback monitor modes [Mario; !2586]
* Take over color management from gnome-settings-daemon
  [Jonas Å.; !2141, !2164, !2165, !2166, !2568]
* Allow scanout for offscreen rotated views [Robert; !2468]
* Fix hot corner regression on X11 [Jonas Å.; !2604]
* Fix losing IM focus in some circumstances [Carlos; !2585]
* Avoid swapping redundant portions of buffers onscreen [Erico; !2241]
* Animate windows moving between monitors [Alessandro; !2558]
* Make NVIDIA + gbm use atomic mode setting [Jonas Å.; !2578]
* Fixed crashes [Jonas Å., Steev, Carlos, Simon; !2554, !2577, !2592, !2182,
  !2609, !2612]
* Plugged memory leak [Alessandro; !2608]
* Misc. bug fixes and cleanups [Florian, Carlos, Jordan, Simon, Jonas Å.,
  Jonas D., Daniel, Sebastian K., Alberts, Bilal, Dor, Sebastian W.; !2566,
  !2573, !2576, !2534, !2581, !2430, !2561, !2584, !2588, !2551, !2552, !2594,
  !2596, !2598, !2601, !2603, !2589, !2587, !2375, !2486, !2606, !1354, !2605,
  !2611]

Contributors:
  Dor Askayo, Alessandro Bono, Jonas Dreßler, Bilal Elmoussaoui,
  Carlos Garnacho, Sebastian Keller, Steev Klimaszewski, Mario Limonciello,
  Robert Mader, Salman Malik, Simon McVittie, Alberts Muktupāvels,
  Florian Müllner, Erico Nunes, Jordan Petridis, Daniel van Vugt,
  Sebastian Wick, Jonas Ådahl

Translators:
  Nart Tlisha [ab], Jiri Grönroos [fi], Goran Vidović [hr],
  Yuri Chornoivan [uk], Jordi Mas [ca], Marek Černocký [cs], Balázs Úr [hu],
  Emin Tufan Çetin [tr], Danial Behzadi [fa], Piotr Drąg [pl],
  Rūdolfs Mazurs [lv], Hugo Carvalho [pt], Anders Jonsson [sv],
  Boyuan Yang [zh_CN], Asier Sarasua Garmendia [eu]

43.beta
=======
* Fix glitches in apps using subsurfaces [Robert; !2501, !2530]
* Reduce client work when entering overview [Robert; !2502]
* Support direct scanout on GPUs without modifiers support [Dor; !2510]
* screencast: Set correct stride when using dmabufs [Pascal; !2513]
* High-resolution scroll wheel support [José, Carlos; !1962]
* screencast: Use flag to signal failed recording [columbarius; !2516]
* Fix cursor visibility on X11 with only tablets as input [Carlos; !2518]
* Notify about privacy screen changes via predictions [Jonas Å.; !2340, !2531]
* Highlight actors becoming reactive under the pointer [Carlos; !2532]
* Replace MetaTextureTower with native GL mipmapping [Daniel, Neil; !2506]
* Add tool to pretty print display configuration [Jonas Å., Marco; !2448]
* Remove mipmap framerate limiting [Daniel; !2538]
* Fall back to ARGB if XRGB is not supported [Daniel; !2519]
* Add basic color-scheme support for server-side decorations [Florian; !2541]
* Don't skip frames after skipped KMS updates [Michel; !2498]
* Add support for multi-monitor direct scanout [Dor; !2526]
* Continue gi-docgen migration [Bilal; !2441]
* Always send modifiers to clients if supported [Jonas Å.; !2546]
* Defer and accumulate redraw-clip on scanout [Robert; !2480]
* Add single pixel buffer support [Robert, Jonas Å.; !2246]
* Report actual monitor transform [Robert; !344]
* Better integrate cogl tests with existing infrastructure [Jonas Å.; !2555]
* Fix registering as X11 window manager if GDK_BACKEND is set [Michel; !2496]
* Don't skip vblank sync on missing presentation timestamp [Dor; !2481]
* Fix cursor showing on Xilinx [Daniel; !2520]
* Plugged leaks [Michel, Daniel; !2527, !2562]
* Fixed crashes [Robert, Jonas Å.; !2459, !2553]
* Misc. bug fixes and cleanups [columbarius, Daniel, Carlos, Michel, Jonas Å.,
  Florian, Jonas D., Julia, Corentin; !2323, !2074, !2517, !2525, !2524, !2442,
  !2523, !2535, !2348, !2537, !2456, !2542, !2547,  !2556,  !2559, !2564, !2511]

Contributors:
  Marco Trevisan (Treviño), Dor Askayo, Jonas Dreßler, Michel Dänzer,
  Bilal Elmoussaoui, José Expósito, Carlos Garnacho, Julia Johannesen,
  Robert Mader, Neil Moore, Florian Müllner, Pascal Nowack, Corentin Noël,
  Nart Tlisha, Daniel van Vugt, columbarius, Jonas Ådahl

Translators:
  Nart Tlisha [ab]

43.alpha
========
* Drop zenity dependency [Bilal; !2370]
* Fix initialization of privacy mode in displays that support it [Marco; !2372]
* Add NightLightSupported property to DisplayConfig [Jonas; !2310]
* Don't use direct scanout for transparent windows [Sebastian K.; !2409]
* Improve picking a window for direct scanout [Sebastian K.; !2413]
* Drop support for obsolete wayland protocols [Fernando; !2207, !2184]
* Fix --replace again [Jonas; !2432]
* Do not allow windows to steal focus when the shell has a grab [Carlos; !2433]
* Fix night light without GAMM_LUT property [Jonas; !2435]
* Expose Cogl's Snippet API to introspection [Simon; !2422]
* wayland: Fix rotation transform [Robert; !1055]
* Build and deploy API documentation [Bilal; !2427]
* Attach color state information to actors [Naveen; !2443]
* Fix pointer confinement on HiDPI setups [Jonas; !2460]
* Fix dma-bufu screencast regression [Jonas; !2462]
* Fix monitor mirroring in some cases [Jonas; !2492]
* Parse HDR and Colorimetry CTA-861 EDID extension blocks [Sebastian W.; !2351]
* Fix cursor tracking during screencasts on X11 [George; !2474]
* Fixed crashes [Jonas, Florian; !2415, !2364, !2491]
* Plugged leaks [Michel, Sebastian K.; !2469, !2497]
* Misc. bug fixes and cleanups [Kazuki, Dor, Jonas, Bilal, Sebastian K.,
  Christian, Florian, Georges,, Sebastian W., Olivier; !2405, !2406, !2403,
  !2416, !2398, !2414, !2425, !2354, !2436, !2447, !2446, !2355, !2429, !2417,
  !2434, !2439, !2015, !2444, !2458, !2379, !2455, !2463, !2484, !2485, !2488,
  !2499]

Contributors:
  Marco Trevisan (Treviño), Dor Askayo, George Barrett, Michel Dänzer,
  Bilal Elmoussaoui, Olivier Fourdan, Carlos Garnacho, Kazuki Hashimoto,
  Sebastian Keller, Naveen Kumar, Robert Mader, Fernando Monteiro,
  Florian Müllner, Georges Basile Stavracas Neto, Christian Rauch,
  Simon Schneegans, Sebastian Wick, Jonas Ådahl

Translators:
  Zurab Kargareteli [ka], Pawan Chitrakar [ne]

42.1
====
* Send correct LEAVE events when entering windows [Jonas D.; !2321]
* Be more forgiving with wrongly sized clients [Robert; !2335]
* Add ClutterInputCapabilities enum and device property [Carlos; !2331]
* Fall back if COPY_MODE_SECONDARY_GPU fails to init [Daniel; !2341]
* Fix missing root window properties after XWayland start [Olivier; !2336]
* wayland/shm: Add support for ABGR8888 and XBGR8888 formats [Jonas Å.; !2352]
* Keep actors dirty if a redraw was queued up during paint() [Carlos; !2353]
* Fix overview painting of shaped texture with layer snippets [Jonas Å.; !2278]
* Survive missing GAMMA_LUT KMS property [Daniel; !2360]
* Record current event when going through event filters [Jonas D.; !2327]
* Pass events to pointer a11y before going through filters [Jonas D.; !2332]
* Update cursor when scaled or transformed [Sebastian W.; !2363]
* Fix screen cast when DMA buffer fails or can't be used [Jonas Å.; !2383]
* Repick when pointer actor goes unmapped [Jonas D.; !2333]
* Improve IM support [Carlos; !2365, !2384]
* Allow using dumb buffers for cursor sprites [Jonas Å.; !2275]
* wayland/dma-buf: Only advertise supported formats [Robert; !2386]
* Fix screen cast cursor metadata with unthrottled input [Jonas Å.; !2393]
* Fixed crashes [Olivier Daniel, Łukasz, Jonas D.; !2339, !2359, !2347, !2299]
* Plugged memory leak [Sebastian K.; !2345]
* Misc. bug fixes and cleanups [Christian, Jonas Å., Bartłomiej, Carlos, Daniel,
  Sebastian W., Corentin, Jonas D., Sebastian K.; !2316, !2152, !2334, !2349,
  !2325, !2357, !2362, !2373, !2374, !2361, !2366, !2350, !2377, !2382, !2391,
  !2395, !2387, !2400, !2397, !2378]

Contributors:
  Jonas Dreßler, Bilal Elmoussaoui, Olivier Fourdan, Carlos Garnacho,
  Christian Hergert, Sebastian Keller, Robert Mader, Florian Müllner,
  Corentin Noël, Bartłomiej Piotrowski, Łukasz Spintzyk, Daniel van Vugt,
  Sebastian Wick, Jonas Ådahl

Translators:
  Balázs Úr [hu], Charles Monzat [fr], Milo Casagrande [it], Марко Костић [sr],
  Nathan Follens [nl], Jordi Mas [ca], Ngọc Quân Trần [vi]

42.0
====

Translators:
  Fabio Tomat [fur], Alexander Shopov [bg]

42.rc
=====
* Fix X11 → wayland drops ending up in the wrong wayland client [Olivier; !2305]
* Make xdg-activation interoperate with other startup sequences [Carlos; !2314]
* Fix stuck grab feedback actor during compositor grabs [Jonas D.; !2308]
* Make gnome-desktop dependency optional [Bilal; !2317]
* Provide better profiling information [Ivan; !1928]
* Drop ClutterEvent "source" field [Carlos; !2311]
* Add support for xdg_toplevel.configure_bounds() [Jonas Å.; !2167]
* Add support for wl_surface.offset [Jonas Å.; !1905]
* Fix resizing of virtual monitors [Jonas Å.; !2270]
* Include size in configure events of maximized clients [Sebastian K.; !2238]
* Only allow direct scanouts for surfaces that aren't cropped, scaled or rotated
  [Robert; !2276]
* Fix pipewire screencasts [Ivan; !2322]
* Plugged memory leak [Robert; !2297]
* Fixed crash [Jonas; !2318]
* Misc. bug fixes and cleanups [Bilal, Jonas Å., Florian, Dor, Alfonso,
  Sebastian W., Carlos, Jonas D.; !2306, !2300, !2301, !2303, !2307, !2315,
  !2319, !2298, !2320, !2324]

Contributors:
  Dor Askayo, Jonas Dreßler, Bilal Elmoussaoui, Olivier Fourdan,
  Carlos Garnacho, Sebastian Keller, Robert Mader, Ivan Molodetskikh,
  Florian Müllner, Alfonso Sánchez-Beato, Sebastian Wick, Jonas Ådahl

Translators:
  Emin Tufan Çetin [tr], Yosef Or Boczko [he], Quentin PAGÈS [oc],
  Christian Kirbach [de], Aurimas Černius [lt], Danial Behzadi [fa],
  Daniel Mustieles [es], Alan Mortensen [da], Goran Vidović [hr],
  Tim Sabsch [de], Anders Jonsson [sv], Gwan-gyeong Mun [ko],
  Daniel Șerbănescu [ro], Piotr Drąg [pl]

42.beta
=======
* Implement a new Clutter grab API [Carlos; !2068, !2099, !2100]
* Support KMS testing via QEMU [Jonas Å.; !2151]
* Generate API references with gi-docgen [Andy; !2248]
* Improve support for running from toolbx [Sebastian; !2254, !2261]
* Add support for privacy screen [Marco; !1952]
* Allow changing monitor configuration policy [Jonas Å.; !2030]
* Add support for XFixes ClientDisconnectMode [Olivier; !1794]
* Fix possible missed clicks on menus [Carlos; !2257]
* Place popups on the same monitor as the anchor rect [Jonas Å.; !2252]
* Announce DMA-BUF support via pipewire [columbarius; !1939]
* Raise the file descriptor limit of the wayland compositor [Olivier; !2235]
* Fix resetting idle time on lid open [Carlos; !2272]
* Don't limit DMA buffer screen casting only to Intel [Jonas Å.; !2086]
* Keep a single cursor sprite visible with tablets [Carlos; !285]
* Sync keyboard LEDs after layout changes [Konstantin; !2279]
* Honor window input area in picking [Carlos; !2283]
* Handle mixture of keycombo/no action in pad rings/strips [Carlos; !2001]
* Fixed crashes [Carlos, Jonas Å., Daniel; !2237, !2280, !2282, !2251]
* Misc. bug fixes and cleanups [Björn, Jonas Å., Daniel, Michel, Robert,
  Pascal, Florian, Olivier, Pabel, Carlos, Jonas D.; !2236, !2014, !2240,
  !2230, !2232, !2255, !2245, !2242, !2159, !2253, !2258, !2263, !2266,
  !2271, !2256, !2264, !2262, !2281, !2287, !2284]

Contributors:
  Marco Trevisan (Treviño), Björn Daase, Jonas Dreßler, Michel Dänzer,
  Olivier Fourdan, Carlos Garnacho, Pablo Correa Gómez, Andy Holmes,
  Konstantin Kharlamov, Robert Mader, Florian Müllner, Pascal Nowack,
  Daniel van Vugt, Sebastian Wick, columbarius, Jonas Ådahl

Translators:
  Yaron Shahrabani [he], Boyuan Yang [zh_CN], Marek Černocký [cs],
  Aurimas Černius [lt], Kukuh Syafaat [id], Daniel Mustieles [es],
  Yuri Chornoivan [uk], Hugo Carvalho [pt], Yosef Or Boczko [he],
  Fran Dieguez [gl], Matheus Barbosa [pt_BR], Aleksandr Melman [ru],
  sicklylife [ja], Luming Zh [zh_CN], Matej Urbančič [sl],
  Leônidas Araújo [pt_BR], Asier Sarasua Garmendia [eu],
  Jordi Mas i Hernandez [ca]

42.alpha
========
* Fix monitor screencast scanouts [Michel; !1914]
* dma-buf: Use alpha-less pixel formats where appropriate [Robert; !1810]
* wayland: Allow clients to maximize windows regardless of constraints
  [Christian; !1997]
* Handle hotplug events without relevant changes more effectively [Marco; !1964]
* Improve error reporting when startup fails [Jonas; !1994]
* dma-buf: Add support for ABGR and XBGR formats [Erfan; !1999]
* Fix X11 middle button emulation setting [José; !2000]
* Include server-side shadows in window screenshots [Robert; !1996]
* Don't change workspaces of unmanaged windows [Sebastian; !2003]
* Reset idletime when unplugging the power cable [Bastien; !2029]
* xwayland: Avoid unnecessary _NET_WM_STATE events [Dor; !2032]
* Fix videos in Firefox stuttering in overview [Robert; !2034]
* Don't use atomic mode setting for virtio_gpu driver [Jonas; !2040]
* Improve on-screen keyboard on X11 [Sebastian, Ray; !1955, !2039]
* Fix text glitches after size changes [Sebastian; !2006]
* Fix reporting output rotation to xwayland [Olivier; !2050]
* wayland: Accept final preference of drop destination [Robert; !2043]
* Only add paint volumes of mapped actors to stage clip [Robert; !2035]
* Fix negative paint volume offscreen effect [Sebastian; !2031]
* Introduce MetaRenderDevice [Jonas; !1854]
* Prefer GBM over EGLStream where possible [Jonas; !2051, !2052]
* Fix erratic scrolling in GTK apps [Carlos; !2059]
* Use rtkit to get realtime priority [Carlos; !2060]
* Turn experimental features into flags [Robert; !1961]
* Add support for EGL_KHR_partial_update [Erico; !2023]
* Use b/w unicode for tablet mode OSD [Carlos; !2064]
* Fix tilt direction of pen/tablet inputs [Quytelda; !2065]
* Sanitize event handling at gestures [Carlos; !2024]
* Fix mapping tablet input to correct monitor [Jason; !1934]
* Optionally run (and exit) with a command [Mark; !1982]
* Fix key repeat of on-screen keyboard for 2nd-level keysyms [Ray; !2045]
* Copy damage rectangles to secondary GPU [Piotr; !2033]
* Fix window size after returning from fullscreen [Sebastian, Jonas; !2066]
* Fix blank screen when unplugging docking station [Jonas; !2097]
* Ensure constraints after client resize [Sebastian; !2103]
* Improve anti-aliasing of background corners [Daniel; !2102]
* Fix unredirected Xwayland windows not getting updated [Michel; !2112]
* Fix DND between X11 and wayland clients [Carlos; !2124]
* Add hold gestures [José; !1830]
* Always snoop key events for a11y [Carlos; !1328]
* Improve Wacom tablet mapping [Carlos; !2107]
* Allow adding more streams to a screen cast session [Jonas; !2131]
* Do not throttle input in wayland event delivery [Carlos; !1915]
* Allow forcing EGLStream backend [Jonas; !2132]
* Check keyboard serials for activation [Carlos; !2148]
* Rebind the EGL image when handling damage [Neil; !2062]
* Do not pass events to windows with modal transients [Florian; !2123]
* Fix mixed up refresh rates in multi-monitor setups [Robert; !2169]
* Fix orientation changes on devices with 90° [Hans, Marco; !2090]
* Allow disabling HW cursors [Olivier; !2150]
* Improve damage handling [Robert; !2168]
* Consider xrandr flags for advertised modes [Robert; !2190]
* Improve KMS fallback modes [Robert; !2189]
* window-group: Disable culling when rendinging clone to offscreen buffer
  [Sebastian; !2080]
* Support DMA buffer feedback [Jonas, Robert; !2202, !1959]
* Advance timelines according to presentation time [Daniel; !2161]
* Drop deprecated wl-shell and text-input-v3 support [Fernando; !2183, !2185]
* Fix workspace switch animation in default plugin [Mark, Erik; !2076, !2120]
* Fix unfullscreening of window that were mapped fullscreen [Jonas; !2210]
* Consider wayland subsurfaces for scanout [Robert; !2211]
* Fix DMA-BUF screencasts with unredirected fullscreen windows [Georges; !2186]
* Fixed crashes [Carlos, Jonas, Daniel; !2063, !2025, !2081, !2104, !1991,
  !2111, !2127, !2147, !2181, !2216]
* Plugged leaks [Sebastian, Jonas; !2193, !2192, !2225]
* Misc. bug fixes and cleanups [Daniel, Jonas, Corentin, Robert, Georges,
  Sebastian, Simon, Carlos, Pascal, Fernando, Joan, José, Florian, Alexander,
  Ievgen; !1992, !2007, !2008, !2026, !2044, !2057, !2002, !2028, !2049, !2061,
  !1796, !2079, !2084, !2088, !2093, !2009, !2094, !2108, !2125, !2133, !2128,
  !2138, !2058, !2130, !2140, !2122, !2095, !2126, !2139, !2145, !2149, !2157,
  !1966, !2163, !2158, !2134, !1993, !2142, !2162, !2173, !2187, !2199, !2203,
  !2204, !2205, !2146, !1812, !2214, !2215, !2188, !2206]

Contributors:
  Marco Trevisan (Treviño), Erfan Abdi, Dor Askayo, Michel Dänzer,
  José Expósito, Olivier Fourdan, Carlos Garnacho, Jason Gerecke, Hans de Goede,
  JoseExposito, Quytelda Kahja, Sebastian Keller, Robert Mader, Mark,
  Erik Massop, Simon McVittie, Alexander Mikhaylenko, Fernando Monteiro,
  Florian Müllner, Georges Basile Stavracas Neto, Bastien Nocera, Pascal Nowack,
  Corentin Noël, Erico Nunes, Ievgen Popovych, Christian Rauch, Neil Roberts,
  Ray Strode, Joan Torres, Daniel van Vugt, Jonas Ådahl, Piotr Łopatka

Translators:
  eshagh shahidani [fa], Danial Behzadi [fa], Марко Костић [sr],
  Zander Brown [en_GB], Ngọc Quân Trần [vi], Rūdolfs Mazurs [lv],
  Yuri Chornoivan [uk], Fabio Tomat [fur], Hugo Carvalho [pt],
  Milo Casagrande [it], Quentin PAGÈS [oc], Goran Vidović [hr],
  Yaron Shahrabani [he], Daniel Mustieles [es], Aleksandr Melman [ru],
  Aurimas Černius [lt], Sveinn í Felli [is], Kukuh Syafaat [id],
  Asier Sarasua Garmendia [eu]

41.0
====
* Avoid race in wl_seat capabilities [Olivier; !77]
* Expose option groups/entries to introspection [Corentin; !1976]

Contributors:
  Olivier Fourdan, Corentin Noël

Translators:
  Daniel Șerbănescu [ro], Goran Vidović [hr], Luna Jernberg [sv],
  eshagh shahidani [fa], Gwan-gyeong Mun [ko], Emin Tufan Çetin [tr],
  Philipp Kiemle [de], Balázs Úr [hu], Piotr Drąg [pl], Nathan Follens [nl],
  Jordi Mas [ca], Ask Hjorth Larsen [da]

41.rc
=====
* Add clutter_stage_paint_to_content() [Ivan; !1899]
* Add meta_cursor_tracker_get_scale() [Ivan; !1967]
* wayland: Make each wl_output correspond to one monitor [Jonas; !1712]
* Expose 'inactive-since' timestamp to uresourced [Nishal; !1960]
* Pass dirty rects to secondary GPU [Piotr; !1879]
* Support committing preedit string on focus loss [Carlos; !1940]
* Improve auto-rotation support [Marco; !1233]
* Add meta_window_actor_paint_to_content() [Robert; !1893]
* Fixed crashes [Jonas, Ray, Robert; !1947, !1979, !1965, !1958]
* Misc. bug fixes and cleanups [Florian, Carlos, Robert, Daniel, Erico, Dor;
  !1957, !1924, !1970, !1971, !1972, !1973, !1974, !1977, !1978, !1975, !1886,
  !1983, !1990, !1980]

Contributors:
  Marco Trevisan (Treviño), Dor Askayo, Carlos Garnacho, Nishal Kulkarni,
  Piotr Lopatka, Robert Mader, Ivan Molodetskikh, Florian Müllner, Erico Nunes,
  Ray Strode, Daniel van Vugt, Jonas Ådahl

Translators:
  Asier Sarasua Garmendia [eu], Claude Paroz [fr], Jiri Grönroos [fi],
  Baurzhan Muftakhidinov [kk], Aurimas Černius [lt]

41.beta
=======
* Fix mouse position in remote desktop with fractional scaling [Pascal; !1867]
* Manage idle monitors via MetaIdleManager [Jonas Å.; !1859]
* Disable KMS modifiers on radeon driver [Carlos; !1872]
* Fix fd leak [Carlos; !1870]
* Fix adding virtual monitor to physical session [Jonas Å.; !1891]
* Unbreak press-drag-release to pop up and select right click menus
  [Carlos; !1885]
* Fix VKMS detection [Jonas Å.; !1892]
* Fix swipe cancellation [JoseExposito; !1857]
* Add ClutterTextureContent [Robert; !1888]
* Fix mapping tablet to monitor [Christoph; !1887]
* Fix area screencasts when window is unredirected [Michel; !1902]
* Don't require a newly attached buffer to apply state [Christian, Jonas; !1795]
* Close unused mode setting and rendering devices [Jonas Å.; !1828]
* Only support super+scroll on wayland [Florian; !1922]
* Implement the xdg-activation protocol [Carlos; !1845]
* Reduce input latency by computing max render time heuristically [Ivan; !1762]
* Apply dithering to dispatch time when needed [Daniel; !1826]
* Introduce MetaContext [Jonas Å.; !1861]
* x11: Compute monitor scale per output [Marco; !336]
* Shrink and optimize the rounded-background-clip shader [Daniel; !1860]
* remote-desktop: Handle non-responding selection owners [Pascal; !1874]
* Improve sysprof support [Jonas Å.; !1700]
* Allow clients to delegate titlebar gestures to the compositor [Florian; !1944]
* Fix upside-down Xshape surface with EGLstream [Robert; !1937]
* Fix 'kms-modifiers' experimental setting [Robert; !1953]
* Make default focus window on each workspace appear focused [Alexander; !850]
* Plugged memory leaks [Jonas Å.; !1869]
* Fixed crashes crash [Daniel, Jonas Å., Florian; !1883, !1895,
  !1910, !1925, !1956]
* Misc. bug fixes and cleanups [Jonas Å., Marco, Daniel, Florian, Georges,
  Zander, Carlos, Robert; !1833, !1863, !1876, !1873, !1884, !1890, !1900,
  !1912, !1916, !1911, !1920, !1865, !1927, !1923, !1929, !1100, !1932, !1931,
  !1862, !1933, !1930, !1935, !1936, !1878, !1938, !1942, !1951, !522, !1941]

Contributors:
  Marco Trevisan (Treviño), Zander Brown, Piotr Drąg, Michel Dänzer,
  Carlos Garnacho, JoseExposito, Robert Mader, Alexander Mikhaylenko,
  Ivan Molodetskikh, Florian Müllner, Georges Basile Stavracas Neto,
  Pascal Nowack, Christian Rauch, Christoph Trassl, Daniel van Vugt, Jonas Ådahl

Translators:
  Pawan Chitrakar [ne], Charles Monzat [fr], Dušan Kazik [sk],
  Quentin PAGÈS [oc], Alexey Rubtsov [ru], Alexander Shopov [bg],
  Florentina Mușat [ro], Chao-Hsiung Liao [zh_TW], Yuri Chornoivan [uk],
  Fran Dieguez [gl], Hugo Carvalho [pt], Rafael Fontenelle [pt_BR],
  Fabio Tomat [fur], Kukuh Syafaat [id], Yaron Shahrabani [he],
  Marek Černocký [cs], Matej Urbančič [sl], Boyuan Yang [zh_CN],
  Daniel Mustieles [es]

40.1
====
* Prevent clients from pasting old selection data [Carlos; !1772]
* Fix forward_key IM functionality on wayland [Takao; !1802]
* Ensure valid window texture size after viewport changes [Robert; !1799]
* Only update cached paint volumes when necessary [Jonas D.; !1773, !1829]
* Only disable KMS modifiers for drivers with known problems [Jonas Å; !1792]
* Fix X11 client resize during moves [Olivier; !1777]
* Fix performance drop during night light transition with Nvidia [Aaron; !1816]
* kms: Don't add common modes that exceed the max bandwidth [Jonas Å.; !1834]
* Create virtual input devices on demand [Jonas Å; !1800, !1858]
* Fix wrong night light gamma when leaving power saving [Jonas Å.; !1835]
* Fix picking edge case [Sebastian; !1842]
* Properly tear down things when shutting down [Jonas Å.; !1822, !1856, !1853]
* Fix monitor screencasting with fractional scaling [kirbykevinson; !1855]
* Fixed crash [Carlos; !1849]
* Plugged memory leak [Carlos; !1839]
* Misc. bug fixes and cleanups [Carlos, Daniel, Jonas D., Jonas Å., Robert,
  Aleksandr, Florian, Michel, Sebastian, Olivier; !1785, !1798, !1784,
  !1791, !1801, !1807, !1786, !1793, !1804, !1820, !1824, !1819, !1803,
  !1821, !1806, !1814, !1831, !1832, !1836, !1843, !1740, !1841, !1827,
  !1844, !1852, !1850, !1851]

Contributors:
  Jonas Ådahl, Michel Dänzer, Jonas Dreßler, Olivier Fourdan, Takao Fujiwara,
  Carlos Garnacho, Sebastian Keller, kirbykevinson, Robert Mader,
  Aleksandr Mezin, Florian Müllner, Aaron Plattner, Daniel van Vugt

Translators:
  Bruce Cowan [en_GB], Ngọc Quân Trần [vi], Marek Černocký [cs],
  Dz Chen [zh_CN], Yosef Or Boczko [he], Nathan Follens [nl],
  Yuri Chornoivan [uk], Jordi Mas [ca], Piotr Drąg [pl], Tim Sabsch [de],
  Luna Jernberg [sv], Hugo Carvalho [pt], Rafael Fontenelle [pt_BR],
  Asier Sarasua Garmendia [eu], Quentin PAGÈS [oc], Matej Urbančič [sl]

40.0
====
* xwayland: Check permissions on /tmp/.X11-unix [Olivier; !1787]

Contributors:
  Olivier Fourdan

Translators:
  Hugo Carvalho [pt], Tim Sabsch [de], Daniel Mustieles [es],
  Matej Urbančič [sl], Марко Костић [sr], Fran Dieguez [gl]

40.rc
=====
* Fix keyboard input from remote desktop in Xorg session [Pascal; !1732]
* Fix restoring focus to windows using globally active input [Olivier; !1716]
* Expose unaccalerated touchpad gesture deltas [Alexander; !1353]
* Avoid relayout on text attribute changes when possible [Jonas D.; !1750]
* Add remote desktop caps- and num-lock state properties [Jonas Å.; !1739]
* Improve refresh rate calculation [Akihiko; !1737]
* Implement presentation-time protocol [Ivan; !1484]
* Disable double-buffered shadow buffering [Jonas Å.; !1724]
* Fix missing cursor on tablet devices [Jonas D.; !1758]
* Fix frame timings causing X11 clients to get stuck [Jonas Å.; !1754]
* Fix applying input settings on X11 [Marco, Suryashankar; !1769, !1767]
* Add headless native backend [Jonas Å.; !1698]
* Fix high latency and stalls with proprietary nvidia driver [Daniel; !1726]
* Fix maximized windows not reacting to strut changes [Aleksandr; !1755]
* Only start XWayland on demand when running under systemd [Benjamin; !1771]
* Sync LEDs when a new input device is added [Olivier; !1662]
* Fix order in which subsurface placement operations are handled [Robert; !1768]
* Fixed crashes [Jonas Å., Sebastian; !1745, !1747, !1759, !1748, !1776, !1775]
* Plugged leaks [Philip, Sebastian; !1738, !1728]
* Misc. bug fixes and cleanups [Jonas Å., Jonas D., Ivan, Florian, Marco,
  Robert; !1688, !1744, !1736, !1749, !1752, !1753, !427, !1757, !1751, !1760,
  !1765, !1770, !1763, !1774, !1780, !1779, !1783]

Contributors:
  Jonas Ådahl, Benjamin Berg, Suryashankar Das, Jonas Dreßler, Olivier Fourdan,
  Sebastian Keller, Robert Mader, Aleksandr Mezin, Alexander Mikhaylenko,
  Ivan Molodetskikh, Florian Müllner, Pascal Nowack, Akihiko Odaki,
  Marco Trevisan (Treviño), Daniel van Vugt, Philip Withnall

Translators:
  Fran Dieguez [gl], Asier Sarasua Garmendia [eu], Claude Paroz [fr],
  Piotr Drąg [pl], Hugo Carvalho [pt], Jordi Mas [ca], Fabio Tomat [fur],
  Yuri Chornoivan [uk], Enrico Nicoletto [pt_BR], Emin Tufan Çetin [tr],
  Daniel Șerbănescu [ro], Marek Černocký [cs], Balázs Úr [hu],
  Aurimas Černius [lt], Kukuh Syafaat [id], A S Alam [pa], Anders Jonsson [sv],
  Milo Casagrande [it], Gwan-gyeong Mun [ko]

40.beta
=======
* Consider clients without mapped windows for xwayland auto-shutdown
  [Olivier; !1671]
* Let compositor to handle super+scroll events [Florian; !1674, !1695]
* Default to starting Xwayland on demand [Olivier; !1673]
* xwayland: Restore abstract socket support [James, Olivier; !1669]
* Add support for atomic mode setting [Jonas Å.; !1488]
* Fix clip region glitches when using fractional scaling [Daniel; !1554]
* Default to horizontal workspace layout [Georges, Florian; !1684, !1706]
* Do not ping unmanaging windows [Florian; gnome-shell#2467]
* Handle monitor changes during screencasts [Jonas Å.; !1691]
* Fix unexpected jumps after restoring misbehaving clients [Jonas Å.; !1445]
* Fix newly opened X11 windows being invisible in overview [Olivier; !1678]
* Fix viewport of offscreen effects [Daniel; !1053]
* Fix drag cancel animation when using geometry scaling [Robert; !1683]
* Improve touch-mode heuristics [Carlos; !1710]
* Integrate clipboard with remote desktop sessions [Jonas Å.; !1552]
* Fix stuck icon in DND operation between X11 and wayland [Carlos; !1720]
* Automatically synchronize pointer position after modal grabs  [Carlos; !1659]
* Reimplement support for CLUTTER_SHOW_FPS [Daniel; !154]
* Only pick on events that may move the pointer [Jonas D.; !1729, !1733]
* Emit discrete scroll events for accumulated smooth events in virtual
  X11 devices [Pascal; !1727]
* Add support for rounded clipping when drawing background [Jonas D.; !1717]
* Plugged memory leaks [Sebastian; !1307, !1699]
* Fixed crashes [Carlos, Thomas, Jonas Å., Olivier; !1677, !1685, !1692,
  !1719, !1718, !1735]
* Misc. bug fixes and cleanups [Jonas Å., Carlos, Olivier, Sebastian, Björn,
  Jonas D., Ivan, Georges, Dor, Michel, Robert; !1670, !1679, !1680, !1682,
  !1681, !1661, !1689, !1690, !1693, !1514, !1696, !1697, !1708, !1709, !1707,
  !1701, !1702, !1715, !1725, !1734, !1512]

Contributors:
  Jonas Ådahl, Dor Askayo, Björn Daase, Michel Dänzer, Jonas Dreßler,
  Olivier Fourdan, Carlos Garnacho, James Henstridge, Sebastian Keller,
  Robert Mader, Ivan Molodetskikh, Thomas Mühlbacher, Florian Müllner,
  Georges Basile Stavracas Neto, Pascal Nowack, Daniel van Vugt

Translators:
  Марко Костић [sr], Jordi Mas [ca], Yuri Chornoivan [uk],
  Daniel Șerbănescu [ro], Hugo Carvalho [pt], Fran Dieguez [gl],
  Matej Urbančič [sl], Marek Černocký [cs], Rafael Fontenelle [pt_BR],
  Philipp Kiemle [de], A S Alam [pa], Balázs Úr [hu], Anders Jonsson [sv],
  Daniel Mustieles [es], Emin Tufan Çetin [tr], Kukuh Syafaat [id],
  Aurimas Černius [lt]

40.alpha.1.1
============
* Adapt to settings moving to gsettings-desktop-schemas [Carlos; !1416]
* Misc. bug fixes and cleanups [Georges; !1667]

Contributors:
  Carlos Garnacho, Georges Basile Stavracas Neto

40.alpha.1
==========
* Base ClutterEffects on ClutterPaintNodes [Georges; !1340, !1355]
* xwayland: Set xrandr primary output [Aleksandr; !1558]
* Add paint node based blur support [Georges; !1627, !1646]
* Disable CRTCs if there is no monitor [Kai-Heng; !1561]
* Fix updates of mipmapped animated backgrounds [Daniel; !1664]
* Allow remote desktop clients to specify scroll source [Pascal; !1636]
* Support the color transform matrix RandR property on X11 [Aaron; !1048]
* Plugged memory leaks [Jonas D.; !1632]
* Fixed crashes [Jonas Å., Olivier, Carlos; !1557, !1648, !1643, !1654, !1663]
* Misc. bug fixes and cleanups [Olivier, Niels, Carlos, Jonas Å., Florian,
  Jonas D., Daniel, Georges, Michel, Sebastian, Marc-Antoine; !1621, !1622,
  !1624, !1623, !1625, !1626, !1630, !1631, !1576, !1635, !1640, !1642,
  !1639, !1644, !1637, !1615, !1647, !1633, !1634, !1651, !1652, !1657,
  !1660, !1658, !1665, !1649, !1668, !1655]

Contributors:
  Jonas Ådahl, Michel Dänzer, Jonas Dreßler, Kai-Heng Feng, Olivier Fourdan,
  Carlos Garnacho, Niels De Graef, Sebastian Keller, Aleksandr Mezin,
  Florian Müllner, Georges Basile Stavracas Neto, Pascal Nowack,
  Marc-Antoine Perennou, Aaron Plattner, Daniel van Vugt

Translators:
  Kjartan Maraas [nb], Juliano de Souza Camargo [pt], Florentina Mușat [ro],
  Daniel Mustieles [es], Jordi Mas i Hernandez [ca], Fabio Tomat [fur],
  Philipp Kiemle [de], Asier Sarasua Garmendia [eu], Aurimas Černius [lt],
  Fran Dieguez [gl], Hugo Carvalho [pt], Matej Urbančič [sl]

40.alpha
========
* Replace CoglMatrix with graphene_matrix [Georges; !1439]
* Allow to specify debug topics in MUTTER_DEBUG [Jonas Å.; !1465]
* Fix unwanted position changes on window resize
  [Jonas Å., Olivier, Robert; !1477, !1495]
* Do not disable the X Security extension by default [Olivier; !1485]
* Fix _NET_WM_FRAME_DRAWN timestamps [Jonas Å.; !1494]
* Fix tiling to the correct monitor [Florian; #1389]
* Only snap to window edges when CTRL is pressed [Florian; #679609]
* Add support for scroll button locking [Peter; !1432]
* Clip Frustra [Georges; !1489]
* Improve tablet-mode-switch support [Hans; !1506]
* Fix missed redraws of newly-mapped actors [Jonas D.; !1366, #1494]
* Gracefully handle Xwayland crashes [Carlos; !1447]
* wayland: Provide previous window dimensions on restore [Christian; !801]
* Remove the ClutterActor::paint signal [Jonas; !1522]
* Fix background artifacts in magnifier [Daniel; #1480]
* Use raycasting for picking [Georges; !1509]
* Fix monitor tiling support on X11 [Jonas Å.; #1524]
* Fix xwayland grabs for override-redirect windows [Olivier; !1254]
* Fix device configuration not being picked up on X11 [Carlos; !1553]
* Support tagging devices as primary GPU via udev [Jonas Å.; !1562]
* Fix size hints with CSD [Olivier; !1594]
* Fix unresponsive input after screen blank [Simon; !1601]
* Cull actors when picking [Georges; !1520]
* Handle input in a thread [Carlos; !1403]
* Improve freezes when switching workspace [Jonas Å.; !1616]
* Plugged memory leaks [Ray; !1225]
* Fixed crashes [Christian, Olivier, Daniel, Robert, Jonas Å., Florian Z.,
  Simon, Carlos; #1481, !1529, !1519, !1534, #1521, !1563, !1604, !1605,
  !1607, !1612]
* Misc. bug fixes and cleanups [Florian, Carlos, Olivier, Georges, Björn,
  Jonas Å., Julius, Corentin, Bastien, Robert, Daniel, Niels, Jonas D., Uday,
  Ian, Jordan, Piotr; !1473, !1472, !1438, #1449, !1475, !1474, !1481, !1466,
  !1483, !1427, !1413, !1103, !1467, !1339, !1297, #1384, !1491, !528, !1496,
  !1510, !1507, !1387, !1498, !1515, !1516, !1517, !1486, !1524, !1527, !1528,
  !1531, !1532, !1521, !1535, #1490, !1545, !1555, !1564, !1549, !1567, !1565,
  !1572, !1569, !1573, !1566, !1525, !1468, !1578, !1583, !1584, !1585, !1571,
  !1327, !1586, !1590, !1588, !1050, !1596, !1592, !1587, !1599, !1577, !1511,
  !1591, !1603, !1611, !1593, !1617, !1619]

Contributors:
  Björn Daase, Jonas Dreßler, Piotr Drąg, Olivier Fourdan, Carlos Garnacho,
  Hans de Goede, Niels De Graef, Peter Hutterer, Julius Lehmann, Robert Mader,
  Simon McVittie, Florian Müllner, Georges Basile Stavracas Neto,
  Bastien Nocera, Corentin Noël, Jordan Petridis, Uday Kiran Pichika,
  Christian Rauch, Ian Douglas Scott, Ray Strode, Daniel van Vugt,
  Florian Zwoch, Jonas Ådahl

Translators:
  Juliano de Souza Camargo [pt], Ask Hjorth Larsen [da], Yuri Chornoivan [uk]

3.38.1
======
* Fix Night Light updates after DPMS [Jonas, Benjamin; #1392]
* Fix button scrolling on X11 [Peter; !1431]
* Always use correct font-dpi setting on X11 [Marco; !1444]
* Improve handling of scanout failures [Jonas; #1410]
* Fix middle/right button mixup in scroll button assignment [Peter; !1433]
* Fix resizing of attached modal dialogs on wayland [Jonas; !1446]
* Enable KMS modifiers on devices that need them [Karol; !1443]
* Fix IM handling on X11 [Carlos; #1413]
* Fix glitches in "undefined" screencast areas [Jonas; !1459]
* Fix visual glitches on background with fractional scaling [Daniel; !1464]
* Fix using correct refresh rate [Jonas; #1430]
* Misc. bug fixes and cleanups [Daniel, Carlos, Robert, Simon, Sergio; !1362,
  !1448, !1452, !1273, !1454, !1429, !1460, !1458, !1463, !1462]
* Plugged memory leaks [Ray; !1449, !1451]

Contributors:
  Marco Trevisan (Treviño), Benjamin Berg, Sergio Costas, Carlos Garnacho,
  Karol Herbst, Peter Hutterer, Robert Mader, Simon McVittie, Ray Strode,
  Daniel van Vugt, Jonas Ådahl

Translators:
  Juliano de Souza Camargo [pt], Rafael Fontenelle [pt_BR],
  Yosef Or Boczko [he], Jordi Mas [ca]

3.38.0
======
* screencast: Only use DMA buffers for i915 [Jonas; !1442]
* Fixed crashes [Jonas, Simon; !1430, #1414]

Contributors:
  Simon McVittie, Jonas Ådahl

Translators:
  Anders Jonsson [sv], Gil Forcada [ca], Balázs Meskó [hu], Tim Sabsch [de],
  Milo Casagrande [it], Bruce Cowan [en_GB], Rūdolfs Mazurs [lv]

3.37.92
=======
* Fix stale cursor positions in remote desktop sessions [Georges; !1417]
* xwayland: Add a setting to disable selected X extensions [Olivier; !1405]
* Fix screencasting when using QXL [Jonas Å., Grey; !1318]
* Cull actors that don't intersect with the redraw clip [Daniel; !1359]
* Optimize painting of backgrounds when culling is unavailable [Daniel; !1363]
* Improve support for Hangul input method [Carlos; !1286]
* Support debug paint overlay for opaque regions [Robert; !1372]
* Fix launching flatpak applications when autostarting Xwayland [Carlos; !1424]
* Add support for capture scanouts in screencasts [Georges; !1421]
* Allow integrated tablet devices to cycle outputs [Carlos; !1201]
* Improve mapping input devices to the most relevant output [Carlos; !1202]
* Only enable auto-rotation in touch mode [Carlos; !1311]
* Fixed crashes [Pascal, Robert, Carlos, Benjamin, Marco; !1414, !1409, !1408,
  !1415, #1395, !1392, !1371, #1345]
* Misc. bug fixes and cleanups [Björn, Jonas D., Florian; !1410, !1358, !1425]

Contributors:
  Marco Trevisan (Treviño), Benjamin Berg, Grey Christoforo, Björn Daase,
  Jonas Dreßler, Olivier Fourdan, Carlos Garnacho, Robert Mader,
  Florian Müllner, Georges Basile Stavracas Neto, Pascal Nowack,
  Daniel van Vugt, Jonas Ådahl

Translators:
  Marek Černocký [cs], Aurimas Černius [lt], Asier Sarasua Garmendia [eu],
  Gwan-gyeong Mun [ko], Yuri Chornoivan [uk], Boyuan Yang [zh_CN],
  Kukuh Syafaat [id], Piotr Drąg [pl], Rafael Fontenelle [pt_BR],
  Марко Костић [sr], Matej Urbančič [sl], Fabio Tomat [fur],
  Daniel Mustieles [es], Fran Dieguez [gl], Goran Vidović [hr],
  Claude Paroz [fr], Andre Klapper [or, ug, te], Emin Tufan Çetin [tr]

3.37.91
=======
* Fix initial state of display mode OSD [Jian-Hong; #1362]
* Fixed crashes [Jonas Å., Robert; !1407, !1411]
* Misc. bug fixes and cleanups [Jonas Å., Christian; !1404, !1364, #1331]

Contributors:
  Jonas Ådahl, Robert Mader, Jian-Hong Pan, Christian Rauch

Translators:
  Fran Dieguez [gl], Daniel Mustieles [es], Florentina Mușat [ro],
  Kukuh Syafaat [id], Piotr Drąg [pl], Emin Tufan Çetin [tr], Марко Костић [sr],
  Akarshan Biswas [bn_IN], Matej Urbančič [sl], Boyuan Yang [zh_CN],
  Goran Vidović [hr], Rafael Fontenelle [pt_BR]

3.37.90
=======
* Fix using NEAREST filter for backgrounds on scaled monitors [Daniel V.; !1346]
* Screencast fixes and improvements [Jonas; !1361, !1377, !1391]
* Support tap-button-map and tap-drag-lock touchpad settings [Giusy; !1319]
* Fix wine copy & paste [Sebastian; !1369]
* Fix shadows of server-side decorated XWayland windows [Olivier; #1358]
* Replace some loaded terms with more descriptive ones [Olivier; !1396]
* Add API to launch trusted wayland clients [Sergio; #741]
* Skip displays with 'non-desktop' property set [Philipp; !1393]
* Invalidate offscreen effect cache on video memory purge [Daniel V.; !1374]
* Add wl_shm support for 10 bpc and 16 bpc half float formats [Jonas; !804]
* Fixed crashes [Jonas, Erik, Martin; !1365, !1375, #1343]
* Misc. bug fixes and cleanups [Daniel V., Carlos, Olivier, Christian,
  Daniel * G., Jonas, Florian; !1370, !1376, !1385, !1352, !1386, !1390,
  !1388, !1397, !1398, !1401]

Contributors:
  Jonas Ådahl, Sergio Costas, Olivier Fourdan, Carlos Garnacho,
  Christian Hergert, Sebastian Keller, Erik Kurzinger, Giusy Margarita,
  Daniel García Moreno, Florian Müllner, Daniel van Vugt, Martin Whitaker,
  Philipp Zabel

Translators:
  Fabio Tomat [fur], Rafael Fontenelle [pt_BR], Jordi Mas [ca],
  Yuri Chornoivan [uk], Alexandre Franke [fr]

3.37.3
======
* Support custom keyboard layouts in $XDG_CONFIG_HOME/xkb [Peter; !936]
* Optimize resource scale computation [Jonas D.; !1196, !1276, !1343]
* Allow animating ClutterActor's content property [Georges; !1301]
* Implement backgrounds as ClutterContent [Georges; !1302]
* Add ClutterAlignConstraint:pivot-point property [Jonas D.; !737]
* Fix crash on area screenshots with fractional scaling [Sebastian; !1320]
* Do not paint textures of fully obscured windows [Robert; !1326]
* Use a more appropriate combine function on opaque areas [Daniel; !1331]
* Fix remote desktop being broken without screencast session [Olivier; #1307]
* Remove more long-deprecated Clutter APIs [Adam, Georges; !1194, !1332]
* Drive each monitor by its own frame clock [Jonas Å.; !1285]
* Fix copy/paste failures on X11 [Carlos; !1350]
* Mipmap background texture rendering [Daniel; !1347]
* Plugged memory leaks [Sebastian, Jonas D.; !1293, !1281, !1304]
* Misc. bug fixes and cleanups [Jonas Å., Jonas D., Daniel, Corentin, Carlos,
  Sebastian, Michel, Robert, Florian; !1288, !1289, !1291, !1296, !1292, !1298,
  !1300, !1303, !1290, !1287, !1306, !1305, !1308, !1313, !1250, !1314, !1267,
  !1275, !1317, !1270, !1322, !1181, !1282, !1325, !1323, !1240, !1295, !1329,
  !1333, !1334, !1336, !1341, #1312, !1345, !1349, !1356, #873, !1310, !1357]

Contributors:
  Jonas Dreßler, Michel Dänzer, Olivier Fourdan, Carlos Garnacho,
  Peter Hutterer, Adam Jackson, Sebastian Keller, Robert Mader, Florian Müllner,
  Georges Basile Stavracas Neto, Corentin Noël, Daniel van Vugt, Jonas Ådahl

3.37.2
======
* Fix move-to-center keybinding with multiple monitors [Sergey; #1073]
* Fix stuck buttons when a virtual device is destroyed [Carlos; !1239]
* Use workarea when centering new windows [Akatsuki; #964]
* Limit mipmap levels when rendering background [Daniel; !1003]
* Broadcast clipboard/primary offers [Carlos; !1253]
* Support primary-selection protocol from wayland-protocols [Carlos; !1255]
* Fix monitor screen cast on X11 [Jonas Å.; !1251]
* Support a "blank" cursor type [Florian; !1244]
* Improve stage view damage tracking [Jonas Å.; !1237]
* Implement touch-mode detecation for the X11 backend [Carlos; !1278]
* Drop external keyboard detection from touch-mode heuristics [Carlos; !1277]
* Optimize actor allocations [Jonas D.; !1247]
* Fixed crashes [Daniel, Carlos, Jonas Å., Jonas D.; !1256, !1258, !1217, !1280]
* Misc. bug fixes and cleanups [Christian, Jonas D., Olivier, Ting-Wei,
  Jonas Å., Marco, Corentin, Daniel, Robert, Niels, Florian, Simon; !1231,
  !1228, !1238, !1229, !1192, !1236, !1171, !1134, #1126, !1234, !1230, !1210,
  !1242, !1243, !1252, !1113, !1232, !1259, !1245, !1265, !1180, !1261, !788,
  !1264, !1235, !1218, !1150, !1274, !1271, !1279, !1283, !1272]

Contributors:
  Marco Trevisan (Treviño), Akatsuki, Jonas Dreßler, Olivier Fourdan,
  Carlos Garnacho, Niels De Graef, Ting-Wei Lan, Robert Mader, Simon McVittie,
  Florian Müllner, Corentin Noël, Christian Rauch, Daniel van Vugt,
  Sergey Zigachev, Jonas Ådahl

3.37.1
======
* Fix screencasting non-maximized windows [Jonas Å.; !1174]
* Make window-aliveness checks less aggressive [Jonas Å.; !1182]
* Fix stylus coordinates when using screen rotation [Jonas T.; #1118]
* Preserve keyboard state on VT switch [Olivier; !1185]
* Remove Clutter's drag and drop actions [Jonas D.; !789]
* Cancel clicks/gestures actions on disable [Georges; !1188]
* Fix various clipboard issues [Carlos; !1186, !1198, !1203, !1204, !1206]
* Fix trackball button scrolling [Phillip; #1120]
* Fix tiled monitor support [Jonas; !1199]
* Support unredirecting fullscreen wayland surfaces [Jonas Å.; !798]
* Support area screencasts [Jonas Å.; !1207]
* Synchronize shadows to server-side decorations [Olivier; !1214]
* Allow inhibiting remote access [Jonas Å.; !1212]
* Fix overview key on X11 when using multiple keyboard layouts [Olivier; !1219]
* Fixed crashes [Jonas, D., Carlos; !1173, !1183, !1012]
* Misc. bug fixes and cleanups [Andre, Georges, Christian, Jonas Å., Andre,
  Simon, Florian, Carlos, Adam, Marco, Thomas, Elias, Pekka, Jonas D.,
  Laurent; !1169, !1168, !1166, !1170, !1167, !1172, !1175, !1176, !1184,
  !1126, !1187, !1191, !1195, !1179, !1200, !1193, !1209, !1213, !1208,
  #1074, !1223]

Contributors:
  Marco Trevisan (Treviño), Elias Aebi, Thomas Hindoe Paaboel Andersen,
  Laurent Bigonville, Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Adam Jackson, Andre Moreira Magalhaes, Simon McVittie, Florian Müllner,
  Georges Basile Stavracas Neto, Pekka Paalanen, Christian Rauch, Jonas Troeger,
  Phillip Wood, Jonas Ådahl

Translators:
  Dušan Kazik [sk], Christian Kirbach [de]

3.36.0
======
* Fix placement of popup windows in multi-monitor setups [Jonas; !1110]
* Fix invisible mouse cursor on some hardware [Jonas; !1079]

Contributors:
  Jonas Ådahl

Translators:
  Aurimas Černius [lt], Goran Vidović [hr], Anders Jonsson [sv],
  Guillaume Bernard [fr], Milo Casagrande [it], Daniel Korostil [uk],
  Andre Klapper [cy], Aman Alam [pa], Nathan Follens [nl]

3.35.92
=======
* Fix visibility of initially hidden windows [Jonas Å.; !1066]
* Avoid flicker when (un)redirecting windows [Sebastian; #997]
* Let BindConstraints update the preferred size [Emmanuele; !1070]
* Learn about GLES3 [Adam; !882]
* Ping windows on every window focus [Jonas D.; !891]
* Remove overhead from hot code paths [Christian;
  #1056, !1081, !1083, !1071, !1087]
* Allow remote desktop services to inhibit animations [Jonas Å.; !838]
* Update screen-cast code to PipeWire 0.3 API [Wim; !1062]
* Make check-alive timeouts configurable [Jonas Å.; !1080]
* Make each stage view correspond to a single CRTC [Jonas Å.; !1042]
* Implement scaled/transformed hardware cursors [Robert; !526]
* Use DMA buffers for screencasting if possible [Georges; !1086]
* Make Xwayland startup asynchronous [Carlos; !944]
* Fix clipping glitches in long text entries [Jonas D.; !1096]
* Add side channel for starting required X11 services [Carlos; !945]
* Support synchronized wayland popup moving [Jonas Å.; !705]
* Fixed crashes [Olivier, Jonas Å.; !1073, !1093]
* Plugged memory leaks [Sebastian, Jonas Å.; !1089, !1095]
* Misc. bug fixes and cleanups [Jonas Å, Olivier, Florian, Daniel, Jonas D.,
  Robert, Sebastian, Christian, Arun, Carlos, worldofpeace; !1061, #1043,
  !1067, !1068, !1065, !835, !1058, !1069, !1075, #1060, !1077, !423, !1090,
  !1088, !1094, #1067, !1064, !1099, !957, !1000, !1082]

Contributors:
  Emmanuele Bassi, Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Christian Hergert, Adam Jackson, Sebastian Keller, Robert Mader,
  Florian Müllner, Georges Basile Stavracas Neto, Arun Raghavan, Wim Taymans,
  Daniel van Vugt, worldofpeace, Jonas Ådahl

Translators:
  Yi-Jyun Pan [zh_TW], Asier Sarasua Garmendia [eu], Rafael Fontenelle [pt_BR],
  Emin Tufan Çetin [tr], Daniel Mustieles [es], Balázs Úr [hu],
  Gwan-gyeong Mun [ko], Marek Černocký [cs], Fran Dieguez [gl],
  Kukuh Syafaat [id], Alan Mortensen [da], Piotr Drąg [pl], sicklylife [ja],
  Matej Urbančič [sl]

3.35.91
=======
* Honor accelerometer orientation on monitor config changes [Hans; !959]
* Enable culling for integer-scaled actors [Robert; !1036]
* Add ClutterSeat::touch-mode property [Carlos; !1044]
* Fix mis-scaling when streaming windows [Olivier; !1022]
* Make the cursor renderer use the transactional KMS API [Jonas; !930]
* Advertise MetaMonitor as wl_output [Olivier; !994]
* Fix culling of XWayland windows [Robert; !1049]
* Only consider enabled effects when disabling culling [Robert; !1052]
* Misc. bug fixes and cleanups [Olivier, Sergio, Adam, Carlos, Björn; !1040,
  #985, !1024, !1039, !1051]

Contributors:
  Sergio Costas, Björn Daase, Olivier Fourdan, Carlos Garnacho, Hans de Goede,
  Adam Jackson, Robert Mader, Jonas Ådahl

Translators:
  sicklylife [ja]

3.35.90
=======
* Cull out clip region [Robert; !985]
* Always enable tap-to-click/drag on opaque Wacom tablets [Carlos; !968]
* Fix visual glitches with offscreen effects applied [Georges; !992]
* Fix "sticky corner" in multi-head setups [Jonas D.; #774]
* Fix black shadows around XWayland windows during resizes [Ray, Olivier; #858]
* Zero-copy path for GPU-less secondary GPUs [Pekka; !810]
* Cancel DND on Esc [Carlos; #1020]
* Sync XWayland window shadows to frame during resizes [Olivier; !1009]
* Add support for per-monitor workareas [Alberts; !370]
* Ensure newly mapped wayland windows receive ENTER event [Olivier; !1026]
* Add ClutterSeat object [Carlos; !852]
* Honour CLUTTER_ACTOR_NO_LAYOUT flag more efficiently [Daniel; !575]
* Fix interoperation with wl_data_device_manager v1 [Carlos; #965]
* Favor text over images in clipboard manager [Carlos; #919]
* Apply monitor scale after background texture creation [Daniel; !1004]
* Plugged memory leaks [Sebastian, Adam; !991, #1000, !1011, !1020, !1030,
  !1001, !1033]
* Fixed crashes [Jonas Å., Florian, Olivier; !961, #1029, !1037]
* Misc. bug fixes and cleanups [Björn, Jonas Å., Adam, Sebastian, Jonas D.,
  Daniel, Carlos, Corentin, Sebastian, Robert, Daniel; #385, !998, !1007, !995,
  !1016, !1018, !1017, !1005, !1019, !1025, !1028, !1029, !1031, !1015, !1032,
  !1034, #1025]

Contributors:
  Björn Daase, Jonas Dreßler, Olivier Fourdan, Carlos Garnacho, Adam Jackson,
  Sebastian Keller, Robert Mader, Alberts Muktupāvels, Florian Müllner,
  Georges Basile Stavracas Neto, Corentin Noël, Pekka Paalanen, Ray Strode,
  Daniel van Vugt, Jonas Ådahl

Translators:
  sicklylife [ja], Umarzuki Bin Mochlis Moktar [ms]

3.35.3
======
* backends/native: Correct dy value in pinch gesture event [Yariv; !974]
* Upload clipping rectangles in parallel [Daniel; !969]
* More cogl API cleanups [Adam; !978, !977, !973]
* Fix window recording on HiDPI [Pascal; !976]
* Fix top-left pixel being insensitive to clicks [Sebastian; #893]
* Misc. bug fixes and cleanups [Daniel, Adam; !979, !980]

Contributors:
  Yariv Barkan, Adam Jackson, Sebastian Keller, Pascal Nowack, Daniel van Vugt

Translators:
  Fran Dieguez [gl], Dz Chen [zh_CN]

3.35.2
======
* Don't emit focus event after destruction [Marco; gnome-shell#1704, !860]
* Add a notion of pixel format planes [Niels; !858]
* Replace various Cogl/Clutter types with Graphene [Georges; !458]
* Improve CoglJournal [Georges, Jasper; !402]
* Split pick and paint [Georges; !865]
* Remove deprecated/unused cogl/clutter APIs [Adam; !866, !878, !879, !880,
  !885, !900, !902, !904, !896, !913, !922, !883, !903, !921, !933, !819]
* Fix hang when opening not-responding dialog on Xorg [Carlos; !876]
* Allow changing Clutter debug flags at runtime [Georges; !862]
* Fix frozen grabs on Xorg after weeks of inactivity [Jonas; !886]
* Fix triggering popups from stylus devices o wayland [Carlos; #886]
* Fix fallback to GLES2 [Adam; #635]
* Fix buffer age checks on multiple monitors [Carlos; !906]
* Adjust to Sysprof API change [Christian; !908]
* Improve support for (X11) fullscreen games under wayland [Hans; !739]
* Support shadow framebuffers for offscreen rendering [Olivier; !877]
* Fix hang after interacting with desktop icons on X11 [Marco; !909]
* Don't double scale when getting absolute surface coordinates [Xiang; !915]
* Respect NET_WM_TRANSIENT_FOR for override-redirect windows [Marco; !920]
* Kill window effects on destroy [Robert; !924]
* Remove deprecated ClutterTexture [Jonas; !932]
* Use regions instead of bounding box for clipping and culling [Carlos; !867]
* Use partial damage for dma-buf and EGLImage buffers on wayland [Robert; #947]
* Do not stack transients underneath their always-on-top parent [Florian; #587]
* Add explicit paint/pick contexts [Jonas; !935]
* Fix KMS freeze after pageflip fallback [Pekka; !953]
* Fixed crashes [Robert, Carlos, Jonas, Marco, Hans, Tim; !856, !869, !912,
  !895, !928, #591, !823, !960]
* Plugged memory leaks [Niels, Robert, Carlos, Marco; !847, !868, !873, #908]
* Misc. bug fixes and cleanups [Niels, Robert, Jonas, Marco, Carlos, Daniel,
  Jan, Adam, Cosimo, Florian, Thomas, Georges, Hans, Corentin, Christian,
  Benjamin; !853, !822, !451, !854, !816, !857, !859, !734, !844, !851, #876,
  !874, !673, !692, !888, !889, !894, !901, !905, !872, !898, !911, !918, !863,
  #878, !811, !893, !925, !926, !890, !931, !927, !934, !938, !940, !947, !941,
  !929, !949, !952, !871, !955, !956, !958, !907, !965, !964, !966]

Contributors:
  Marco Trevisan (Treviño), Jan Alexander Steffens (heftig),
  Thomas Hindoe Paaboel Andersen, Benjamin Berg, Cosimo Cecchi, Tim Crawford,
  Piotr Drąg, Xiang Fan, Olivier Fourdan, Carlos Garnacho, Hans de Goede,
  Niels De Graef, Christian Hergert, Adam Jackson, Robert Mader,
  Florian Müllner, Georges Basile Stavracas Neto, Bastien Nocera, Corentin Noël,
  Pekka Paalanen, Jasper St. Pierre, Christian Rauch, Daniel van Vugt,
  Jonas Ådahl

Translators:
  Bruce Cowan [en_GB]

3.35.1
======
* Fix immediate screen blank after releaseing inhibitor [Tim; #573]
* Respond to frame callbacks regardless of damage [Jonas; !839]
* selection [Carlos; !842]
* Fix Night Light on wayland [Jonas; !840]
* Fix various copy+paste/DND regressions [Carlos; !848, #789, #842,
  #793, #845, #854]
* Misc. bug fixes and cleanups [Daniel, Marco, Jonas, Georges;
  !841, !764, !837, !846]

Contributors:
  Marco Trevisan (Treviño), Carlos Garnacho, Tim Klocke,
  Georges Basile Stavracas Neto, Daniel van Vugt, Jonas Ådahl

3.34.1
======
* Fix startup of X11 session services on wayland [Carlos; #771]
* Fix _NET_ACTIVE_WINDOW emission [Carlos; #751]
* Fix initial view perspective [Marco; !803]
* Fix screenshots and window animations when scaled [Robert; !758]
* Re-enable coredumps when capabilities are set [Jonas; !811]
* Fix scaling of DND surface actors [Robert; !780]
* Optimize blitting of untransformed offscreen stage views [Olivier; !809, !820]
* Fix freeze of pointer event delivery on X11 [Olivier; !821]
* Fix scaling of stylus input coordinates with HiDPI [Dorian; !830]
* Fix memory leak when using implicit animations [Jonas; !828]
* Fix numlock state for native backend [Carlos; #769]
* Fixed crashes [Marco, Olivier, Jonas Å.; !805, #823, !808, !825,
  #844, !826, #779]
* Misc. bug fixes and cleanups [Jonas Å., Georges, Jonas D., Michal, Daniel,
  Iain, Adam, Marco, Carlos, Ting-Wei, Hans, Robert; !787, !795, !791, !797,
  !772, !775, !799, !778, !785, !782, !796, #819, !814, !769, !817, !783, !786,
  !829, !774, #822]

Contributors:
  Marco Trevisan (Treviño), Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Hans de Goede, Adam Jackson, Ting-Wei Lan, Iain Lane, Michal Lazo,
  Robert Mader, Georges Basile Stavracas Neto, Dorian Stoll, Daniel van Vugt,
  Jonas Ådahl

Translators:
  Milo Casagrande [it], Nathan Follens [nl], Matej Urbančič [sl],
  Ask Hjorth Larsen [da], Alan Mortensen [da], Jordi Mas [ca]

3.34.0
======
* Fix xdg-output v3 support [Olivier; !771]
* Fix crash when changing decoration state [Jonas; !773]
* Add and remove connectors on hot-plug [Jonas; !743]

Contributors:
  Olivier Fourdan, Jonas Ådahl

Translators:
  Rafael Fontenelle [pt_BR], Gwan-gyeong Mun [ko], Christian Kirbach [de],
  Claude Paroz [fr], Milo Casagrande [it], Emin Tufan Çetin [tr],
  Ryuta Fujii [ja]

3.33.92
=======
* Turn MetaShapedTexture into a ClutterContent implementation [Georges; !409]
* Restore inhibit shortcut for overlay key [Olivier; #734]
* Misc. pointer a11y improvements [Jonas D., Olivier; !746, !747, !745, !761]
* Fix position of drag surfaces [Robert; !684]
* Implement subsurface.place_below() for parents [Robert; !664]
* Add meta_window_actor_get_image() [Jonas Å.; !752]
* Revert faulty optimization from !719 [Jonas Å.; #735]
* Add additional sysprof trace points [Jonas Å.; !757, !765]
* Remove GLX "threaded swap wait" used on Nvidia [Daniel; !602]
* Implement geometric picking [Daniel; !189]
* Fix lost keyboard focus after DND [Olivier; #747]
* Misc. bug fixes and cleanups [Florian, Carlos, Piotr, Hans, Georges, Robert,
  Ray, Mart, Rémi; !740, !672, !749, !751, !753, !730, !755, !756, !750, !715,
  #738944, !657, !768]

Contributors:
  Jonas Ådahl, Rémi Bernon, Piotr Drąg, Jonas Dreßler, Olivier Fourdan,
  Carlos Garnacho, Hans de Goede, Robert Mader, Florian Müllner,
  Georges Basile Stavracas Neto, Mart Raudsepp, Ray Strode, Daniel van Vugt

Translators:
  Piotr Drąg [pl], Марко Костић [sr], Rūdolfs Mazurs [lv], Matej Urbančič [sl],
  Balázs Úr [hu], Fran Dieguez [gl], Jordi Mas [ca], Anders Jonsson [sv],
  Trần Ngọc Quân [vi], Tim Sabsch [de], Fabio Tomat [fur], Goran Vidović [hr],
  Marek Černocký [cs]

3.33.91
=======
* Fix primary selection copy and paste between X11 and wayland [Hans; #702]
* Improve monitor hotplug support [Hans; !713]
* Remove a source of frame skips [Daniel; !719]
* Fix windows being lowered after unmaximizing with double click [Olivier; #88]
* Remove Clutter API for global grabs [Jonas D.; !536]
* Improve processing of incompressible events [Daniel; !711]
* Add xdg-output v3 support [Olivier; !704]
* Misc. bug fixes and cleanups [Jonas Å., Marco, Carlos, Adam, Albert, Niels,
  Olivier, Florian; !722, !385, !728, !726, !500, !731, !727, !700, !735, !738]

Contributors:
  Jonas Ådahl, Albert Vaca Cintora, Jonas Dreßler, Olivier Fourdan,
  Carlos Garnacho, Hans de Goede, Niels De Graef, Adam Jackson, Florian Müllner,
  Marco Trevisan (Treviño), Daniel van Vugt

Translators:
  Asier Sarasua Garmendia [eu], Kukuh Syafaat [id], Florentina Mușat [ro],
  Aurimas Černius [lt], Daniel Mustieles [es]

3.33.90
=======
* Fix visibility of clones with hidden source [Florian; #683]
* Reduce freezes when opening some popup windows [Carlos; #556]
* Be more thorough when excluding obscured areas from painting [Carlos; !698]
* Make it possible to start Xwayland on demand [Carlos; !709]
* clutter: Expose layout_manager to transitions [Florian; !716]
* Misc. bug fixes and cleanups [Mark, Florian, Iain, Niels, Carlos, Ray; !671,
  !691, !694, !696, !703, !707, !697, !710, !708, !714, #719, !721]

Contributors:
  Mark Blakeney, Carlos Garnacho, Niels De Graef, Iain Lane, Florian Müllner,
  Ray Strode

Translators:
  Asier Sarasua Garmendia [eu], Rafael Fontenelle [pt_BR], Fabio Tomat [fur],
  Florentina Mușat [ro]

3.33.4
======
* Discard page flip retries on hotplug [Jonas; !630]
* Add xdg-output v2 support [Olivier; #645]
* Restore DRM format fallbacks [Jonas; !662]
* Don't emit ::size-changed when only position changed [Daniel; !568]
* Expose workspace layout properties [Florian; !618]
* Don't use grab modifiers when shortcuts are inhibited [Olivier; #642]
* Fix stuttering due to unchanged power save mode notifications [Georges; !674]
* Add API to reorder workspaces [Adam; !670]
* Make picking a new focus window more reliable [Marco; !669]
* Defer actor allocation till shown [Carlos; !677]
* Try to use primary GPU for copy instead of glReadPixels [Pekka; !615]
* Unset pointer focus when the cursor is hidden [Jonas D.; !448]
* Fix modifier-drag on wayland subsurfaces [Robert; !604]
* Fix background corruption on Nvidia after resuming from suspend [Daniel; !600]
* Only grab the locate-pointer key when necessary [Olivier; !685, #647]
* Misc. bug fixes and cleanups [Florian, Jonas, Daniel, Robert, Olivier,
  Georges, Marco, Carlos, Emmanuele; !648, !650, !647, !656, !658, !637,
  !663, !660, !659, !665, !666, !668, !667, #667, !676, !678, #672, !680,
  !683, !688, !689, !687]

Contributors:
  Jonas Ådahl, Emmanuele Bassi, Adam Bieńkowski, Piotr Drąg, Jonas Dreßler,
  Olivier Fourdan, Carlos Garnacho, Robert Mader, Florian Müllner,
  Georges Basile Stavracas Neto, Pekka Paalanen, Marco Trevisan (Treviño),
  Daniel van Vugt

Translators:
  Fabio Tomat [fur], Kukuh Syafaat [id]

3.33.3
======
* Prepare for running Xwayland on demand [Carlos; !420]
* Fix text selection color rendering [Florian; #494]
* Fix black shadows when using fractional scaling [Robert; #609]
* Honor startup sequence workspace on wayland [Carlos; gnome-shell#674]
* Only emit 'grab-op-end` signal after dropping grabs [Marco; !596]
* Add a Sysprof-based profiler [Jonas, Georges; !197, !603]
* Relax "xwayland-allow-grabs" setting [Olivier; #597]
* Implement locate-pointer accessibility feature [Olivier; !453]
* Implement mouse accessibility [Olivier; !512]
* Consolidate frame throttling [Daniel, Georges; !363]
* Fix setting blank cursor under wayland [Jonas; #630]
* Pixel-align OpenGL cursors [Jonas; !610]
* Handle returning from fullscreen/maximization better [Jonas; !621]
* Improve screencast support on multi-monitor systems [Georges; !623]
* Fix running X11 applications with sudo under wayland [Hans; #643]
* Implement toggle-keys notification [Olivier; #637]
* Add initial KMS transactional support [Jonas; !525]
* Improve finding new focus window when the old one is closed [Marco; #308]
* Misc. bug fixes and cleanups [Jonas, Carlos, Marco, Florian, Pekka, Robert,
  Douglas, Georges, Daniel, Emil, Niels, Hans, Olivier, Ting-Wei, Corentin;
  !591, #398, !592, !581, !597, !598, !593, !497, #591, !545, gtk#1675, !601,
  #568, !564, !605, !609, !115, !214, !611, !617, !616, !619, !624, !622, !627,
  !628, !629, !632, !633, !631, !636, !639, !638, !634, !640, !529, !644, !590]

Contributors:
  Jonas Ådahl, Piotr Drąg, Olivier Fourdan, Carlos Garnacho, Hans de Goede,
  Niels De Graef, Ting-Wei Lan, Robert Mader, Florian Müllner,
  Georges Basile Stavracas Neto, Corentin Noël, Pekka Paalanen, Douglas R. Reno,
  Marco Trevisan (Treviño), Emil Velikov, Daniel van Vugt

Translators:
  Balázs Úr [hu], Daniel Mustieles [es], Nathan Follens [nl], Goran Vidović [hr]

3.33.2
======
* Fix rendering lag on Xorg [Daniel; !520, !281]
* Misc. bug fixes and cleanups [Carlos, Marco, Jonas D., Florian, Niels,
  Daniel, Benjamin, Jonas Å., Ignacio, Vasilis; #598, !576, !547, !578,
  !583, !582, !469, !524, !119, !571, !584, !585, !586, #425]

Contributors:
  Jonas Ådahl, Benjamin Berg, Jonas Dreßler, Carlos Garnacho, Niels De Graef,
  Vasilis Liaskovitis, Florian Müllner, Ignacio Casal Quinteiro,
  Marco Trevisan (Treviño), Daniel van Vugt

Translators:
  Daniel Mustieles [es]

3.33.1
======
* Remove unused APIs and outdated driver support
  [Adam; !481, !468, !489, !487, !546]
* Enable EGL_IMG_context_priority [Adam; !454]
* Disable mouse keys with Numlock on [Olivier; #530]
* Fix crash when restarting on X11 [Marco; #576]
* Implement clipboard manager [Carlos; !320]
* Fix spurious idle signals that prevent session unblank [Jonas Å.; !543]
* Fix mapping of touchscreens that don't report dimensions [Carlos; #581]
* Fix propagating fractional scaling factor [Robert; !537]
* Add experimental RT scheduling support [Carlos; !460]
* Misc. bug fixes and cleanups [Robert, Carlos, Olivier, Ray, Marco, Jonas D.,
  Georges, Daniel V., Daniel M; !467, !504, !551, !552, #575, #556, !557, !442,
  !562, !535, !548, #586, !567, !396, !422, !507]

Contributors:
  Jonas Ådahl, Piotr Drąg, Jonas Dreßler, Olivier Fourdan, Carlos Garnacho,
  Adam Jackson, Robert Mader, Daniel García Moreno, Florian Müllner,
  Georges Basile Stavracas Neto, Ray Strode, Marco Trevisan (Treviño),
  Daniel van Vugt

Translators:
  Daniel Mustieles [es], Fabio Tomat [fur], Kukuh Syafaat [id]

3.32.1
======
* Fix fallback app menu on wayland [Florian; #493]
* Fix elogind support [Tom; !491]
* Fix startup notifications not timing out [Carlos; #501]
* Fix keyboard accessibility toggle from keys
  [Olivier, Carlos; !501, #529, !531]
* Fix touchscreen input on rotated displays [Carlos; #514]
* Work around hangul text input bug [Carlos; #1365]
* Fix blurry wallpaper scaling [Daniel; !505]
* Fix placement of window menu when using fractional scaling [Jan; #527]
* Fix repaint issues of offscreen effects on secondary monitors [Daniel; !511]
* Fix windows not getting focus after launch [Daniel; #505]
* Properly advertise support for 'underscan' property [Jonas; !507]
* Improve power-saving handling [Jonas; !506]
* Fix moving windows by super+touch [Jonas D.; !495]
* Misc. bug fixes and cleanups [Benjamin, Florian, Adam, Marco, Pablo,
  Erik, Jonas, Heiher, Pekka, Daniel, Olivier, Carlos; !478, !475, !480,
  !482, #490, !488, #491, #480, !477, !496, !492, !485, !515, !519, !521,
  !216, !538, #541, #523]

Contributors:
  Jonas Ådahl, Pablo Barciela, Benjamin Berg, Tom Briden, Jonas Dreßler,
  Olivier Fourdan, Carlos Garnacho, Jan Alexander Steffens (heftig), Heiher,
  Adam Jackson, Erik Kurzinger, Florian Müllner, Pekka Paalanen,
  Marco Trevisan (Treviño), Daniel van Vugt

Translators:
  Khaled Hosny [ar], Goran Vidović [hr], Daniel Mustieles [es]

3.32.0
======
* Fix deadlock when cancelling a theme sound [Andrea; !474]
* Stop swizzling BGRA buffers (bye-bye inverted colors in screenshots
  and animations) [Carlos; !486]

Contributors:
  Andrea Azzarone, Carlos Garnacho, Robert Mader

3.31.92
=======
* Fix flicker of apps that use multiple SHM buffers [Jonas Å.; #199]
* Don't disable page flips after temporary failures [Jonas Å.; #460]
* Improve redraw performance [Carlos; !196]
* Add cursor-mode support to window screencasting [Jonas Å.; !413]
* Add back support for system-wide monitor configurations [Jonas Å.; !253]
* Add fractional scaling support [Marco, Jonas Å.; !3]
* Consider remapped keys when guessing keycode from keysym [Andrea; #443]
* Stop turning on-screen-keyboard off on focus changes [Carlos; !432]
* Fix crashes [Robert, Carlos, Jonas D., Florian; !447, #361, !426, #479]
* Misc. bug fixes and cleanups [Benjamin, Adam, Olivier, Niels, Piotr; !457,
  !452, !459, !380, !361, !461, !464, !471, !473, !463]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Benjamin Berg, Piotr Drąg, Jonas Dreßler,
  Olivier Fourdan, Carlos Garnacho, Niels De Graef, Adam Jackson, Robert Mader,
  Florian Müllner, Marco Trevisan (Treviño)

Translators:
  Milo Casagrande [it], Tim Sabsch [de], Trần Ngọc Quân [vi],
  Gwan-gyeong Mun [ko], Марко Костић [sr], Daniel Mustieles [es],
  Rūdolfs Mazurs [lv], Nathan Follens [nl]

3.31.91
=======
* Fix infinite loop in EDID matching [Marco; #459]
* wayland: Don't resetin text-input state prematurely [Carlos; !410]
* wayland: Don't maximize windows if minimum size is too big [Olivier; #463]
* Fix crash when using "restore shortcuts" without focus window [Olivier; #464]
* Add flag parameter to grab accelerator API [Andrea; !169]
* Reuse old CRTC if possible to avoid flicker on hotplug [Pekka, Emilio; #373]
* Misc. bug fixes and cleanups [Marco, Jonas, Niels, Adam, Olivier; !436,
  !421, #462, !439, !440, !444, !321, !445, !456]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Olivier Fourdan, Carlos Garnacho,
  Niels De Graef, Adam Jackson, Emilio Pozuelo Monfort, Pekka Paalanen,
  Marco Trevisan (Treviño)

Translators:
  Jiri Grönroos [fi], Charles Monzat [fr], Claude Paroz [fr], Fran Dieguez [gl],
  Emin Tufan Çetin [tr], Aurimas Černius [lt], Anders Jonsson [sv],
  Matej Urbančič [sl], Marek Cernocky [cs], Daniel Șerbănescu [ro],
  Alan Mortensen [da], Baurzhan Muftakhidinov [kk], Yi-Jyun Pan [zh_TW],
  Daniel Mustieles [es], Rafael Fontenelle [pt_BR]

3.31.90
=======
* Fix support of extended characters in on-screen keyboard [Andrea; #109]
* Improve selection of the primary GPU [Pekka, Emilio; !271]
* Screen-cast cursor updates as PipeWire stream metadata [Jonas; !357]
* Fix rendering glitches in magnifier [Daniel; gnome-shell#387]
* Fix monitor recording on HiDPI [Jonas; !415]
* Honour secondary GPU supported pixel formats [Pekka; !341]
* Fall back to CPU copy path when using a software renderer [Emilio; !325]
* Remove fallback app menu [Florian; gnome-shell#624]
* wayland: Add support for viewporter protocol [Robert; !323]
* Misc. bug fixes and cleanups [Florian, Carlos, Olivier, Marco, Robert,
  Daniel, Pekka, Jonas, Ole, Georges; !391, #335, #442, !406, !395, #447,
  !375, gnome-shell#349, #451, !416, #784199, !408, !181, !405]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Ole Jørgen Brønner, Piotr Drąg, Olivier Fourdan,
  Dariusz Gadomski, Carlos Garnacho, Antoine Jacoutot, Iain Lane, Robert Mader,
  Emilio Pozuelo Monfort, Florian Müllner, Georges Basile Stavracas Neto,
  Pekka Paalanen, Marco Trevisan (Treviño), Josh Triplett, Daniel van Vugt

Translators:
  Fabio Tomat [fur], Balázs Úr [hu], Daniel Mustieles [es], Kukuh Syafaat [id],
  Jordi Mas [ca], Piotr Drąg [pl]

3.31.4
======
* keybindings: Limit corner move to current monitor [Jānis; #320]
* xdg-output: Report rotated physical dimensions [Olivier; #369]
* Add continuous integration pipeline [Jonas; #193]
* Improve performance on secondary GPUs [Pekka; #323, !313]
* Use the actual hardware refresh rate [Daniel; #781296]
* Remove hide-titlebar-when-maximized support [Florian; !221]
* wayland: Implement buffer transforms [Robert; !322]
* Remove ability to externally set sync-to-vblank [Georges; !191]
* Turn off touchscreens together with DPMS [Carlos; gnome-settings-daemon#29]
* Mipmap the wallpaper when shrinking [Daniel; gnome-shell#254]
* Implement RecordWindow method for screen-casts [Olivier; !306]
* Fix EGLStream texture downloading [Jonas; !362]
* Split out display-server-specific code from MetaWindowActor [Georges; !368]
* Improve render performance on some KMS devices with software GL [Jonas; #106]
* Fix damage area of transformed surfaces [Robert; !366]
* Remove autotools support [George]
* Misc. bug fixes and cleanups [Jonas, Alan, Olivier, Carlos, Javier, Peter,
  Daniel, Robert, Florian; !309, #790207, #272, #393, #276, #404, #104, !343,
  #765011, #786663, #342, !356, #414, #782344, #781034, #423, !374, !382, !383]

Contributors:
  Jonas Ådahl, Nikita Churaev, Alan Coopersmith, Jānis Džeriņš, Olivier Fourdan,
  Carlos Garnacho, Niels De Graef, Peter Hutterer, Javier Jardón,
  Abderrahim Kitouni, Andre Klapper, Ting-Wei Lan, Robert Mader,
  Emilio Pozuelo Monfort, Florian Müllner, Georges Basile Stavracas Neto,
  Pekka Paalanen, Daniel Stone, Marco Trevisan (Treviño), Daniel van Vugt

3.31.2
======
* Fix handling of non-UTF8 encodings [Florian; !227]
* Fix memory leaks introduced in 3.30.1 [Jonas; #653]
* Fix regression when overriding workspace layout [Ron; #270]
* Fix crash when restarting window manager [Andrea; gnome-shell#595]
* Add meson build support [Jonas; !167]
* Freeze clock when headless [Jonas; !170]
* Fix crash on monitor hotplug [Olivier; #189]
* Misc. bug fixes [Jonas; #353, !132, #382]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Olivier Fourdan, Niels De Graef,
  Alexander Mikhaylenko, Florian Müllner, Akira Nakajima,
  Georges Basile Stavracas Neto, Pekka Paalanen, Peter Uithoven,
  Daniel van Vugt, Ron Yorston

3.30.1
======
* Improve trackball detection [Tony; #258]
* Fix clipping of scaled surfaces [Jonas; #300]
* Improve tracking of monitor switch configuration [Daniel; !213]
* Fix parent-relative positioning of constrained windows [Jonas; #332]
* Add clutter_input_method_forward_key() method [Carlos; gnome-shell#531]
* Various crash fixes [Olivier, Jonas; #194, #336]
* Misc. bug fixes [Carlos, Florian, Olivier, Jonas; gnome-shell#540, #294,
  #221, !229, #30, #331]

Contributors:
  Jonas Ådahl, Daniel Drake, Olivier Fourdan, Carlos Garnacho, Peter Hutterer,
  Ting-Wei Lan, Florian Müllner, Tony Novak, Pekka Paalanen, Sam Spilsbury

Translators:
  Yuras Shumovich [be], Марко Костић [sr], Marek Cernocky [cs]

3.30.0
======

Translators:
  Fran Dieguez [gl], Balázs Meskó [hu], Rūdolfs Mazurs [lv],
  Trần Ngọc Quân [vi], Ask Hjorth Larsen [da], gogo [hr]

3.29.92
=======
* Avoid crash when a cursor is not found [Sebastian; #254]
* Fix screen rotation regression [Jonas; #216]
* Handle requests to unmanaged windows gracefully [Jonas; #240]
* Move popups together with their parent [Jonas; #274]
* Fix non-lowercase letters on virtual key devices [Carlos; gnome-shell#135]
* Misc. bug fixes [Iain, Jonas; #223, #192, #279]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Sebastian Keller, Iain Lane, Robert Mader,
  Daniel van Vugt

Translators:
  Gwan-gyeong Mun [ko], Kukuh Syafaat [id], Milo Casagrande [it],
  Anders Jonsson [sv], Rafael Fontenelle [pt_BR], Marek Cernocky [cs]

3.29.91
=======
* Various crash fixes [Olivier, Iain; #255, #223]
* Fix lock up with some DRI drivers [Alex; #127]
* Send correct button codes from virtual evdev devices [Jonas; !190]
* Improve grab-device clock updates on X11 [Jeff; !174]
* Fix popups closing immediately on key down [Jonas; !180]
* Prevent clients from modifying the shared keymap [Jonas; #784206]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Piotr Drąg, Olivier Fourdan, Carlos Garnacho,
  Jan Grulich, Iain Lane, Alex Villacís Lasso, Jeff Smith, Daniel van Vugt

Translators:
  Matej Urbančič [sl], Mario Blättermann [de], Piotr Drąg [pl],
  Aurimas Černius [lt], Yi-Jyun Pan [zh_TW], Emin Tufan Çetin [tr],
  Fabio Tomat [fur], Bruce Cowan [en_GB]

3.29.90
=======
* Various crash fixes [Olivier, Jonas, Florian; #189, #70, #194, #15, #130]
* Don't expose resolutions that are below the minimum [Andrea; #793223]
* Remove support for preference overrides [Florian; #786496]
* Misc. bug fixes and cleanups [Daniel, Jonas, Florian; #131, #245, !176]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Olivier Fourdan, Florian Müllner, Kevin Tamool,
  Daniel van Vugt

Translators:
  Daniel Mustieles [es], Claude Paroz [fr]

3.29.4
======
* Fix crash with parent-less modal dialogs [Olivier; #174]
* Preserve paint volumes where possible to optimize CPU usage [Carlos; #782344]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Iain Lane, Bastien Nocera

Translators:
  Daniel Șerbănescu [ro]

3.29.3
======
* Fix Korean Hangul support on wayland [Changwoo; #152]
* Improve support for proprietary Nvidia driver [Jonas; #790316]
* Only upload HW cursor sprite to the GPU that will display them [Jonas; #77]
* Improve EGLstream support [Miguel; #2, #782575]
* Remove MetaScreen to prepare for non-mandatary X11 dependency
  [Armin, Jonas; #759538]
* Misc. bug fixes [Olivier, Jonas, Sam; #160, !130, #786929, #788834]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Armin Krezović, Corentin Noël,
  Changwoo Ryu, Sam Spilsbury, Daniel Stone, Marco Trevisan (Treviño),
  Miguel A. Vico, Daniel van Vugt

Translators:
  Yi-Jyun Pan [zh_TW], Jordi Mas [ca], Daniel Șerbănescu [ro], Fabio Tomat [fur]

3.29.2
======
* Fix size change animations on wayland [Georges; #780292]
* Handle touch events on server-side titlebars [Carlos; #770185]
* Misc. bug fixes [Florian, Olivier, Jonas, Georges; #134, #124, !96, #138,
  !102, #781471, #150]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Florian Müllner,
  Georges Basile Stavracas Neto, Marco Trevisan (Treviño), Daniel van Vugt

Translators:
  Daniel Șerbănescu [ro], Marcos Lans [gl], Dz Chen [zh_CN]

3.29.1
======
* Fix various input-method regressions [Carlos, Olivier; #65, #74, #66, #112]
* Fix wayland build on FreeBSD [Ting-Wei; #792280, #792717]
* Fix swapped colors in screenshots (again) [Carlos; #72]
* Allow building with elogind [Rasmus; !46]
* Consider display rotation for cursor [Olivier; #85]
* Fall back to non-modifier GBM surfaces [Daniel; #84]
* Take inhibitors into account for monitoring idle [Bastien; #705942]
* Misc. bug fixes [handsome-feng, Olivier, Mario, Jonas; !45, #83, #104,
  gnome-shell#157, #130, #21]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, handsome-feng, Yussuf Khalil,
  Ting-Wei Lan, Aleksandr Mezin, Alberts Muktupāvels,
  Georges Basile Stavracas Neto, Bastien Nocera, Benjamin Otte,
  Mario Sanchez Prada, Daniel Stone, Ray Strode, Rasmus Thomsen,
  Marco Trevisan (Treviño), Daniel van Vugt

Translators:
  Emin Tufan Çetin [tr], Dušan Kazik [sk], Matej Urbančič [sl]

3.28.0
======
* Fix xdg-foreign regression [Carlos; #63]

Contributors:
  Carlos Garnacho, Georges Basile Stavracas Neto

Translators:
  Marek Cernocky [cs], Ask Hjorth Larsen [da], Chao-Hsiung Liao [zh_TW],
  Anders Jonsson [sv], Mart Raudsepp [et]

3.27.92
=======
* Fix use of modifiers with multi-GPU systems [Louis-Francis; #18]
* Add xdg-shell stable support [Jonas; #791938]
* Fix scaling of icons in titlebar buttons [Egmont; #23]
* Implement missing wacom functionality on X11 [Carlos; #48]
* Force 8-bit RGB config [Jonas; #2]
* Misc. bug fixes [Jonas, Olivier, Robert; #6, #27, #792203]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Egmont Koblinger, Robert Mader,
  Bastien Nocera, Louis-Francis Ratté-Boulianne

Translators:
  Daniel Mustieles [es], Марко Костић [sr], Милош Поповић [sr@latin],
  Fran Dieguez [gl], Balázs Úr [hu], Gwan-gyeong Mun [ko], Rūdolfs Mazurs [lv],
  Milo Casagrande [it], Mario Blättermann [de], GNOME Translation Robot [gd,
  nl], Claude Paroz [fr], Aurimas Černius [lt]

3.27.91
=======
* Fix handling of trackball settings on wayland [Carlos; #787804]
* Apply font settings on wayland [Daniel; #645433]
* Fix keybindings getting mixed up with some layouts [Jonas; #789300]
* Fix bluetooth mouse cursor disappearing after idle [Benoit; #761067]
* Support platforms that export EGL_KHR_platform_gbm [memeka; #780668]
* Add keyboard accessibility support on wayland [Olivier; #788564]
* Fix missing cursor when using screen magnifier [Carlos; #754806]
* Fix external monitor shutting off on wayland when lid closes [Jonas; #788915]
* Add xdg-output support [Olivier; #787363]
* Add Xwayland grab keyboard support [Olivier; #783342]
* Allow shortcut inhibition of the super key [Olivier; #790627]
* Take "panel orientation" drm_connector property into account [Hans; #782294]
* Fix focus window ending up below other windows on wayland [Olivier; #780820]
* Fix maximized windows restoring to a tiny size on wayland [Olivier; #783901]
* Fix tap-and-drag setting on X11 [Jonas; #775755]
* Fix handling of single-touch devices on wayland [Carlos; #792005]
* Support tiled/compressed buffers [Daniel; #785779]
* Port screencast support to pipewire 0.1.8 [Jonas; #792854]
* Add support for third stylus button on newer tablets [Jason; #790033]
* Fix background corruption regression on nvidia [Jonas; #739178]
* Misc. bug fixes [Jonas, Rui, Michael, Marco, Carlos, Olivier, Philip, Piotr,
  Ting-Wei, Daniel, Jeremy, Hans, Florian, Ray, Jeff, George, Gwan-gyeong;
  #789153, #788493, #784314, #789227, #789223, #789277, #782344, #789552,
  #789553, #788695, #789984, #788764, #789386, #784545, #790336, #790358,
  #791022, #791006, #789070, #772218, #791383, #791809, #776220, #791916,
  #792281, #790309, #791371, #792527, #792599, #788834, #792765, #792062,
  #645460, #792853, !2, #792818, #8, #12, #789501, #10, #789961, #13, !15, #1,
  #26, #28, #35, #36, #38]

Contributors:
  Jonas Ådahl, Jeremy Bicha, Michael Catanzaro, Piotr Drąg, Olivier Fourdan,
  Carlos Garnacho, Jason Gerecke, Hans de Goede, Benoit Gschwind,
  Peter Hutterer, George Kiagiadakis, Ting-Wei Lan, Rui Matos, memeka,
  Florian Müllner, Gwan-gyeong Mun, Jeremy Nickurak, Marc-Antoine Perennou,
  Jeff Smith, Daniel Stone, Ray Strode, Marco Trevisan (Treviño),
  Daniel van Vugt, Philip Withnall

Translators:
  Khaled Hosny [ar], Kjartan Maraas [nb], Piotr Drąg [pl],
  Rafael Fontenelle [pt_BR], Christian Kirbach [de], Anders Jonsson [sv],
  Charles Monzat [fr], Marek Cernocky [cs], Muhammet Kara [tr],
  Milo Casagrande [it], Pawan Chitrakar [ne], Yosef Or Boczko [he],
  Kukuh Syafaat [id], Daniel Mustieles [es], Fabio Tomat [fur],
  Kristjan SCHMIDT [eo], Balázs Úr [hu], Andika Triwidada [id],
  Fran Dieguez [gl], gogo [hr]

3.27.1
======
* Work with clients that require older linux_dmabuf protocol [Daniel; #788558]
* Support hybrid GPU systems [Jonas; #785381]
* Prevent crash when closing maximized windows [Jonni; #788666]
* Use the correct monitor for HiDPI scaling of shell chrome [Jonas; #788820]
* Fix unredirection of fullscreen windows [Rui, Jonas; #788493]
* Fix list of supported monitor scales on X11 [Jonas; #788901]
* Misc. bug fixes [Florian, Jonas, Marco; #788572, #788569, #788607, #788860,
  #788921]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Rui Matos, Florian Müllner, Daniel Stone,
  Marco Trevisan, Jonni Westphalen

Translations:
  Xavi Ivars [ca@valencia]

3.26.1
======
* Fix crash when respawning shortcut inhibitor dialog [Olivier; #787568]
* Fix crash during monitor configuration migration [Carlos, Jonas; #787668]
* Fix multihead regressions in X11 session [Jonas; #787477]
* Fix screen rotation regressions [Hans; #787836]
* Fix keybindings not being resolved with non-latin layouts [Jonas; #787016]
* Support snap packages for sandboxed app IDs [Marco; #788217]
* Fix crash when reconnecting tablet device [Jason; #787649]
* Support running headless [Jonas; #730551, #787637]
* Support _NET_RESTACK_WINDOW and ConfigureRequest siblings [Vasilis; #786365]
* Fix monitor layout not being remembered across sessions [Jonas; #787629]
* Make sure to export _NET_NUMBER_OF_DESKTOPS [Florian; #760651]
* Allow resizing of tiled windows [Georges, Florian; #645153]
* Export tiling information to clients [Georges; #751857]
* Misc. bug fixes [Jonas, Florian, Jeremy, Rico; #787570, #787715, #787953,
  #788049, #788199, #788292, #788197]

Contributors:
  Jonas Ådahl, Andrea Azzarone, Georges Basile Stavracas Neto, Hans de Goede,
  Olivier Fourdan, Carlos Garnacho, Jason Gerecke, Vasilis Liaskovitis,
  Rui Matos, Florian Müllner, Jeremy Soller, Marco Trevisan, Rico Tzschichholz

Translations:
  Matej Urbančič [sl], gogo [hr], Cheng-Chia Tseng [zh_TW]

3.26.0
======
Contributors:
  Florian Müllner

Translations:
  Trần Ngọc Quân [vi], Inaki Larranaga Murgoitio [eu], Jordi Mas [ca],
  Anders Jonsson [sv], Alexander Shopov [bg], Ask Hjorth Larsen [da],
  Jean-Baptiste Holcroft [fr], A S Alam [pa]

3.25.92
=======
* Add screencast and remote desktop support [Jonas; #784199]
* Support running with no attached monitors [Jonas; #730551]
* Add a vertical gradient effect to background actor [Alessandro; #786618]
* Misc. bug fixes [Mario, Daniel, Piotr, Jonas, Bastien; #786619, #786677,
  #772218, #786918, #760670]

Contributors:
  Jonas Ådahl, Alessandro Bono, Piotr Drąg, Bastien Nocera,
  Mario Sanchez Prada, Daniel Stone

Translations:
  Marek Cernocky [cs], Aurimas Černius [lt], Piotr Drąg [pl],
  Fran Dieguez [gl], gogo [hr], Dušan Kazik [sk], Milo Casagrande [it],
  Jordi Mas [ca], Cheng-Chia Tseng [zh_TW], Марко Костић [sr],
  Милош Поповић [sr@latin], Rūdolfs Mazurs [lv], Matej Urbančič [sl],
  Ask Hjorth Larsen [da], Piotr Drąg [it, lt], Jiri Grönroos [fi],
  Emin Tufan Çetin [tr], Wolfgang Stöggl [de], Kukuh Syafaat [id],
  Yuras Shumovich [be], Changwoo Ryu [ko], Alexander Shopov [bg],
  Rafael Fontenelle [pt_BR], Balázs Úr [hu]

3.25.91
=======
* Reduce memory use of suspended instances [Jonas; #786299]
* Make supported scales determination saner [Rui; #786474]
* Fix crash on inhibit-shortcuts dialog response [Jonas; #786385]
* Support libinput's tag-and-drag setting [freeroot; #775755]
* Avoid overlapping keybindings with multiple layouts [Jonas; #786408]
* Fix non-transformed cursor on rotated monitors [Jonas; #786023]
* Avoid unnecessary work during background painting [Alessandro; #783512]
* Misc. bug fixes [Alberts, Jonas, Mario; #691611, #786300, #777732, #786568]

Contributors:
  freeroot, Jonas Ådahl, Alessandro Bono, Carlos Garnacho, Rui Matos,
  Alberts Muktupāvels, Mario Sanchez Prada

Translations:
  Muhammet Kara [tr], Claude Paroz [fr], Мирослав Николић [sr, sr@latin],
  Pawan Chitrakar [ne], Kukuh Syafaat [id]

3.25.90
=======
* Add zwp_linux_dmabuf_v1 support [Daniel; #785262]
* Add (x)wayland shortcut inhibitor support [Olivier; #783342]
* Misc. bug fixes [Daniel, Carlos, Cosimo; #785263, #785347, #767805]

Contributors:
  Jonas Ådahl, Cosimo Cecchi, Olivier Fourdan, Carlos Garnacho, Daniel Stone

Translations:
  Fabio Tomat [fur], Kukuh Syafaat [id], Aurimas Černius [lt],
  Daniel Mustieles [es], Baurzhan Muftakhidinov [kk], Jordi Mas [ca],
  Matej Urbančič [sl], Marek Cernocky [cs], gogo [hr], Fran Dieguez [gl],
  Balázs Meskó [hu]

3.25.4
======
* Do not throttle motion events on tablet tools [Carlos; #783535]
* Handle left-handed mode on pen/eraser devices [Carlos; #782027]
* Add wl_surface.damage_buffer() support [Jonas; #784080]
* Fix crash when moving across on-adjacent monitors [Jonas; #783630]
* Fix window moving/resizing via tablet tools [Jason; #777333]
* Support fractional monitor scaling [Jonas, Marco; #765011]
* Keep override-redirect windows stacked on top [Rui; #780485]
* Implement tablet rings/strips configuration [Carlos; #782033]
* Support tablet wheel events on wayland [Jason; #783716]
* Move g-s-d xrandr functionality into mutter [Rui; #781906]
* Misc. bug fixes [Florian, Jason, Miguel, Carlos, Jonas; #783502, #784009,
  #784223, #784272, #784402, #784881, #762083, #784867, #781723]

Contributors:
  Jonas Ådahl, Miguel A. Vico, Emmanuele Bassi, Carlos Garnacho, Jason Gerecke,
  Rui Matos, Florian Müllner, Marco Trevisan (Treviño)

3.25.3
======
* Ignore hotplug-mode-update value on startup [Marco; #783073]
* Implement configurable monitor scales on X11 [Jonas; #777732]
* Fix handling of tiled monitors [Jonas; #781723]
* Handle multiple keycodes for keysym [Christian; #781223]
* Consider subsurfaces when grabbing [mindtree; #781811]
* Fix logic for HiPDPI scaling of TV outputs [Christian; #777347]
* Fix handling of left-handed mode on pen/eraser devices [Carlos; #782027]
* Fix output cycling in non-display-attached tablets [Carlos; #782032]
* Fix wacom cursor offset on wayland [Jason; #784009]
* Handle EXIF orientation of backgrounds [Silvère; #783125]
* Misc. bug fixes [Piotr, Tim, Bastien, Jonas, Florian, Benoit, Carlos; #772218,
  #783161, #780407, #783113, #783293, #783505, #781703]

Contributors:
  mitchmindtree, Jonas Ådahl, Ikey Doherty, Piotr Drąg, Carlos Garnacho,
  Jason Gerecke, Benoit Gschwind, Christian Kellner, Silvère Latchurié,
  Tim Lunn, Florian Müllner, Bastien Nocera, Marco Trevisan (Treviño)

Translations:
  Fabio Tomat [fur], Kukuh Syafaat [id], Khaled Hosny [ar],
  Daniel Mustieles [es]

3.25.2
======
* Fix frame updates on hide-titlebar-when-maximized changes [Florian; #781862]
* Fix accessible screen coordinates on X11 [Florian; #781902]
* Use less CPU when rendering fast-updating windows [Carlos, Emmanuele; #782344]
* Compute geometry of clients that don't set one explicitly [Olivier; #782213]
* Fix copy+paste of UTF8 strings between X11 and wayland [Carlos; #782472]
* Fix non-wayland builds [Chris; #780533]
* Add plugin vfunc to implement a custom force-quit dialog [Carlos; #711619]
* Fix swapped red and blue channels in CoglTexture data [Carlos; #779234
* Fix build where libtool's link_all_deplibs defaults to 'no' [Marco; #782821]
* Fix glitches when opening a window maximized [Olivier; #781353, #782183]
* Fix wrong cursor after window underneath the pointer changed [Carlos; #755164]
* Implement support for disable-while-typing option [Evan; #764852]
* Emit size-change signal when tiling [Alessandro; #782968]
* Misc. bug fixes [Nigel, Matthias, Jonas; #759085, #780215, #782156, #782152]

Contributors:
  Jonas Ådahl, Emmanuele Bassi, Alessandro Bono, Olivier Fourdan,
  Carlos Garnacho, Matthias Liertzer, Florian Müllner, Nigel Taylor,
  Marco Trevisan (Treviño), Chris Vine, Evan Welsh

Translations:
  Fabio Tomat [fur], Jordi Mas [ca], Mario Blättermann [de],
  Emin Tufan Çetin [tr], Balázs Úr [hu]

3.25.1
======
* Always sync window geometry on state changes [Jonas; #780292]
* Use EGL instead of GLX when drawing using GLES [Jonas; #771636]
* Fix HiDPI detection on vertical monitor layouts [Carlos; #777687]
* Get double-click timing from desktop mouse settings [Armin; #771576]
* Scale relative motion deltas with monitor scale [Jonas, Carlos; #778119]
* Use texture fallback when setting hardware cursor fails [Jente; #770020]
* Fix lock-up when using additional theme variants [Shantanu; #780254]
* Rework low-level monitor configuration [Jonas; #777732]
* Fix building with GLES2 instead of GL [Mario; #781398]
* Misc. bug fixes [Jonas, Piotr, Philip; #780304, #772218, #781242, #781391]

Contributors:
  Jonas Ådahl, Philip Chimento, Piotr Drąg, Carlos Garnacho, Shantanu Goel,
  Jente Hidskes, Armin Krezović, Rui Matos, Florian Müllner, Mario Sanchez Prada

Translations:
  Yuras Shumovich [be], Yosef Or Boczko [he], Tom Tryfonidis [el],
  Fabio Tomat [fur], Kukuh Syafaat [id]

3.24.0
======

Translations:
  Yuri Myasoedov [ru], Rūdolfs Mazurs [lv], Jordi Mas [ca]

3.23.92
=======
* Properly handle EGLOutput acquire errors [Jonas, Miguel; #779112]
* Fix crash when a window closes during Alt+Tab [Rui; #779483]
* Implement DnD handling code in wayland [Hyungwon; #765003]
* Fix fallout from pixel conversion optimization in 3.23.91 [Carlos; #779234]
* Fix mouse input stopping to work in applications [Carlos; #763246]
* Fix DnD between QT5 and GTK3 applications on wayland [Carlos; #779757]
* Make EDID reading less fragile [Jonas; #779837]
* Add support for tablet grouping [Carlos; #779986]
* Misc. bug fixes and cleanups [Rui, Jonas; #779436, #779001, #779745]

Contributors:
  Jonas Ådahl, Miguel A. Vico, Olivier Fourdan, Carlos Garnacho,
  Hyungwon Hwang, Rui Matos

Translations:
  Chao-Hsiung Liao [zh_TW], Sveinn í Felli [is], Ask Hjorth Larsen [da],
  Changwoo Ryu [ko], Aurimas Černius [lt], GNOME Translation Robot [gd],
  Marek Černocký [cs], Fran Dieguez [gl], Dušan Kazik [sk]

3.23.91
=======
* Give libinput read-only access to /sys [Carlos; #778472]
* Allow edge-scrolling without 2-finger-scroll capable devices [Rui; #778554]
* Fullscreen windows on the requested monitor on wayland [Rui; #772525]
* Implement threaded swap_event fallback for NVIDIA driver [Owen; #779039]
* Avoid pixel conversions when storing textures from cairo [Carlos; #779234]
* Misc. bug fixes [Piotr, Rui, Florian; #772218, #776919, #778831, #642652]

Contributors:
  Piotr Drąg, Carlos Garnacho, Rui Matos, Florian Müllner, Owen W. Taylor

Translations:
  Inaki Larranaga Murgoitio [eu], Daniel Mustieles [es], Claude Paroz [fr],
  Mario Blättermann [de], Kjartan Maraas [nb], Piotr Drąg [pl],
  Andika Triwidada [id], Anders Jonsson [sv], Milo Casagrande [it],
  Fabio Tomat [fur], Rafael Fontenelle [pt_BR],
  Мирослав Николић [sr, sr@latin], Balázs Meskó [hu], Chao-Hsiung Liao [zh_TW]

3.23.90
=======
* Fix window menu placement with HiDPI [Jonas; #776055]
* Improve EGLStream support [Jonas; #773629]
* Start moving low-level monitor configuration into mutter [Jonas; #777732]
* Fix erroneous key event repeats [Rui; #774989]
* Don't hardcode seat ID in ClutterDeviceManager [Carlos; #778092]
* Fix "ghost" cursors in multi-monitor setups [Jonas; #771056]
* Use eglGetPlatformDisplay [Adam; #772422]
* Fix erratic raise_or_lower behavior [Jose; #705200]
* Fix coordinate mapping of absolute devices [Carlos; #774115]
* Show OSD on tablet mode switches [Carlos; #771098]
* Make mutter libs parallel installable [Jonas; #777317]
* Only apply keymap when not running nested [Jonas; #777800]
* Set right scale for tablet tool cursors on HiDPI [Carlos; #778474]
* Adjust server-side shadows to match Adwaita [Juraj; #744667]
* Misc. bug fixes [Jonas, Bastien, Carlos, Peter, Lionel, Jeremy, Florian;
  #774891, #777389, #777691, #778262, #776543, #778684, #778699, #744667]

Contributors:
  Jonas Ådahl, Jeremy Bicha, Piotr Drąg, Juraj Fiala, Carlos Garnacho,
  Peter Hutterer, Adam Jackson, Lionel Landwerlin, Jose Marino, Rui Matos,
  Florian Müllner, Bastien Nocera

Translations:
  Kjartan Maraas [nb], Mandy Wang [zh_CN], Marek Černocký [cs],
  Anders Jonsson [sv], Dušan Kazik [sk], Piotr Drąg [pl], Matej Urbančič [sl]

3.23.3
======
* Fix frequent freezes in multihead setups on wayland [Rui; #774557]
* Preserve root window mask on XSelectionRequest [Olivier; #776128]
* Misc. bug fixes [Carlos, Florian, Rui, Olivier; #775478, #774891, #775986,
  #776036]

Contributors:
  Olivier Fourdan, Carlos Garnacho, Rui Matos, Florian Müllner

3.23.2
======
* Stack docks below other windows on fullscreen monitors [Rui; #772937]
* Fix popup grabs blocking screen lock on wayland [Rui; #771235]
* Handle touchpad pinch gestures with more than two fingers [Carlos; #765937]
* Implement drawing tablet support on X11 [Carlos; #773779]
* Fix some Wine games starting minimized [Carlos; #774333]
* Fix switching between two finger- and edge scrolling on wayland [Rui; #771744]
* Implement support for EGLStream/EGLDevice [Jonas; #773629]
* Add size_changed vfunc to handle async client size changes [Rui; #770345]
* Change focus window on clicks with any modifiers [Rui; #746642]
* Misc. bug fixes and cleanups [Carlos, Daniel, Jonas, Rui; #771067, #774330, #774613,
  #771297, #774135, #774827, #774923]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Rui Matos, Florian Müllner, Daniel Stone

Translations:
  Kjartan Maraas [nb]

3.23.1
======
* Fix handling of Escape shortcut in force-quit dialog [Landry; #737109]
* Improve pointer constraints support [Jonas; #771859]
* Really fix framebuffer capture origin offset [Rui; #771502]
* Fix session going into idle mode immediately on startup [Rui; #772839]
* Fix mirror mode with stage views [Rui; #773115]
* Fall back to X with connectors spread across multiple GPUs [Ray; #771442]
* Fix various crashes on wayland [Jonas, Carlos; #771646, #771858, #772929]
* Fix various placement issues on wayland [Olivier, Jonas, Sjoerd; #772729,
  #768039, #771841, #771841, #773141]
* Misc. bug fixes [Rui, Jonas, Olivier; #771019, #773116, #772914, #773210]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Rui Matos, Landry MINOZA,
  Sjoerd Simons, Ray Strode

Translations:
  Theppitak Karoonboonyanan [th], Kjartan Maraas [nb], Hannie Dumoleyn [nl],
  liushuyu [zh_CN]

3.22.1
======
* Fix feedback loop between StClipboard and X11 bridge [Carlos; #760745]
* Fall back gracefully if DRM plane rotation fails [Carlos; #772512]
* Approximate native monitor backend behavior to X [Rui; #772176]
* Fix crash on VT switch on wayland [Jonas; #771646]
* Expose Flatpak ID for application matching [Florian; #772613, #772614]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Rui Matos, Florian Müllner, Olav Vitters

Translations:
  Inaki Larranaga Murgoitio [eu], Milo Casagrande [it]

3.22.0
======
* Fix wayland crashes [Jonas; #771305, #771345, #770940, #771495]
* Fix display rotation on wayland [Jonas; #770672]
* Fix framebuffer capture origin offset [Rui; #771502]
* Misc. bug fixes [Jonas, Florian, Carlos; #770937, #771536, #771628, #771549]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Rui Matos, Florian Müllner

Translations:
  Ask Hjorth Larsen [da], Charles Monzat [fr], Stas Solovey [ru],
  Tom Tryfonidis [el], David King [en_GB]

3.21.92
=======
* Fix absolute pointer motion events on wayland [Jonas; #770557]
* Default to using stage views [Jonas; #770366]
* Fix animated cursors on wayland [Rui; #749913]
* Fix various crashes on wayland [Jonas; #757568, #770727, #770992]
* Fix screen capture for stage views not at (0, 0) [Jonas; #770127]
* Compress motion events instead of discarding them [Jonas; #771049]
* Fix XWayland pointer warp emulation [Jonas; #771050]
* Add common monitor modes in KMS backend [Rui; #744544]
* Temporarily use g-s-d schemas for tablet configuration [Carlos; #771315]
* Misc. bug fixes [Jonas, Carlos; #770402, #770647, #770991, #770994, #770929]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Rui Matos, Florian Müllner

Translations:
  Changwoo Ryu [ko], Baurzhan Muftakhidinov [kk], Anders Jonsson [sv],
  Tiago Santos [pt], Rafael Fontenelle [pt_BR], Mario Blättermann [de],
  Alexander Shopov [bg], Rūdolfs Mazurs [lv], Fran Dieguez [gl],
  Trần Ngọc Quân [vi], Piotr Drąg [pl], Мирослав Николић [sr, sr@latin]

3.21.91
=======
* Add support for xdg-foreign protocol [Jonas; #769786]
* Support monitor rotation on wayland [Carlos; #745079]
* Port xdg-shell implementation to unstable v6 [Jonas; #769936]
* Handle unsupported buffer sizes more gracefully [Olivier; #770387]
* Use the same output naming logic as the X server on wayland [Rui; #770338]
* Fix replies in gnome-shell's chat notifications on wayland [Florian; #758167]
* Misc. bug fixes and cleanups [Bastien, Sjoerd, Jonas; #769276, #769636,
  #770131, #770324, #769731]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Rui Matos, Florian Müllner,
  Bastien Nocera, Sjoerd Simons

Translations:
  Piotr Drąg [pl], Mario Blättermann [de], Andika Triwidada [id],
  Enrico Nicoletto [pt_BR], Мирослав Николић [sr, sr@latin]

3.21.90
=======
* Consider XDG_SESSION_TYPE when determining session type [Jouke; #759388]
* Re-add support for edge scrolling on some touchpads [Bastien; #768245]
* Support mouse and trackball acceleration profile [Jonas; #769179]
* Draw monitor content to individual framebuffer [Jonas; #768976]
* Support virtual input devices [Jonas, Carlos; #765009]
* Set correct output scale on hotplug [Jonas; #769505]
* Misc. bug fixes and cleanups [Florian, Jonas, Thomas, Bastien, Carlos;
  #769014, #769024, #769054, #769070, #769036, #769305, #769578, #769800,
  #769073]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Thomas Hindoe Paaboel Andersen, Simon McVittie,
  Alberts Muktupāvels, Florian Müllner, Bastien Nocera, Jouke Witteveen

Translations:
  Daniel Mustieles [es], Aurimas Černius [lt], Dušan Kazik [sk],
  Fabio Tomat [fur], Balázs Úr [hu], Yosef Or Boczko [he], Marek Černocký [cs],
  Matej Urbančič [sl]

3.21.4
======
* Fix missing frame border around GTK+ dialogs [Florian; #745060]
* Improve X11 <-> wayland copy and paste interaction [Carlos; #768007]
* Add support for NV_robustness_video_memory_purge extension [Rui; #739178]
* Fix restoring the old focused window on restart [Owen; #766243]
* Fix fullscreen windows on other monitors stealing focus after closing
  a window [Rui; #768221]
* Draw monitor content to individual framebuffer [Jonas; #768976]
* Provide screen capture API [Jonas; #768978]
* Misc. bug fixes and cleanups [Rui, Owen, Luca, Olivier, Jonas, Carlos;
  #767969, #768243, #762407, #767997, #768039, #768977, #768977]

Contributors:
  Jonas Ådahl, Luca Bruno, Olivier Fourdan, Carlos Garnacho, Rui Matos,
  Florian Müllner, Owen W. Taylor

Translations:
  Andika Triwidada [id]

3.21.3
======
* Don't create invalid UTF-8 window description strings [Rui; #765535]
* Convert window titles and wm_class to UTF-8 [Rui; #752788]
* Communicate tiled state to GTK+ on wayland [Olivier; #766860]
* Use kill() to force-quit unresponsive wayland clients [Olivier; #767464]
* Fix window position when unmaximizing via DND on wayland [Olivier; #764180]
* Avoid full window redraws when using extended frame sync [Florian; #767798]

Contributors:
  Olivier Fourdan, Rui Matos, Florian Müllner

Translations:
  Cédric Valmary [oc]

3.21.2
======
* Clean up surface <-> shell interaction [Jonas; #763431]
* Fix grabbing random keys for disabled shortcuts [Rui; #766270]
* Fix stacking of hidden windows on wayland [Rui; #764844]
* Misc. bug fixes [Victor, Florian, Marek, Rui; #766306, #766326, #751847,
  #763832, #766528]

Contributors:
  Jonas Ådahl, Emmanuele Bassi, Marek Chalupa, Matthias Clasen,
  Carlos Garnacho, Rui Matos, Florian Müllner, Victor Toso

Translations:
  Tiago Santos [pt], Cédric Valmary [oc], Muhammet Kara [tr]

3.21.1
======
* Notify clients of pending modifier state changes [Rui; #748526]
* Add get_is_builtin_display_on() method [Florian; #765267]
* Fix 2-finger titlebar taps on wayland [Carlos; #764519]
* Merge clutter and cogl forks into mutter [Rui; #760439]
* Misc. bug fixes [Florian, Victor, Jonas; #765058, #765252, #765062]

Contributors:
  Jonas Ådahl, Emmanuele Bassi, Olivier Fourdan, Carlos Garnacho, Rui Matos,
  Florian Müllner, Victor Toso, Rico Tzschichholz

Translations:
  GNOME Translation Robot [ja, gd]

3.20.1
======
* Constrain window move/resizes on wayland as on X11 [Rui; #748819]
* Don't crash with invalid previous monitor configurations [Rui; #764286]
* Misc. bug fixes and cleanups [Jonas, Cosimo; #762828, #764807]

Contributors:
  Jonas Ådahl, Cosimo Cecchi, Rui Matos, Jasper St. Pierre

Translations:
  Inaki Larranaga Murgoitio [eu], Reinout van Schouwen [nl], Fabio Tomat [fur],
  Trần Ngọc Quân [vi]

3.20.0
======
* Fix crash when using visual bell [Jonas; #763858]

Contributors:
  Jonas Ådahl, Jasper St. Pierre

Translations:
  Milo Casagrande [it], Ask Hjorth Larsen [da]

3.19.92
=======
* Add system bell support on wayland [Jonas; #763284]
* Add gtk_surface.present to gtk-shell [Jonas; #763295]
* Handle DND drops on the root window [Carlos; #762104]
* Misc. bug fixes [Jonas, Carlos, Rui; #762828, #760745, #763125, #762763,
  #762661, #762639, #763159]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Rui Matos, Florian Müllner

Translations:
  Rūdolfs Mazurs [lv], Balázs Úr [hu], Claude Paroz [fr], Matej Urbančič [sl],
  Мирослав Николић [sr, sr@latin], Sebastian Rasmussen [sv], Changwoo Ryu [ko],
  Gil Forcada [ca], Tom Tryfonidis [el]

3.19.91
=======
* Add --nested CLI argument to fix nested wayland session [Jonas; #758658]
* Fix stack - scene graph stacking synchronization issues [Jonas; #755605]
* Rate-limit last-device changes to fix freezes [Carlos; #753527]
* Implement primary selection protocol [Carlos; #762560]
* Misc. bug fixes [Carlos, Jonas; #762878, #762716]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Tim Lunn

Translations:
  Piotr Drąg [pl], Artur de Aquino Morais [pt_BR], Marek Černocký [cs],
  Cédric Valmary [oc], Mario Blättermann [de], Dušan Kazik [sk],
  Fran Dieguez [gl], Aurimas Černius [lt], Daniel Mustieles [es],
  Stas Solovey [ru], Yosef Or Boczko [he]

3.19.90
=======
* Release buffer after processing commit [Ray; #761312, #761613]
* Implement pointer motion, locks and confinement on wayland [Jonas; #744104]
* Add basic startup notification support on wayland [Carlos; #762268]
* Misc. bug fixes [Rui, Alberts, Florian; #760670, #761543, #752794, #761557]

Contributors:
  Jonas Ådahl, Olivier Fourdan, Carlos Garnacho, Rui Matos,
  Alberts Muktupāvels, Florian Müllner, Jasper St. Pierre, Ray Strode

3.19.4
======
* Fix updating stacking order when setting transient_for [Jonas; #755606]
* Support screen rotation when supported by the driver [Carlos; #745079]
* Protect against broken WM_CLASS property implementations [Sebastian; #759658]
* Handle wl_pointer v5 events on wayland [Carlos; #760637]
* Implement DND actions on wayland [Carlos; #760805]
* Misc. bug fixes [Jonas, Rui, Ray, Marek; #754711, #756789, #759297, #758613,
  #760330, #760476, #759222, #760670]

Contributors:
  Jonas Ådahl, Marek Chalupa, Carlos Garnacho, Sebastian Keller, Rui Matos,
  Florian Müllner, Jasper St. Pierre, Ray Strode

Translations:
  Aurimas Černius [lt]

3.19.3
======
* Correct refresh rate units on KMS/Wayland [Daniel; #758653]
* Fix crash when initial cursor position is not on a monitor [Marek; #756698]
* Fix crash when more CRTs are enabled than outputs connected [Rui; #751638]
* Fix touch pointer emulation on wayland [Carlos; #756754]
* Allow minimizing windows that don't advertise supporting it [Jasper; #758186]
* Force 2-finger scroll by default if available [Bastien; #759304]
* Fix crash during XWayland initialization [Marek; #751845]
* Ensure to send a ConfigureNotify to just mapped windows [Rui; #759492]
* Misc. bug fixes and cleanups [Carlos, Jonas, Lionel; #758239, #758633,
  #755503, #759374]

Contributors:
  Jonas Ådahl, Marek Chalupa, Carlos Garnacho, Lionel Landwerlin, Rui Matos,
  Bastien Nocera, Daniel Stone, Jasper St. Pierre

3.19.2
======
* Fix crash on monitor unplug [Rui; #756796]
* Exit cleanly on initialization errors [Owen; #757311]
* Allow to determine backend setting from session type [Ray; #741666]
* Fix DRM device detection for non-PCI devices [Alban; #754911]
* Don't force placement of windows without buffer on wayland [Marek; #751887]
* Fix initialization of bypass compositor hint [Rui; #758544]

Contributors:
  Alban Browaeys, Marek Chalupa, Rui Matos, Florian Müllner, Ray Strode,
  Owen W. Taylor

3.19.1
======
* wayland: Allow to trigger popups through keyboard/touch [Carlos; #756296]
* Fix modifiers-only input source switching on Ubuntu [Alberts; #756543]
* Misc. bug fixes [Jonas, Rui, Giovanni, Florian; #756675, #756660, #746420,
  #756548, #756796, #757101, #757148]

Contributors:
  Jonas Ådahl, Giovanni Campagna, Carlos Garnacho, Rui Matos,
  Alberts Muktupāvels, Florian Müllner

Translations:
  Daniel Șerbănescu [ro]

3.18.1
======
* Misc. crash fixes [Jonas, Rui, Carlos, Owen, Florian; #755096, #754979,
  #755490, #754357, #745785, #756642]
* Improve HiDPI support on wayland [Jonas; #755097]
* Fix doubly-scaled cursor on XWayland HiDPI [Jonas; #755099]
* Stop hiding titlebar buttons in dialogs [Florian; #641630]
* Add support for fullscreen/unfullscreen animations [Cosimo; #707248]
* Misc. bug fixes [Rui, Colin, Florian; #743339, #752047, #756074, #756649]

Contributors:
  Jonas Ådahl, Cosimo Cecchi, Carlos Garnacho, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Colin Walters, Owen W. Taylor

3.18.0
======
* Misc. fixes [Florian, Jonas; #753434]

Contributors:
  Jonas Ådahl, Florian Müllner

Translations:
  Rūdolfs Mazurs [lv]

3.17.92
=======
* Don't omit the background color for backgrounds that don't fill the screen
  [Ray; #754476]
* Fix up key state on FocusIn when running nested [Owen; #753948]
* Find the right DRM device instead of hardcoding card0 [Marek; #753434]
* Scale cursor on HiDPI screens [Jonas; #744932]
* Misc. fixes and cleanups [Lan, Jonas, Javier, Olivier; #754545, #754215,
  #754621, #754715]

Contributors:
  Jonas Ådahl, Marek Chalupa, Olivier Fourdan, Javier Jardón, Ting-Wei Lan,
  Ray Strode, Owen W. Taylor

3.17.91
=======
* Send error on pointer-gesture protocol version mismatch [Jonas; #753855]
* Misc. cleanups [Jonas; #744932]

Contributors:
  Jonas Ådahl

Translations:
  Chao-Hsiung Liao [zh_TW], Piotr Drąg [pl]

3.17.90
=======
* Fix glitch with some fullscreen apps [Rui; #753020]
* Fix screen update issue with NVidia driver [Aaron, Rui; #728464]
* Only call frame callbacks for surfaces that get drawn [Adel; #739163]
* Misc. bug fixes and cleanups [Jonas, Rui, Ting-Wei; #753222, #752753, #753237,
  #753380, #744104, #744932]

Contributors:
  Jonas Ådahl, Adel Gadllah, Carlos Garnacho, Ting-Wei Lan, Rui Matos,
  Florian Müllner, Aaron Plattner, Jasper St. Pierre

Translations:
  Akom Chotiphantawanon [th]

3.17.4
======
* nested: Allow basic configuration of dummy outputs [Jonas; #747089]
* Send wl_surface.enter and wl_surface.leave on output changes [Jonas; #744453]
* Improve HiDPI handling on wayland [Jonas; #745655, #744934]
* Implement compositor-side animated cursors [Carlos; #752342]
* Misc. bug fixes [Peter, Marek, Carlos, Matthias, Rui; #750816, #751884,
  #752248, #752551, #752552, #752673, #752674]

Contributors:
  Jonas Ådahl, Marek Chalupa, Matthias Clasen, Carlos Garnacho, Peter Hutterer,
  Rui Matos, Florian Müllner, Jasper St. Pierre

3.17.3
======
* Add X11/wayland clipboard interaction [Carlos; #738312]
* Support VM monitor layout hints on wayland [Thomas; #750363]
* Misc. bug fixes [Rui, Jonas, Olivier, Carlos, Ting-Wei, Peter, Florian;
  #749994, #750256, #749716, #748705, #750552, #751036, #750007, #751136,
  #750552, #751471, #751715, #750680]

Contributors:
  Jonas Ådahl, Dave Airlie, Cosimo Cecchi, Olivier Fourdan, Carlos Garnacho,
  Thomas Hellstrom, Peter Hutterer, Ting-Wei Lan, Jasper Lievisse Adriaanse,
  Rui Matos, Florian Müllner, Jasper St. Pierre

Translations:
  Marek Černocký [cs], Christian Kirbach [de], Pedro Albuquerque [pt]

3.17.2
======
* Honor default value for click method setting [Rui; #746290]
* Add X11/wayland clipboard interoperation [Carlos; #738312]
* Misc. bug fixes [Rui; #749076, #749711]

Contributors:
  Carlos Garnacho, Rui Matos, Jasper St. Pierre

3.17.1
======
* Add public method to get neighboring monitor [Florian; #633994]
* Apply the right settings to the right input devices [Carlos; #747886]
* Fix scroll button setting [Ondrej; #747967]
* Add support for modal hint on wayland [Jonas; #745720]
* Don't reset idle time for non-hardware events [Rui; #748541]
* Misc. bug fixes [Ray, Rui; #748380, #748478]

Contributors:
  Jonas Ådahl, Carlos Garnacho, Ondrej Holy, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Ray Strode, Tomeu Vizoso

3.16.1
======
* Add function to refresh all background instances [Rui; #739178]
* Fix swapped scroll methods on wayland [Ondrej; #746870]
* Manually activate stage to fix accessibility on wayland [Ray, Rui; #746670]
* Center pointer on primary monitor on startup [Carlos; #746896]
* wayland: Reword synchronized state application semantics [Jonas; #743617]
* Ensure input settings are applied on startup [Rui; #747434]
* Misc. bug fixes [Jonas, Giovanni, Calvin, Ray, Rui; #744932, #746509, #746692,
  #746510, #746545, #747263]

Contributors:
  Jonas Ådahl, Giovanni Campagna, Carlos Garnacho, Ondrej Holy, Rui Matos,
  Jasper St. Pierre, Ray Strode, Calvin Walton

Translations:
  Khaled Hosny [ar], Marek Černocký [cs]

3.16.0
======
* wayland: Don't skip notifying about initial maximized state [Jonas; #745303]

Contributors:
  Jonas Ådahl

Translations:
  Kjartan Maraas [nb], Jiri Grönroos [fi], Andika Triwidada [id],
  Inaki Larranaga Murgoitio [eu], Ask H. Larsen [da], Muhammet Kara [tr]

3.15.92
=======
* Ensure pointer visibility on monitor changes [Rui, Marek; #745121, #745752]
* Fix geometry of shaded windows [Florian; #746145]
* Take over cursor visibility handling from gsd [Carlos; #712775]
* Fix touch interaction on window decorations [Carlos; #745335]
* Add options for libinput_config_click_method [Carlos; #746290]
* Scale window decorations on HiDPI displays [Florian; #744354]
* Misc. bug fixes [Carlos, Ray, Rui; #745163, #746295, #746098, #745734]

Contributors:
  Marek Chalupa, Carlos Garnacho, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Ray Strode

Translations:
  Piotr Drąg [pl], Milo Casagrande [it], Changwoo Ryu [ko],
  Daniel Korostil [uk], Baurzhan Muftakhidinov [kk], Trần Ngọc Quân [vi],
  Alexander Shopov [bg], Jordi Mas [ca], Samir Ribic [bs], A S Alam [pa],
  Matej Urbančič [sl]

3.15.91
=======
* wayland: Fix nested compositor mode [Jonas; #745401]
* wayland: Fix pointer constraining [Marek; #727337]
* wayland: Fix input region on HiDPI [Jonas; #744933]
* Allow themes to style buttons differently based on function [Horst; #745108]
* Misc. bug fixes and cleanups [Ray, Rui, Alban; #745141, #745118, #745476,
  #745442]

Contributors:
  Jonas Ådahl, Alban Browaeys, Marek Chalupa, Horst, Rui Matos,
  Jasper St. Pierre, Ray Strode

Translations:
  Chao-Hsiung Liao [zh_TW], Efstathios Iosifidis [el], Dušan Kazik [sk],
  Balázs Úr [hu], Daniel Mustieles [es], Claude Paroz [fr], Stas Solovey [ru],
  Yosef Or Boczko [he], Rafael Ferreira [pt_BR], Aurimas Černius [lt],
  Fran Dieguez [gl], Anders Jonsson [sv], Мирослав Николић [sr, sr@latin]

3.15.90
=======
* Initialize MetaOutput even when we can't get the EDID [Rui; #743412]
* Expose MetaMonitorManager to introspection [Rui; #743745]
* Fix flash on unredirection [Chris; #743858]
* Update xdg-shell implementation to v5 [Jonas; #744452]
* Do not try to use seat devices that aren't (yet) present [Ray; #744640]
* Add keybindings for switching to VT8-VT12 [Ray; #744800]
* Misc bug fixes [Jonas, Cosimo; #743678, #744500]

Contributors:
  Jonas Ådahl, Cosimo Cecchi, Carlos Garnacho, Rui Matos, Jasper St. Pierre,
  Ray Strode, Chris Wilson

Translations:
  Yosef Or Boczko [he], Yuri Myasoedov [ru], Kristjan SCHMIDT [eo],
  Matej Urbančič [sl], Dušan Kazik [sk]

3.15.4
======
* Use GTK+ theme for window decorations instead of metacity [Florian; #741917]
* Export the same EDID information on X11 and wayland [Carlos; #742882]
* Apply input device configuration on wayland [Carlos; #739397]
* Implement pointer barriers on wayland [Jonas; #706655]
* Misc. bug fixes (Ting-Wei, Rui, Ikey, Florian, Marek, Jonas; #741829,
  #738630, #737463, #698995, #727893, #742825, #742824, #742841, #743173,
  #743189, #743217, #743254]

Contributors:
  Jonas Ådahl, Giovanni Campagna, Marek Chalupa, Ikey Doherty, Adel Gadllah,
  Carlos Garnacho, Ting-Wei Lan, Rui Matos, Florian Müllner, Jasper St. Pierre,
  Rico Tzschichholz

Translations:
  Matej Urbančič [sl], Balázs Úr [hu], Marek Černocký [cs],
  Inaki Larranaga Murgoitio [eu], Rafael Ferreira [pt_BR],
  Daniel Mustieles [es], Fran Dieguez [gl]

3.15.3
======
* Don't leave left-over frames queued [Owen; #738686]
* Set CRTC configuration even if it might be redundant [Rui; #740838]

Contributors:
  Rui Matos, Jasper St. Pierre, Rico Tzschichholz, Owen W. Taylor

Translations:
  Trần Ngọc Quân [vi], Muhammet Kara [tr]

3.15.2
======
* Don't enable hiDPI on monitors with broken EDID [Bastien; #734839]
* Prevent crash applying monitor config for a closed lid [Rui; #739450]
* Fix "flicker" during startup transition [Ray; #740377]
* Misc. bug fixes [Lan, Florian, Carlos; #731521, #740133, #738890]

Contributors:
  Emmanuele Bassi, Carlos Garnacho, Jonathon Jongsma, Ting-Wei Lan, Rui Matos,
  Florian Müllner, Bastien Nocera, Jasper St. Pierre, Ray Strode

Translations:
  Kjartan Maraas [nb]

3.15.1
======
* Use GResources for theme loading [Cosimo; #736936]
* Fix headerbar drag getting stuck on xwayland [Carlos; #738411]
* Fix wayland hiDPI regressions [Adel; #739161]
* Misc bug fixes and cleanups [Jasper, Rui, Carlos; #662962, #738630, #738888,
  #738890]

Contributors:
  Cosimo Cecchi, Adel Gadllah, Carlos Garnacho, Rui Matos, Florian Müllner,
  Jasper St. Pierre

3.14.1
======
* Fix move-titlebar-onscreen function [Florian; #736915]
* Fix stacking of the guard window [Owen; #737233]
* Fix keycode lookup for non-default layouts [Rui; #737134]
* Fix workspaces-only-on-primary handling [Florian; #737178]
* Don't unstick sticky windows on workspace removal [Florian; #737625]
* Do not auto-minimize fullscreen windows [Jasper; #705177]
* Upload keymap to newly added keyboard devices [Rui; #737673]
* Apply keyboard repeat settings [Rui; #728055]
* Don't send pressed keys on enter [Rui; #727178]
* Fix build without wayland/native [Rico; #738225]
* Send modifiers after the key event [Rui; #738238]
* Fix unredirect heuristic [Adel; #738271]
* Do not show system chrome over fullscreen windows [Florian; #693991]
* Misc. bug fixes [Florian, Adel, Tom; #737135, #737581, #738146, #738384]

Contributors:
  Tom Beckmann, Adel Gadllah, Carlos Garnacho, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Rico Tzschichholz, Owen W. Taylor

Translations:
  Krishnababu Krothapalli [te], Мирослав Николић [sr, sr@latin],
  Alexander Shopov [bg], Saibal Ray [bn_IN], Milo Casagrande [it],
  Rūdolfs Mazurs [lv]

3.14.0
======
* Fix placement of popup windows on wayland [Jasper; #736812]
* Only increment serial once per event [Jasper; #736840]
* Fix window positioning regression with non-GTK+ toolkits [Owen; #736719]

Contributors:
  Jasper St. Pierre, Owen W. Taylor

Translations:
  Saibal Ray [bn_IN], Dušan Kazik [sk], Manoj Kumar Giri [or],
  Christian Kirbach [de], Ask H. Larsen [da], YunQiang Su [zh_CN],
  Bernd Homuth [de], Shankar Prasad [kn], Petr Kovar [cs], Rajesh Ranjan [hi]

3.13.92
=======
* Rewrite background code [Owen; #735637, #736568]
* Fix size in nested mode [Owen; #736279]
* Fix destroy animation of background windows [Florian; #735927]
* Wire keymap changes up to the wayland frontend [Rui; #736433]
* Add a test framework and stacking tests [Owen; #736505]
* Simplify handling of the merged X and wayland stack [Owen; #736559]
* Fix cursor size on HiDPI [Adel; #729337]
* Misc. bug fixes [Owen; #735632, #736589, #736694]

Contributors:
  Adel Gadllah, Rui Matos, Florian Müllner, Jasper St. Pierre, Owen W. Taylor

Translations:
  Andika Triwidada [id], Piotr Drąg [pl], Changwoo Ryu [ko],
  Kjartan Maraas [nb], Ville-Pekka Vainio [fi], Yuri Myasoedov [ru],
  Aurimas Černius [lt], Balázs Úr [hu], Sweta Kothari [gu], A S Alam [pa],
  Sandeep Sheshrao Shedmake [mr], Shantha kumar [ta], Gil Forcada [ca],
  Carles Ferrando [ca@valencia], Mattias Eriksson [sv]

3.13.91
=======
* Misc. bug fixes [Carlos; #735452]

Contributors:
  Adel Gadllah, Carlos Garnacho, Rui Matos, Jasper St. Pierre,
  Rico Tzschichholz

Translations:
  Chao-Hsiung Liao po/zh_HK, zh_TW.po, Enrico Nicoletto [pt_BR],
  Kjartan Maraas [nb], Fran Diéguez [gl], Yosef Or Boczko [he],
  Maria  Mavridou [el], Claude Paroz [fr]

3.13.90
=======
* Only call XSync() once per frame [Rui; #728464]
* Update capabilities on device list changes [Carlos; #733563]
* Make use of GLSL optional [Adel; #733623]
* Handle gestures and touch events on wayland [Carlos; #733631]
* Add support for unminimize compositor effects [Cosimo; #733789]
* Always set the frame background to None [Giovanni; #734054]
* Add backend methods to handle keymaps [Rui; #734301]
* Actually mark revalidated MetaTextureTower levels as valid [Owen; #734400]
* Rely on explicit -backward switcher keybindings instead of <shift>-magic
  [Christophe; #732295, #732385]
* Misc. bug fixes and cleanups [Rui, Adel, Christophe; #727178, #734852,
  #734960]

Contributors:
  Emmanuele Bassi, Giovanni Campagna, Cosimo Cecchi, Piotr Drąg,
  Christophe Fergeau, Adel Gadllah, Carlos Garnacho, Rui Matos,
  Florian Müllner, Jasper St. Pierre, Rico Tzschichholz, Olav Vitters,
  Owen W. Taylor

Translations:
  Kjartan Maraas [nb], Inaki Larranaga Murgoitio [eu], Lasse Liehu [fi],
  ngoswami [as], Daniel Mustieles [es]

3.13.4
======
* Fix move/resize operations for wayland clients [Marek; #731237]
* Add ::first-frame signal to MetaWindowActor [Owen; #732343]
* Handle keysyms without the XF86 prefix [Owen; #727993]
* Add touch gesture support [Carlos]
* Fix a deadlock when exiting [Owen; #733068]
* Add framework for restarting the compositor with nice visuals
  [Owen; #733026]
* Toggle seat capabilities on VT switch [Carlos; #733563]
* Misc bug fixes [Florian, Owen; #732695, #732350]

Contributors:
  Tom Beckmann, Giovanni Campagna, Marek Chalupa, Adel Gadllah,
  Carlos Garnacho, Florian Müllner, Jasper St. Pierre, Rico Tzschichholz,
  Owen W. Taylor

Translations:
  Yuri Myasoedov [ru], Fran Diéguez [gl], Aurimas Černius [lt], MarMav [el],
  Enrico Nicoletto [pt_BR]

3.13.3
======
* Improve behavior of window buttons with compositor menus [Florian; #731058]
* Implement touch support on wayland [Carlos; #724442]
* Update window shadows [Nikita; #731866]
* Keep windows on the preferred output [Florian; #731760]
* Misc bug fixes [Jonas, Florian, Jasper; #729601, #730681, #731353, #731332,
  #730527, #662962]

Contributors:
  Jonas Ådahl, Nikita Churaev, Carlos Garnacho, Florian Müllner,
  Jasper St. Pierre, Rico Tzschichholz

3.13.2
======
* Add basic HiDPI support on wayland [Adel; #728902]
* Fix crash when monitors change during suspend [Giovanni; #725637]
* Replace mutter-launch with logind integration [Jasper; #724604]
* Move window menu into the compositor [Jasper; #726352]
* Fix delayed focus-follows-mouse support [Florian; #730541]
* Support fallback app menu in window decorations [Florian; #730752]
* Misc. bug fixes and cleanups [Giovanni, Jonas, Jasper; #729732, #729602,
  #726714]

Contributors:
  Jonas Ådahl, Giovanni Campagna, Adel Gadllah, Florian Müllner,
  Jasper St. Pierre, Rico Tzschichholz

Translations:
  Pau Iranzo [ca], Daniel Mustieles [es]

3.13.1
======
* Fix opacity values from _NET_WM_WINDOW_OPACITY [Nirbheek; #727874]
* Merge wayland branch [Jasper, Giovanni, Robert B., Neil, Adel, Rui, Jonas,
  Lionel, Tim, Owen, Florian, Colin W., Cosimo, Ray, Kalev, Pavel, Robert A.,
  Magdalen, Marek, Matthias, Alban, Seán, Daniel, Stefano, Carlos, Colin G.,
  Andreas, Alexander, Ryan, Marc-André, Asad, Alberto, Bastien, Hans,
  Debarshi, Sindhu, Andika, Rico, Olav]
* Don't prevent workspace switches for present_with_time() [Florian; #728018]
* Add shortcuts for switching to the last workspace [Elad; #659288]
* Make move/resize menu items behave like the keybindings [Jasper; #728617]
* Misc. bug fixes and cleanups  [Jasper, Bastien, Florian, Adel; #720631,
  #727979, #728423, #728395, #729044]

Contributors:
  Jonas Ådahl, Elad Alfassa, Robert Ancell, Magdalen Berns, Robert Bragg,
  Giovanni Campagna, Cosimo Cecchi, Marek Chalupa, Nirbheek Chauhan,
  Matthias Clasen, Alban Crequy, Seán de Búrca, Daniel Drake, Jason Ekstrand,
  Stefano Facchini, Adel Gadllah, Carlos Garnacho, Colin Guthrie,
  Andreas Heider, Lionel Landwerlin, Alexander Larsson, Kalev Lember,
  Ryan Lortie, Tim Lunn, Marc-André Lureau, Rui Matos, Asad Mehmood,
  Alberto Milone, Florian Müllner, Bastien Nocera, Hans Petter Jansson,
  Debarshi Ray, Neil Roberts, Sindhu S, Jasper St. Pierre, Ray Strode,
  Andika Triwidada, Rico Tzschichholz, Pavel Vasin, Olav Vitters,
  Colin Walters, A. Walton, Owen W. Taylor

Translations:
  Inaki Larranaga Murgoitio [eu], marablack3 [el], Daniel Mustieles [es],
  Fran Diéguez [gl], Yosef Or Boczko [he], Dirgita [id]

3.12.0
======
* Fix grab issue with SSD xwayland windows [Rui; #726123]
* Misc. bug fixes [Jasper, Ray, Rui, Florian; #727011]

Contributors:
  Rui Matos, Florian Müllner, Jasper St. Pierre, Ray Strode

3.11.92
=======
* Fix identification of CSD windows [Owen; #723029]
* Update keyboard state unconditionally [Rui; #722847]
* Misc bug fixes and cleanups [Owen, Rui, Giovanni, Matthias, Adel, Ryan,
  Jasper, Marek, Florian; #723580, #726123, #726683]

Contributors:
  Giovanni Campagna, Marek Chalupa, Matthias Clasen, Adel Gadllah, Ryan Lortie,
  Rui Matos, Florian Müllner, Jasper St. Pierre, Owen W. Taylor

3.11.91
=======
* Don't use keysym to match keybindings [Rui; #678001]
* Fix message tray icons showing up blank (again) [Adel; #725180]
* Improve keybinding lookups [Rui; #725588]
* Fix dynamic updates of titlebar style properties [Owen; #725751]
* Fix positioning of manually positioned windows [Owen; #724049]
* Misc bug fixes and cleanups [Jasper, Carlos, Adel, Giovanni, Florian; #720631,
  #724969, #725216, #724402, #722266, #725338, #725525]

Contributors:
  Giovanni Campagna, Adel Gadllah, Carlos Garnacho, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Owen W. Taylor

3.11.90
=======
* Fix double-scaling on high DPI resolutions [Adel; #723931]
* Make tile previews a compositor effect [Stefano, Florian; #665758]
* Misc. bug fixes and cleanups [Ryan, Giovanni, Jasper, Adel; #722530, #724257,
  #724258, #720631, #724364, #724472]

Contributors:
  Giovanni Campagna, Marek Chalupa, Stefano Facchini, Adel Gadllah,
  Ryan Lortie, Florian Müllner, Jasper St. Pierre, Rico Tzschichholz

3.11.5
======
* Fix CSD titlebars being placed off-screen [Jasper; #719772]
* Add support for subsurfaces [Jonas; #705502]
* Expose MetaWindow:skip-taskbar property [Florian; #723307]
* Fix legacy tray icons showing up blank [Adel; #721596]
* Fix configuration of cloned monitors [Adel; #710610]
* Misc bug fixes and cleanups [Jasper, Adel, Marek, Jonas; #720631, #723468,
  #720818, #723563, #723564]

Contributors:
  Jonas Ådahl, Marek Ch, Adel Gadllah, Florian Müllner, Jasper St. Pierre

3.11.4
======
* Don't leave focus on windows that are being unmanaged [Owen; #711618]
* Reduce server grabs [Daniel Drake; #721345, #721709]
* Improve heuristic to determine display output name [Cosimo Cecchi; #721674]
* Atomically unmaximize both directions [Jasper; #722108]
* Misc bug fixes [Debarshi, Andika, Florian; #721517, #721674, #722347]

Contributors:
  Cosimo Cecchi, Daniel Drake, Florian Müllner, Debarshi Ray, Jasper St. Pierre,
  Andika Triwidada, Owen W. Taylor

3.11.3
======
* Fix focus issues with external OSKs[Jasper; #715030]
* Add a MetaCullable interface [Jasper; #714706]
* Fix window keybindings [Rui; #719724]
* Fix settings keyboard/pointer focus for new clients [Rui; #719725]
* Fix window group paint volume [Owen; #719669]
* Fix frame extents problems [Owen; #714707]
* Add shortcut to move windows between monitors [Florian; #671054]
* Fix problems with focus tracking [Owen; #720558]
* Misc. bug fixes and cleanups: [Rui, Colin, Lionel, Jasper, Owen; #712833,
  #719557, #719695, #719833, #678989, #720417, #720630]

Contributors:
  Lionel Landwerlin, Rui Matos, Alberto Milone, Florian Müllner,
  Jasper St. Pierre, Rico Tzschichholz, Owen W. Taylor, Colin Walters

3.11.2
======
* Support setting a NULL opaque region [Andreas; #711518]
* Sync keymap from X to wayland [Giovanni; #707446]
* Implement support for subsurfaces [Jonas; #705502]
* Don't focus the no-focus-window for globally active windows [Jasper; #710296]
* Support "hotplug_mode_update" property [Marc-André; #711216]
* Fix resize operations using mouse-button-modifier [Lionel; #710251]
* Fix position of attached modals for CSD windows [Giovanni, Owen; #707194]
* Misc. bug fixes [Rui, Jasper, Neil, Florian; #712247, #711731]

Contributors:
  Giovanni Campagna, Andreas Heider, Lionel Landwerlin, Marc-André Lureau,
  Rui Matos, Florian Müllner, Neil Roberts, Sindhu S, Jasper St. Pierre,
  Rico Tzschichholz, Owen W. Taylor, Jonas Ådahl

3.11.1
======
* Fix tile previews getting stuck on right click during drags [Lionel; #704759]
* Use new UPower API [Bastien]
* Set hot spot when cursor set from wl_buffer [Jonas; #709593]
* Expose min-backlight-step [Asad; #710380]
* Misc. bug fixes and cleanups [Jasper, Olav, Magdalen; #709776]

Contributors:
  Magdalen Berns, Lionel Landwerlin, Asad Mehmood, Bastien Nocera,
  Jasper St. Pierre, Olav Vitters, Jonas Ådahl

3.10.1
======
* Don't apply fullscreen workarounds to CSD windows [Giovanni; #708718]
* Fix hangs during DND operations [Adel; #709340]
* Misc bug fixes [Dan, Giovanni, Jasper; #708813, #708420]

Contributors:
  Giovanni Campagna, Adel Gadllah, Dan Horák, Hans Petter Jansson,
  Jasper St. Pierre

3.10.0.1
========
* Fix bug when a window changed size twice in a single frame - this
  can happen with GTK+ client-side decorations [Giovanni, Owen; #708367]

Contributors:
  Giovanni Campagna, Owen Taylor

3.10.0
======
* Update dependencies [Giovanni; #708210]

3.9.92
======
* Constrain the pointer position onto visible monitors [Giovanni; #706655]
* Fix keyboard state handling in face of event compression [Giovanni; #706963]
* Extend the MetaCursorTracker API with query pointer and cursor visibility [Giovanni; #707474]
* Be stricter in checking and exposing the wayland protocol version [#707851]
* Don't require plugins to pass event to Clutter [Giovanni; #707482]
* Move the --wayland option from the binary to the library [Giovanni; #707897]
* Implement running from gnome-session (environment variable setting, process group
  handling, Clutter backend variables) [Giovanni; #706421]
* Add support for more cursor types [Giovanni; #707919]
* Drop man pages for removed utilities [Kalev; #706579]
* Implement monitor configuration on KMS [Giovanni; #706308]
* Implement HW cursors [Giovanni; #707573]
* Implement minimal support for resizing and maximizing wayland clients [Giovanni; #707401]
* Implement transient hints for wayland clients [Giovanni; #707401]
* Implement popup menu surfaces and grabs [Giovanni; #707863]
* Immediately fire idle watches that are already expired [Giovanni; #707302]
* Remove holes generated by disabling the laptop lid [Giovanni; #707473]
* Misc bug fixes [Giovanni, Pavel, Adel; #707649, #706124, #707584, #707851, #707929,
  #708070]

Contributors:
  Adel Gadllah, Giovanni Campagna, Kalev Lember, Pavel Vasin

Translations:
  Мирослав Николић po/sr, sr@latin.po, Мирослав Николић [sr, sr@latin],
  Chao-Hsiung Liao [zh_HK, zh_TW], Yuri Myasoedov [ru],
  Ville-Pekka Vainio [fi], Changwoo Ryu [ko], A S Alam [pa],
  Mattias Põldaru [et], Rūdolfs Mazurs [lv], Ihar Hrachyshka [be],
  Nilamdyuti Goswami [as], Andika Triwidada [id], Baurzhan Muftakhidinov [kk],
  Benjamin Steinwender [de]

3.9.91
======
* Drop man pages for removed utilities [Kalev; #706579]
* Add support for idle tracking [Giovanni, Cosimo; #706005, #707250]
* Skip CRTC reconfigurations that have no effect [Giovanni; #706672]
* Ignore skip-taskbar hints on parentless dialogs [Giovanni; #673399]
* Don't save pixbuf data in user data [Tim; #706777]
* Don't queue redraws for obscured regions [Adel; #703332]
* Support the opaque region hints for wayland clients [Jasper; #707019]
* Turn blending off when drawing entirely opaque regions [Jasper; #707019]
* Check event timestamps before reconfiguring [Giovanni; #706735]
* Merge the DBus API for display configuration in the wayland branch [Giovanni]
* Install an X IO error handler for XWayland [Giovanni; #706962]
* Use the clutter xkbcommon integration for the wayland keyboard [Giovanni; #705862]
* Add a setuid helper for running on KMS+evdev [Giovanni, Colin; #705861]
* Add keybindings for switching VT [Giovanni; #705861]
* Implement plugin modality when running as a wayland compositor [Giovanni; #705917]
* Add support for the application menu for wayland clients [Giovanni; #707128]
* Several Coverity spotted fixes [Jasper]
* Don't create a dummy texture for the texture template [Neil; #707458]
* Use a more conservative paint volume for obscured windows [Adel]
* Misc bug fixes [Giovanni, Colin, Seán, Jasper, Cosimo; #706582, #706598,
  #706787, #706729, #706825, #707081, #707090, #707267, #706982, #706289]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Adel Gadllah, Colin Guthrie, Kalev Lember,
  Tim Lunn, Jasper St. Pierre, Neil Roberts, Rico Tzschichholz, Seán de Búrca

Translations:
  Piotr Drąg [pl], Alexandre Franke [fr], Kjartan Maraas [nb],
  Milo Casagrande [it], Balázs Úr [hu], Seán de Búrca [ga], Fran Diéguez [gl],
  Daniel Mustieles [es], Aurimas Černius [lt], Gil Forcada [ca]

3.9.90
======
* First release from the wayland branch, includes basic support for running
  as a wayland compositor [Robert, Neil, Giovanni]
* Add support for _GTK_FRAME_EXTENTS [Jasper; #705766]
* Fix quick consecutive <super> presses breaking keyboard input [Alban; #666101]
* Work towards running as wayland compositor [Giovanni]
 - Add DBus API for display configuration
   [#705670, #706231, #706233, #706322, #706382]
 - Add abstraction layer for cursor tracking [#705911]
 - Add support for plugin modality under wayland [#705917]
* Disable GTK+ scaling [Alexander; #706388]
* Disable blending while updating tower [Robert]
* Misc bug fixes and cleanups [Adel, Jasper, Giovanni, Colin, Rico, Florian;
  #703332, #704437, #706207]

Contributors:
  Robert Bragg, Giovanni Campagna, Alban Crequy, Adel Gadllah,
  Alexander Larsson, Florian Müllner, Jasper St. Pierre, Neil Roberts,
  Rico Tzschichholz, Colin Walters

Translations:
  Jiro Matsuzawa [ja], Kjartan Maraas [nb], Matej Urbančič [sl],
  Marek Černocký [cs], Daniel Mustieles [es], Rafael Ferreira [pt_BR],
  Yaron Shahrabani [he], Ján Kyselica [sk]

3.9.5
=====
* Don't select for touch events on the stage [Jasper; #697192]
* Don't queue redraws for obscured regions [Adel; #703332]
* Export timestamp of global keybinding events [Bastien; #704858]
* Misc bug fixes and cleanups [Jasper, Rico; #703970]

Contributors:
  Adel Gadllah, Bastien Nocera, Jasper St. Pierre, Rico Tzschichholz

3.9.4
=====
* Tweak window shadows [Allan; #702141]
* Ignore our own focus events for focus prediction [Jasper; #701017]
* Add API to query if the stage is focused [Jasper; #700735]
* Add API to query the monitor for a given position [Adel]
* Don't force attached dialogs to be border-only [Florian; #702764]
* Allow slicing of backgrounds to avoid texture size limits [Ray; #702283]
* Miscellaneous bug fixes and cleanups [Adel; #701224, #702564]

Contributors:
  Allan Day, Adel Gadllah, Florian Müllner, Jasper St. Pierre, Ray Strode

3.9.3
=====
* Ensure events are always reported to the grab window [Rui; #701219]
* Use new clutter_stage_set_paint_callback() function to prevent dropping
  frames with frame synced toolkits [Owen; #698794]

Contributors:
  Rui Matos, Owen W. Taylor

3.9.2
=====
* Add meta_window_can_close() function [Jasper; #699269]
* Add support for string-array preferences [Florian; #700223]
* Fix a potential race condition with _NET_WM_MOVERESIZE [Jasper; #699777]
* Fix shade window action [Stef; #693714]
* Remove overlay_group [Giovanni; #700735]
* Improve tracking of the focus window [Dan, Jasper; #647706]
* Add API to freeze/unfreeze the keyboard [Rui; #697001]
* Grab and emit a signal when XK_ISO_Next_Group is pressed [Rui; #697002]
* Misc bug fixes and cleanups [Dieter, Jasper, Rui; #699636, #700735, #697000]

Contributors:
  Giovanni Campagna, Rui Matos, Florian Müllner, Jasper St. Pierre,
  Dieter Verfaillie, Stef Walter, Dan Winship

Translations:
  Kjartan Maraas [nb], Ján Kyselica [sk]

3.9.1
=====
* Fix miscellaneous memory leaks [Pavel; #698710]
* Misc fixes and cleanups [Stef, Simon; #698179, #697758]

Contributors:
  Simon McVittie, Pavel Vasin, Stef Walter

3.8.1
=====
* Fix crash when getting default font [Bastien; #696814]
* Fix ungrabbing of keybindings [Rui; #697003]
* Misc fixes and cleanups [Jasper, Simon; #697758]

Contributors:
  Jasper Lievisse Adriaanse, Rui Matos, Simon McVittie, Bastien Nocera

Translations:
  Guillaume Desmottes [fr], Shankar Prasad [kn], Bruce Cowan [en_GB],
  Andika Triwidada [id], Yaron Shahrabani [he], Kjartan Maraas [nb],
  Gheyret Kenji [ug]

3.8.0
=====
* Address major memory leak when changing backgrounds [Ray; #696157]

Contributors:
  Ray Strode

Translations:
  Sandeep Sheshrao Shedmake [mr], Victor Ibragimov [tg], Gabor Kelemen [hu],
  Ville-Pekka Vainio [fi], Rajesh Ranjan [hi], Dr.T.Vasudevan [ta],
  ManojKumar Giri [or], Yuri Myasoedov [ru], Petr Kovar [cs],
  Jiro Matsuzawa [ja], Krishnababu Krothapalli [te], Ani Peter [ml],
  Inaki Larranaga Murgoitio [eu]

3.7.92
======
* Build and improve reference docs [Tomeu; #676856, #695641, #695935]
* Add tracking of whether there are fullscreen windows [Owen; 649748]
* Misc bug fixes and cleanups [Adel, Giovanni, Owen, Jasper, Florian; #695269,
  #695711, #694046, #695813, #695881, #676856, #696053, #682779, #696089,
  #696091, #696087]

Contributors:
  Giovanni Campagna, Adel Gadllah, Florian Müllner, Jasper St. Pierre,
  Tomeu Vizoso, Owen W. Taylor

Translations:
  Chao-Hsiung Liao [zh_HK, zh_TW], Rafael Ferreira [pt_BR],
  Ihar Hrachyshka [be], Nilamdyuti Goswami [as], Matej Urbančič [sl],
  Dimitris Spingos [el], Jan Kyselica [sk], Khaled Hosny [ar],
  Мирослав Николић [sr, sr@latin], Duarte Loreto [pt], Sweta Kothari [gu],
  Milo Casagrande [it], Changwoo Ryu [ko], Gil Forcada [ca],
  Carles Ferrando [ca@valencia], Mattias Põldaru [et], Alexandre Franke [fr],
  Ask H. Larsen [da], Rūdolfs Mazurs [lv], Nguyễn Thái Ngọc Duy [vi]

3.7.91
======
* Fix windows being treated as remote after hostname changes [Ray; #688716]
* Add meta_window_get_all_monitors() method [Adel; #646861]
* Add grab API for externally defined accelerators [Florian; #643111]
* Make session registration an explicit step [Ray; #694876]
* Avoid unnecessary stage redraws [Adel; #694988, #695006]
* Misc fixes [Giovanni, Ray, Jasper, Rui, Pavel, Owen; #694801, #694725,
  #694641, #694393, #678917, #695093, #694837, #695135, #694771, #694321]

Contributors:
  Giovanni Campagna, Adel Gadllah, Rui Matos, Florian Müllner,
  Jasper St. Pierre, Ray Strode, Owen Taylor, Pavel Vasin

Translations:
  Daniel Mustieles [es], Yaron Shahrabani [he], A S Alam [pa], Piotr Drąg [pl],
  Gheyret Kenji [ug], Alexandre Franke [fr], Milo Casagrande [it],
  Fran Diéguez [gl], Dimitris Spingos [el], Мирослав Николић [sr, sr@latin],
  Chao-Hsiung Liao [zh_HK, zh_TW], Nguyễn Thái Ngọc Duy [vi],
  Aurimas Černius [lt], Mario Blättermann [de], Kjartan Maraas [nb]

3.7.90
======
* Support _NET_WM_OPAQUE_REGION [Jasper, Adel; #679901]
* Add wrapper for XI2.3 pointer barriers [Jasper; #677215]
* Update style of resize popups [Cosimo; #692741]
* Implement compositor <-> application frame synchronization [Owen; #685463]
* Handle animated backgrounds [Ray; #682427]
* Add a new window group for override-redirect windows [Gayan; #633620]
* Pass on pointer events on guard window to Clutter [Jasper; #681540]
* Show correct shortcut in window menus [Giovanni; #694045]
* Don't put minimized windows at the back of alt-tab [Jasper; #693991]
* Misc bug fixes and cleanups [Jasper, Rico, Adel, Florian, Rui, Giovanni,
  Owen; #692679, #693354, #690581, #693439, #692718, #693475, #693482, #693540,
  #690580, #680990, #693833, #693922, #693854, #694224]

Contributors:
  Giovanni Campagna, Cosimo Cecchi, Adel Gadllah, Rui Matos, Florian Müllner,
  Gayan Perera, Jasper St. Pierre, Ray Strode, Owen Taylor, Rico Tzschichholz

Translations:
  Fran Diéguez [gl], A S Alam [pa], Alexandre Franke [fr], Aurimas Černius [lt],
  Мирослав Николић [sr, sr@latin], Fran Diéguez [gl], Piotr Drąg [pl],
  Luca Ferretti [it], Daniel Mustieles [es]

3.7.5
=====
* Don't allow multiline window titles [Jon; #683056]
* Make meta_window_located_on_workspace() public [Jasper; #691744]
* Request XI2.3 [Colin; #692877]
* Add meta_window_set_icon_geometry() method [Florian; #692997]
* Require XFixes 5.0 [Jasper; #677215]
* Change unredirection hints to match spec changes [Adel; #693064]
* Improve unredict heuristicts [Adel; #683786]
* Misc bug fixes and cleanups [Florian, Jasper, Adel; #691874, #679901,
  #692952, #693042]

Contributors:
  Adel Gadllah, William Jon McCann, Florian Müllner, Jasper St. Pierre,
  Colin Walters

Translations:
  Daniel Mustieles [es], Ihar Hrachyshka [be], Nilamdyuti Goswami [as],
  Gheyret Kenji [ug], Kjartan Maraas [nb], Yaron Shahrabani [he],
  Piotr Drąg [pl], Chao-Hsiung Liao [zh_HK,zh_TW], Milo Casagrande [it]

3.7.4
=====
* Add support for bypass compositor hints [Adel; #683020]
* Make automaximization optional [Adel; #680990]
* Add method for checking if the application is responding [Giovanni; #684340]
* Expose the xinput opcode [Jasper; #690590]
* Rebrand "minimize" as "hide" [Florian; #682887]
* Misc bug fixes and cleanups [Giovanni, Ray, Jasper, Matthias, Debarshi,
  Florian, Rui; #690454, #690573, #690593, #690956, #691363, #690609, #690317,
  #689263]

Contributors:
  Giovanni Campagna, Matthias Clasen, Adel Gadllah, Rui Matos, Florian Müllner,
  Debarshi Ray, Jasper St. Pierre, Ray Strode

Translations:
  Mattias Põldaru [et], Yaron Shahrabani [he], Daniel Mustieles [es],
  Khaled Hosny [ar], Fran Diéguez [gl], A S Alam [pa], Piotr Drąg [pl],
  Rafael Ferreira [pt_BR], Nilamdyuti Goswami [as], Alexander Shopov [bg],
  Matej Urbančič [sl]

3.7.3
=====
* Fix maximized windows jumping to other monitors [Alban; #556696]
* Add 'switch-applications' keybinding [Florian; #688913]
* Add a convenience method to focus the default window [Jasper; #689652]
* Increase typical icon size to 96 [Jasper; #689651]
* Port to XInput2 [Jasper; #688779]
* Give dynamic keybindings a keybinding action [Florian; #682315]
* Misc. fixes and cleanups [Jasper, Rui; #688777]

Contributors:
  Alban Crequy, Rui Matos, Florian Müllner, Jasper St. Pierre

Translations:
  Nilamdyuti Goswami [as], Piotr Drąg [pl], Yaron Shahrabani [he],
  Dr.T.Vasudevan [ta], ManojKumar Giri [or], Shankar Prasad [kn]

3.7.2
=====
* Fix spurious focus changes when showing desktop [Florian; #686928]
* MetaPluginManager: don't send events to Clutter twice [Owen; #686406]
* Add the ability to add shader hooks to MetaBackgroundActor [Giovanni; #669798]
* Only process keyboard mapping events for the core X keyboard [Rui; #674859]
* Import keybinding files from Metacity [Florian; #687672]
* Add compositor hook to process keybindings selectively [Florian; #688202]
* MetaBackgroundActor: add a setter for GLSL uniforms [Giovanni; #682536]
* Misc. fixes and cleanups [Jasper, Rui, Florian, Rico; #688182]

Contributors:
  Giovanni Campagna, Rui Matos, Florian Müllner, Jasper St. Pierre,
  Owen Taylor, Rico Tzschichholz

Translations:
  Rafael Ferreira [pt_BR], Tobias Endrigkeit [de], Yaron Shahrabani [he]

3.7.1
=====
* screen: Ignore num-workspaces when using dynamic workspaces [Florian; #685439]

Contributors:
  Florian Müllner

Translations:
  Mattias Põldaru [et], Kjartan Maraas [nb], Мирослав Николић [sr, sr@latin],
  Marek Černocký [cs], Andika Triwidada [id], Daniel Mustieles [es],
  Fran Diéguez [gl], Matej Urbančič [sl]

3.6.1
=====
* Fix crash when opening large popup menus [Jasper; #681676]
* window: Don't move the desktop window after monitor hotplug [Jasper; #681159]
* Expose MetaPlugin to introspection [Evan; #671098]
* Optionally delay focus changes in focus-follows-mouse mode [Florian; #678169]
* Resize the guard window when the X screen is resized [Benjamin; #670396]
* display: Only manage the default X screen [Jürg; #648156]
* Misc cleanups: [Owen; #587255]

Contributors:
  Benjamin Berg, Jürg Billeter, Evan Broder, Florian Müllner, Jasper St. Pierre,
  Owen Taylor

Translations:
  Alexandre Franke [fr], Theppitak Karoonboonyanan [th], Sayak Sarkar [bn_IN],
  Sandeep Sheshrao Shedmake [mr], Ask H. Larsen [da], Shankar Prasad [kn],
  Alexander Shopov [bg], Aurimas Černius [lt], Ihar Hrachyshka [be],
  Kjartan Maraas [nb], Daniel Mustieles [es], Changwoo Ryu [ko],
  Yuri Myasoedov [ru], Tom Tryfonidis [el], Rūdolfs Mazurs [lv],
  Chris Leonard [en_GB], Piotr Drąg [pl], Fran Diéguez [gl], Gil Forcada [ca],
  Matej Urbančič [sl], Andika Triwidada [id], Carles Ferrando [ca]

3.6.0
=====

Translations:
  Alexander Shopov [bg], Daniel Korostil [uk], Rajesh Ranjan [hi],
  Krishnababu Krothapalli [te], Ani Peter [ml], Rūdolfs Mazurs [lv],
  Sweta Kothari [gu], Ihar Hrachyshka [be], Noriko Mizumoto [ja],
  Timo Jyrinki [fi], Mattias Põldaru [et]

3.5.92
======
* screen: Allow NULL out arguments in meta_screen_get_size [Tomeu]
* display: Add API to set wm_name / wm_keybindings [Florian; #671010]
* Improve the not responding dialog [Jon, Florian; #684306]
* Misc. bugfixes [Jasper]

Contributors:
  William Jon McCann, Florian Müllner, Jasper St. Pierre, Tomeu Vizoso

Translations:
  Gabor Kelemen [hu], Piotr Drąg [pl], Dr.T.Vasudevan [ta], Bruce Cowan [en_GB],
  Alexandre Franke [fr], Theppitak Karoonboonyanan [th], Gil Forcada [ca],
  Carles Ferrando [ca@valencia], Tobias Endrigkeit [de], Tom Tryfonidis [el],
  Nguyễn Thái Ngọc Duy [vi], Changwoo Ryu [ko], Ask H. Larsen [da],
  Rafael Ferreira [pt_BR], Marek Černocký [cs]

3.5.91
======
* Do not include markup in app not responding dialog [Alex]
* Fix subtracting unredirected windows from visible region [Jasper; #677116]
* Minor improvements and bugfixes [Jasper, Florian; #682648, #682993]

Contributors:
  Alexander Larsson, Florian Müllner, Jasper St. Pierre

Translations:
  Dirgita [id], Piotr Drąg [pl], A S Alam [pa], Yuri Myasoedov [ru],
  Milo Casagrande [it], Nilamdyuti Goswami [as], Tom Tryfonidis [el],
  Duarte Loreto [pt], Fran Diéguez [gl], Nguyễn Thái Ngọc Duy [vi],
  Aurimas Černius [lt], Daniel Nylander [sv]

3.5.90
======
* Fix logic for handling translations of the windows group [Owen; #681221]
* Handle painting inside a Clutter clone [Owen; #681953]
* Update overlay-key on settings changes [Florian; #681906]
* Add keybinding for overlay-key [Florian; #665547]
* Minor fixes and improvements [Javier, Florian]

Contributors:
  Javier Jardón, Florian Müllner, Owen Taylor

Translations:
  Sweta Kothari [gu], Muhammet Kara [tr], Khaled Hosny [ar],
  Sandeep Sheshrao Shedmake [mr]

3.5.5
=====
* Fix flickering around windows when using window group [Tom; #681221]

Contributor(s):
  Tom Beckmann

Translations:
  Chao-Hsiung Liao [zh_HK, zh_TW], Matej Urbančič [sl], Fran Diéguez [gl],
  Мирослав Николић [sr, sr@latin], Yaron Shahrabani [he], Kjartan Maraas [nb]

3.5.4
=====
* Make it possible to reimplement move-to-workspace keybindings from plugins
  [Giovanni; #674104]
* Add a preference to ignore hide-titlebar-when-maximized hint [Rico; #678947]
* window: Also use hide-titlebar-when-maximized when tiled [Florian; #679290]
* Center modal dialogs on their parent instead [Florian; #674499]
* Reduce amount of markup in translated messages [Matthias; #679660]
* Fix focus problem after closing a window with focus-follows-mouse
  [Jasper; #675982]
* Handle changes of the attach-modal-dialogs preference [Florian; #679904]
* Do not restore tiling on unmaximize [Florian; #677565]
* Misc. fixes and cleanups [Jasper Adriaanse, Jasper, Debarshi, Pavel;
  #679153, 673824]

Contributors:
 Jasper Lievisse Adriaanse, Giovanni Campagna, Matthias Clasen, Florian Müllner,
 Debarshi Ray, Jasper St. Pierre, Rico Tzschichholz, Pavel Vasin

Translations:
 Alexander Shopov [bg], Kjartan Maraas [nb], Yaron Shahrabani [he],
 Nilamdyuti Goswami [as], Ihar Hrachyshka [be], Daniel Mustieles [es]

3.5.3
=====
* Simplify plugin system [Jasper; #676855]
* meta-window-actor: Don't unredirect shaped windows [Jasper; #677657]
* screen: Add new public meta_screen_get_current_monitor API [Tim; #642591]
* frames: Increase the size of resize corners [Jasper; #677669]
* window: Make some window methods public [Jasper; #678126]
* Fix crash when running mutter stand-alone [Jasper; #678238]
* meta-window-actor: Fix potential crash in shaping code [Jasper; #677977]
* Misc. fixes [Jasper, Marc-Antoine, Rico]

Contributors:
 Tim L, Marc-Antoine Perennou, Jasper St. Pierre, Rico Tzschichholz

Translations:

 Daniel Mustieles [es], Matej Urbančič [sl], Khaled Hosny [ar],
 Bruno Brouard [fr], Fran Diéguez [gl]

3.5.2
=====
* keybindings: Remove 'toggle-recording' binding [Florian; #674376]
* Switch to gtk-doc syntax [Jasper; #673752]
* shaped-texture: never slice shape mask texture [Robert; #674731]
* Make Mutter stop relying on Cogl including a GL header [Neil; #672711]
* Make support for "XFree86" Xinerama mandatory [Owen; #674727]
* meta_window_move_frame(): fix crash when frame is NULL [Owen; #675254]
* Fix memory leaks [Pavel; #672640]
* Code cleanups [Jasper; #671104 #674876 #676052]
* Look for themes in XDG user data dir [Jasper; #675316]
* Remove frame pixel caching [Jasper; #675111]
* stack: Ignore keep-on-top property on maximized windows [Florian; #673581]
* Misc. fixes [Javier, Jasper, Owen, Rico]

Contributors:
 Robert Bragg, Javier Járdon, Florian Müllner, Neil Roberts, Jasper St. Pierre, 
 Owen Taylor, Rico Tzschichholz, Pavel Vasin

Translations:
 Praveen Illa [te], Luca Ferretti [it], Daniel Mustieles [es]

3.4.1
=====
* API change: the meta_display_add_keybinding() function added in 3.4
  wasn't usable from a GNOME Shell extension, so has been changed to take
  a GSettings object rather than the name of a schema [Jasper; #673014]
* Don't try to auto-maximize not-maximizable windows; this fixes the problem
  with the Nautilus desktop window being mispositioned when enabled
  [Owen; #673566]
* Fix a crash in the default plugin (not used in GNOME) [Giovanni; #673809]
* Make the <Super> key work when set as the mouse button modifier
  [Florian; #662476]

Contributors:
 Giovanni Campagna, Florian Muellner, Jasper St. Pierre, Owen Taylor

Translations:
 Khaled Hosny [ar], Jordi Serratosa [ca], Carles Ferrando [ca@valencia],
 Christian Kirbach [de], Kristjan Schmidt [eo], Arash Mousavi [fa],
 Jiro Matsuzawa [ja], Shankar Prasad [kn], Aurimas Černius [lt],
 Yinghua Wang [zh_CN]

3.4.0
=====
* Fix crash when a full-screen window is opened [Jasper; #672797]
* Fix memory leaks [Pavel; #672640]

Contributors:
 Jasper St. Pierre, Pavel Vasin

Translations:
 Marek Černocký, Petr Kovar [cz], Bruno Brouard [fr], Sweta Kothari [gu],
 Yaron Shahrabani [he], Changwoo Ryu [kr], Enrico Nicoletto [pt_BR],
 Yuri Myasoedov [ru], Muhammet Kara [tr], Nguyễn Thái Ngọc Duy [vi]

3.3.92
======
* Automaximize large windows on map [Adel; #671677]
* When unmaximizing windows, make sure the unminimized size
  is significantly less than the maximized size [Adel; #671677]
* Don't offer maximize option for windows larger than the screen
  [Jasper; #643606]
* Always focus the window immediately underneath without restacking
  when closing a window [Jasper; #620744]
* Avoid drawing shadows when two windows are tiled together [Rui; #643075]
* Remove tooltips for window decorations [Florian; #645101]
* Add org.gnome.mutter.dynamic-workspaces GSetting - when this is set
  to true, workspace counts are never saved to GSettings, avoiding
  pointless disk traffic for GNOME dynamic workspaces [Florian; #671568]
* Add ::grab-op-begin, ::grab-op-end signals to MetaDisplay [Jasper; #670658]
* Add meta_display_get_ignored_modifier_mask() [Florian; #665215]
* Remove pointless wrapper methods on MetaPlugin [Jasper; #671103]
* Fix frame drawing with 3.3.x GTK+ releases [Florian; #671796]
* Build fixes [Jasper, Rico, Rui]
* Misc bug fixes [Damien, Jasper, Lionel, Marius, Owen, Rui;
  #661256, #667437, #671601, #671087, #672374]

Contributors:
 Stefano Facchini, Adel Gadllah, Lionel Landwerlin, Mariusz Libera,
 Rui Matos, Florian Müllner, Jasper St. Pierre, Damien Radtke, Owen Taylor,
 Rico Tzschichholz

Translations:
 Nilamdyuti Goswami [as], Ihar Hrachyshka [be], Alexander Shopov [bg],
 David Planella [ca], Carles Ferrando [ca@valencia], Kenneth Nielsen [dk],
 Bruce Cowan [en_GB], Daniel Mustieles [es], Mattias Põldaru [et],
 Inaki Larranaga Murgoitio [eu], Timo Jyrinki [fi], Fran Diéguez [gl],
 Gabor Kelemen [hu], Changwoo Ryu [ko], Anita Reitere [lv],
 Kjartan Maraas [nb], Wouter Bolsterlee [nl], A S Alam [pa], Piotr Drąg [pl],
 Duarte Loreto [pt], Yuri Myasoedov [ru], Daniel Nylander [se],
 Matej Urbančič [sl], Miroslav Nikolić [sr], Tirumurti Vasudevan [ta],
 Sasi Bhushan [te], Daniel Korostil [uk], Nguyễn Thái Ngọc Duy [vi],
 YunQiang Su [zh_CN], Chao-Hsiung Liao [zh_HK, zh_TW]

3.3.90
======
* Update for Cogl API changes [Robert]
* Bug fixes [Adel, Jasper;  #659643]
* Build fixes [Jasper, Owen]

Contributors:
 Robert Bragg, Adel Gadllah, Jasper St. Pierre, Owen Taylor

Translations:
 Ask H. Larsen [dk], Miroslav Nikolić [sr]

3.3.5
=====
* MetaShapedTexture no longer is a ClutterTexture subclass [Jasper; #660941]
* Add meta_shaped_texture_get_image() [Jasper; #660941]
* Cleanups [Rui, Jasper; #657639]
* Depend on GTK+ 3.3.7 [Rico]

Contributors:
 Rui Matos, Jasper St. Pierre, Rico Tzschichholz

Translations:
 Kjartan Maraas [nb], Chao-Hsiung Liao [zh_HK, zh_TW]

3.3.4
=====
* Adapt to changes in GtkStateFlags [Owen]
* Redo properties for applications menu corresponding to GTK+ changes -
  they are now _GTK_* not DBUS_*. [Ryan]
* Fix crash on gnome-shell restart when a modal dialog is open [Owen; #668299]
* Code cleanup [Florian; #666039]

Contributors:
 Ryan Lortie, Florian Müllner, Owen Taylor

Translations:
 Alexander Shopov [bg], Fran Diéguez [gl]

3.3.3
=====
* Add keybindings for tiling to left or right [Florian; #648700]
* Support GTK+'s hide-titlebar-when-maximized hint [Florian; #665617]
* Load _DBUS_APPLICATION_ID, _DBUS_UNIQUE_NAME, _DBUS_OBJECT_PATH
  property [Colin, Ryan; #664851]
* Handle changes to workspaces-only-on-primary GSetting [Florian; #664853]
* Don't use the Clutter default stage [Jasper; #664028]
* Fix compilation with --disable-introspection [Lionel; #661871]
* Fix problem where stage could end up missized on startup with
  multiple monitors [Lionel]
* Misc bug fixes [Adel, Lionel, Jasper; #666015]

Contributors:
 Adel Gadllah, Lionel Landwerlin, Florian Müllner, Jasper St. Pierre

Translations:
 Daniel Mustieles [es], Yaron Shahrabani [he], Kjartan Maraas [nb],
 Matej Urbančič [sk], Muhammet Kara [tr]

3.3.2
=====

* Move from GConf to GSettings for preferences [Florian; #635378]
* Add meta_display_add_keybinding()/meta_display_remove_keybinding()
  to allow creating new keybindings at runtime [Florian; #663428]
* Add support for new _NET_WM_STATE_FOCUSED atom in _NET_WM_STATE
  to allow applications to draw unfocused windows differently
  [Rui; #661427]
* Add meta_window_move_resize_frame() to allow specifying the
  size and position of a window via the outside dimensions of the
  window frame.
* Don't activate window tiling when moving in snap mode
  [Rui; #662270]
* Remove the ability to resize a window from the inner edge of
  the titlebar [Jasper; #660129]
* Fix for deprecations in GTK+ [Jasper, Rico; #662574, #662895]
* Misc bug fixes [Jasper, Rico, Rui; #662895, #642652, #660941, #662225]

Contributors:
 Tim Cuthbertson, Rui Matos, Florian Müllner, Jasper St. Pierre, Rico Tzschichholz

Translations:
 Jorge González (es), Kjartan Maraas (nb), Krishnababu Krothapalli (te), Nguyễn Thái Ngọc Duy (vi)

3.2.1
=====
* Allow keyboard window switching (alt-Tab) during drag-and-drop
  [Matthias, #660457]
* Don't add invisible resize borders to fullscreen windows
  [Jasper, Owen; #659854]
* Fix crash when toplevel windows were set to unexpected window types
  [Owen; #599988]
* Correct problems with windows moving when restarting or switching
  window managers [Jasper; #660848]
* Fix interaction of tiled windows with multiple monitors
  [Rui; #642580, #657519]
* Make meta_display_unmanage_screen() public [Jasper; #660848]
* Fix problem with turning off window decorations on the fly [Rui; #660773]
* Fix spurious assertion failures with themes such as Nodoka [Sandro; #661286]
* Misc bug fixes [Adel, Jasper, Rui; #660464, #660854, #662053]

Contributors:
 Matthias Clasen, Sandro Mani, Rui Matos, Jasper St. Pierre, Owen Taylor

Translations:
 Tommi Vainikainen [fi], Miroslav Nikolić [sr, sr@latin], Muhammet Kara [tr]

3.2.0
=====
* Fix _NET_WM_FRAME_EXTENTS not to include invisible borders [Jasper; #659848]
* Fix application-specified window placement (-geometry) for
  invisible borders [Jasper; #659848]

Contributors:
 Jasper St. Pierre

Translations:
 Nilamdyuti Goswami [as], Carles Ferrando [ca@valencia], Petr Kovar [cz],
 Mario Blättermann [de], Inaki Larranaga [eu], Gabor Kelemen [hu],
 Takayoshi Okano [ja], Changwoo Ryu [ko], Djavan Fagundes [pt_BR]

3.1.92
======
* Fix bug with unredirecting full-screen windows on multi-monitor -
  notably affected gnome-screensaver [Adel; #657869]
* Disable top resizing of attached dialogs [Jasper; #657795]
* Code cleanup [Jasper, Rui]
* Misc bug fixes [Adel, Florian, Jasper, Rui;
  #658069, #659266, #659523, #659477]

Contributors:
 Adel Gadllah, Rui Matos, Florian Müllner, Jasper St. Pierre

Translations:
 Joan Duran [ca], Joe Hansen [dk], Jiro Matsuzawa [ja], Daniel Korostil [uk]

3.1.91.1
========
* Fix problem where certain application updates would get lost [#657071, Owen]
* Fix a problem where after resuming from the screensaver, things got
  slow [#658228, Jasper, Adel]
* When a monitor is plugged or unplugged, keep existing windows on their
  current monitor [#645408, Alex]
* Remove 'Mutter' title from alerts such as
  "The widow '%s' is not responding" [Matthias]
* Remove pointless warning:
   Received a _NET_WM_MOVERESIZE message for %s; these
   messages lack timestamps and therefore suck.
  [Rui]
* Misc bug fixes [Jasper]
* Build fixes [Javier]

Contributors:
 Matthias Clasen, Adel Gadllah, Javier Jardón, Alex Larsson, Rui Matos,
 Jasper St. Pierre, Owen Taylor

Translations:
 Ihar Hrachyshka [be], Bruce Cowan [en_FB], Daniel Mustieles [es],
 Claude Paroz [fr], Andika Triwidada [id], Luca Ferretti [it],
 Rudolfs Mazurs [lt], Piotr Drąg [pl], Duarte Loreto [pt],
 Matej Urbančič [sl], Tirumurti Vasudevan [ta], Chao-Hsiung Liao [zh_KH, TW]

3.1.90.1
========
* Fix crash when no windows are open [Adel; #657692]
* Fix annotations for new strictness in gobject-introspection [Jasper, Owen]
* Fix some errors with rounded frame drawing [Jasper; #657661]

Contributors:
 Adel Gadllah, Jasper St. Pierre, Owen Taylor

3.1.90
======
* Extend the draggable portion of window borders outside the visible frame
  for easy resizing with thin borders. (New draggable_border_width GConf key
  controls the total width of visible and invisible borders.)
  [Jasper; #644930]
* Draw rounded window corners with antialiasing [Jasper; #628195]
* Unredirect override-redirect fullscreen windows, such as full-screen
  3D games to avoid any performance impact [Adel; #597014]
* Add :resizable and :above properties to MetaWindow. [Tim; #653858]
* Add MUTTER_DISABLE_FALLBACK_COLOR environment variable to allow visualizing
  places where a color is missing for gtk:custom() colors [Florian; #656112]
* Don't attach modal dialogs to special windows like the desktop;
  add meta_window_is_attached_dialog() [Dan, #646761]
* Make MetaBackgroundActor public, allow creating multiple instances
  (sharing a common texture), and add a :dim-factor property
  [Rui, Owen; #656433]
* Fix attached dialogs to not be resizable from the top and to be
  position correctly [Jasper; #656619]
* Misc bug fixes [Jasper, Rui; #656335, #657583]

Contributors:
 Tim Cuthbertson, Adel Gadllah, Rui Matos, Florian Müllner, Jasper St. Pierre,
 Owen Taylor, Dan Winship

Translations:
 Alexander Shopov [bg], Jorge González [es], Fran Dieguez [gl],
 Yaron Shahrabani [he], Takeshi Aihana [ja], Aurimas Černius [lt],
 Kjartan Maraas [nb], A S Alam [pa], Yuri Kozlov [ru], Daniel Nylander [se],
 Theppitak Karoonboonyanan [th], Abduxukur Abdurixit [ug], Aron Xu [zh_CN]

3.1.4
=====
* Use better, much more subtle shadow definitions [Jakub; #649374]
* Add the ability to use named GTK+ colors in theme files as
  gtk:custom(name,fallback) [Florian; #648709]
* Port from GdkColor to GdkRGBA and from GtkStyle to GtkStyleContext
  [Florian; #650586]
* Try to fix window bindings using the Super key [Owen; #624869]
* Update to using more modern Cogl and Clutter APIs
  [Adel, Emmanuele, Neil; #654551 #654729 #654730 #655064]
* Fix for srcdir != builddir builds [Thierry; #624910]
* Make handling of focus appearance for attached dialogs more robust
  [Dan; #647712]
* Misc bug fixes
  [Dan, Florian, Jasper, Owen, Rui; #642957 #649374 #650661 #654489 #654539]

Contributors:
 Emmanuele Bassi, Adel Gadllah, Rui Matos, Florian Müllner, Neil Roberts,
 Jasper St. Pierre, Jakub Steiner, Owen Taylor

Translations:
 Ihar Hrachyshka [be], Jorge González, Daniel Mustieles [es],
 Fran Dieguez [gl], Yaron Shahrabani [he], Takeshi Aihana [ja],
 Kjartan Maraas [nb], Rudolfs Mazurs [lv], Matej Urbančič [sl],
 Abduxukur Abdurixit [ug], Nguyễn Thái Ngọc Duy [vi]

3.1.3.1
=======
* Back API version down to "3.0" - the change to Meta-3.1.gir
  was unintentional [Owen]

Translations:
 Yaron Shahrabani [he], Kjartan Maraas [nb], Muhammet Kara [tr]

3.1.3
=====
* Support dark window theme variants for windows with a dark
  widget theme; this is selected by the _GTK_THEME_VARIANT
  property [Florian, #645355]
* Don't draw a shadow under windows with an alpha-channel - this
  fixes transparency for GNOME Terminal [Owen, Jasper; #635268]
* Add a MetaWindow:wm-class property for notification [Jasper; #649315]
* Add a MetaWindow:minimized property for notification [Florian]
* Fix handing of unusual window shapes that Wine was setting
  causing some applications to draw wrong [Jasper; #627880]
* Improve replacing another compositor and being replaced:
  release compositor selection in the right order and wait for
  compositors that get it wrong. [Colin, Owen; #653121]
* Remove behavior where left clicking on a window border with
  the titlebar offscreen gave the window menu [Florian; #652369]
* Don't set the global default textdomain, since Mutter is
  a library as well as an application [Dan; #649202]
* Exit with the right (success or failure) exit status [Dan]
* Code cleanup [Florian]
* Miscellaneous bug fixes [Owen; #649114, #652507]

Contributors:
 Florian Müllner, Jasper St. Pierre, Owen Taylor, Colin Walters, Dan Winship

Translations:
 Ihar Hrachyshka [be], Daniel Mustieles [es], Yaron Shahrabani [he],
 Carles Ferrando [ca@valencia], Takeshi Aihana [ja], Fran Diéguez [gl],
 Matej Urbančič [sl], Miroslav Nikolic [sr], Muhammet Kara [tr],
 Daniel Korostil [uk]

3.0.2.1
=======
* When saving the session, use the "program name" rather than
  hardcoding mutter, fixing session saving for gnome-shell [Matthias]
  https://bugzilla.gnome.org/show_bug.cgi?id=648828

Contributors:
 Matthias Clasen

3.0.2
=====

* Fix a crash when running without XKB support [Adam]
  https://bugzilla.gnome.org/show_bug.cgi?id=647777
* Fix smallish memory leaks [Colin]
  https://bugzilla.gnome.org/show_bug.cgi?id=649500
  https://bugzilla.gnome.org/show_bug.cgi?id=649504
* Ignore mirrored monitors when listing monitors, fixing
  drag-and-drop problems in GNOME Shell [Owen]
  https://bugzilla.gnome.org/show_bug.cgi?id=649299
* Don't allow side-by-side tiling of non-maximizable windows
  like dialogs and utility windows [Dan]
* Fix interaction of _NET_WM_WINDOW_OPACITY with window effects,
  making it work again with GNOME Shell
  https://bugzilla.gnome.org/show_bug.cgi?id=648613

Contributors:
 Adam Jackson, Colin Walters, Dan Winship

Translations:
 Abduxukur Abdurixit [ug]

3.0.1
=====

* If WM_CLIENT_MACHINE isn't set, don't assume a window is remote;
  fixes behavior of Fox toolkit applications under GNOME Shell.
  https://bugzilla.gnome.org/show_bug.cgi?id=647662 [Colin]
* Fix cases where windows could get stuck drawing as focused after
  an attached modal dialog was closed. [Dan]
  https://bugzilla.gnome.org/show_bug.cgi?id=647613
* Fix a bug where a window that is too big to be tiled side-by-side
  would behave strangely when using the gesture of dragging to
  the top to maximize. [Florian]

Contributors:
 Florian Müllner, Colin Walters, Dan Winship

Translations:
 Amitakhya Phukan [as], Kristjan Schmidt [eo], Muhammet Kara [tr]

3.0.0
=====

* Avoid crashing when you have a single window and try to move it between
  workspaces. [Dan]
  https://bugzilla.gnome.org/show_bug.cgi?id=642957

Contributors:
 Dan Winship

Translations:
 Jordi Serratosa [ca], Petr Kovar [cz], Ask H. Larsen [da], Bruce Cowan [en_GB],
 Inaki Larranaga Murgoitio [eu], Gabor Kelemen [hu], Dirgita [id], Shankar Prasad [kn],
 Changwoo Ryu [ko], Wouter Bolsterlee [nl], Duarte Loreto [pt],
 Antonio Fernandes C. Neto, Rodrigo Padula de Oliveira [pt_BR], T. Vasudevan [ta],
 Nguyễn Thái Ngọc Duy [vi], Chao-Hsiung Liao [zh_HK, zh_TW]

2.91.93
=======

* Fix bug where, when a monitor was hot-plugged, all workspaces
  would collapse to a single workspace. (There are still issues
  when a secondary monitor is hot-plugged to the left of the
  primary monitor.) [Alex]
  https://bugzilla.gnome.org/show_bug.cgi?id=645408)

* Fix a crash for the cycle_group action [Jasper]
  https://bugzilla.gnome.org/show_bug.cgi?id=645843

* Fix misdrawing of window shadows on some focus changes [Dan]
  https://bugzilla.gnome.org/show_bug.cgi?id=636904

* Export meta_get_replace_current_wm() to allow fixing a
  GNOME Shell bug with --replace [Colin]
  https://bugzilla.gnome.org/show_bug.cgi?id=645590

Contributors:
 Alexander Larsson, Jasper St. Pierre, Colin Walters, Dan Winship

Translations:
 Alexander Shopov [bg], Christian Kirbach [de], Yaron Shahrabani [he],
 Rudolfs Mazurs [lv], A S Alam [pa], Yuri Myasoedov [ru], Daniel Nylander [se],
 Abduxukur Abdurixit [ug], Daniel Korostil [uj], Aron Xu [zh_CN]

2.91.92
=======

 * Add a workspaces_only_on_primary preferences. When set, this makes
   workspaces switching only apply to windows on the primary monitor,
   while windows on other monitors are unaffected.
 * Export API for monitor handling [Alex]
    MetaScreen::monitors-changed signal
    meta_screen_get_primary_monitor()
    meta_window_is_on_primary_monitor()
    meta_window_get_monitor()
    MetaWindow::window-entered-monitor, <etaWindow::window-left-monitor
    meta_window_move_to_monitor() [Florian]
 * Behavior improvements for attached modal dialogs:
   - Allow dragging dragging on the titlebar to move the  parent ["Ron"]
   - Allow resizing [Florian]
   - Constrain to be on the current monitor [Florian]
 * Don't turn on XSMP autorestart [Colin]
 * Combine libmutter-wm and libmutter-private into a single libmutter
   [Frédéric]
 * Export methods to move and resize windows [Jeffery]
   meta_window_move(), meta_window_resize(), meta_window_move_frame()
 * Add a MUTTER_WM_CLASS_FILTER environment variable to allow existing
   windows to be ignored when performance testing. [Owen]
 * Add a new compositor-based flash for visual bell [Dan]
 * Fix bug where application specified values for properties like
   "skip taskbar" were sometimes ignored [Dan]
 * Bug fixes [Dan, Florian, Giovanni, Jasper, Owen]
 * Build fixes [Rico]

Contributors:
 Giovanni Campagna, Florian Müllner, Alexander Larsson, Jeffery Olson,
 Frédéric Péters, Owen Taylor, Jasper St. Pierre, Rico Tzschichholz,
 "Ron", Colin Walters, Dan Winship

Translations:
 Khaled Hosny [ar], David Planella [ca], Mario Blättermann [de],
 Bruce Cowan [en_GB], Jorge González, Daniel Mustieles [es], Ivar Smolin [et],
 Bruno Brouard [fr], Fran Diéguez [gl], Yaron Shahrabani [he],
 Gabor Kelemen [hu], Luca Ferretti [it], Kjartan Maraas [nb], Piotr Drąg [pl],
 Duarte Loreto [pt], Lucian Adrian Grijincu, Adi Roiban [ro],
 Yuri Myasoedov [ru], Matej Urbančič [sl], Daniel Korostil [uk]

Bugs fixed:
 624360 window shows up in when pressing alt+tab, but skip_taskbar_hint is set to True
 631308 Dialogs attached to parent sometimes extend out of the screen
 638674 [PATCH] Allow moving attached dialogs
 639765 a11y: visual alert only works per-window, not screen
 641975 Pre-_NET_WM_ICONs look corrupted
 642355 patch to expose MetaWindow.move(), .resize() and add/expose .move_frame() to javascript
 642787 MetaWindowActor has a dangling reference to its MetaWindow
 643597 Attached dialogs not resizable, even by app request
 644188 Broken build of 2.91.91
 644252 Add MUTTER_WM_CLASS_FILTER environment variable
 644529 session: Change XSMP restart style to Never
 644565 Kill libmutter-private ?
 644961 auto-tiling makes moving already-tiled windows hard
 645224 Translation message doesn't make much sense
 645247 Methods of Meta.Rectangle are missing annotations.
 645455 tiling: Fix dragging windows free from edge-tiling

2.91.91
=======

 * Build a libmutter-wm that contains all of the logic and that
   can be linked to to create custom executables. The mutter executable
   becomes a small stub linked to this library [Dan]
 * Move installed headers files into a meta/ subdirectory instead
   of polluting the toplevel namespace [Dan]
 * Remove various unused complications: [Dan]
   - Ability to set the set of plugins via GConf
   - Plugin 'params'
   - meta_restart() and "mutter-message restart"
 * Don't exit when we are requested to exit via XSMP, assume we'll be
   killed along with the X server; this avoids visual artifacts from
   unmanaging windows when logging out [Colin]
 * Build fixes [Dan, Jani, Jeff]

Contributors:
 Jani Monoses, Jeff Olson, Colin Walters, Dan Winship

Translations:
 Bruno Brouard [fr], Kjartan Maraas [nb], Daniel Korostil [uk]

Bugs fixed:
 643194 patch: expose new meta_window_get_window_rect
 643437 Don't exit on XSMP request
 643959 Make mutter into a library

2.91.90
=======

 * Change <Alt>Above_Tab from being a cycle_group binding to
   a switch_group binding [Rui]
 * Make plugin-loading failure fatal [Colin]
 * Add 'position-changed' signal to MetaWindowActor [Owen]
 * When 'live_hidden_previews' is enabled, position hidden windows
   to allow the creation of workspace previews [Owen]
 * Fix bug with opacity of MetaBackgroundActor

Contributors:
  Rui Matos, Owen Taylor, Colin Walters

Translations:
  Jorge González [es],  Mattias Põldaru [et], Sweta Kothari [gu], Luca Ferretti [it],
  Changwoo Ryu [ko], Nguyễn Thái Ngọc Duy [vi]

Bugs fixed:
  641309 When live_hidden_previews is set, force placement for hidden windows
  641310 MetaWindowActor: Add a 'positioned-changed' signal
  641979 Visual glitch on workspace selector closing overview mode
  641384 Make plugin loading failure fatal
  642426 Don't pass handled key events to GTK+

2.91.6
======

 * Add meta_screen_override_window_layout() to let a plugin set the workspace
   layout [Owen]
 * Add a 'size-changed' signal to MetaWindowActor [Florian]
 * Add meta_window_actor_is_destroyed() [Adel]
 * Fix problems with window tile previews when cancelling a move [Florian]
 * Port theme elements that use GTK+ drawing to use GtkStyleContext instead
   of the deprecated GtkStyle. [Florian]
 * Fix compiler warnings that were causing compilation failures [Jasper, Owen]
 * Misc bug fixes [Gabor, Jasper, Owen, Rui]

Contributors:
 Adel Gadllah, Gabor Kelemen, Rui Matos, Florian Müllner, Jasper St. Pierre,
 Owen Taylor

Translations:
 Khaled Hosny [ar], Alexander Shopov [bg], Petr Kovar [cz], Fran Diéguez [gl],
 Marios Zindilis [gr], Gabor Kelemen [hu], Kjartan Maraas [nb], A S Alam [pa],
 Daniel Nylander [se], Chao-Hsiung Liao [zh_HK, zh_TW]

2.91.5
======

* Add a Above_Tab key symbol that can be used in key bindings to mean
  the key above the Tab key. This is now the default binding for
  cycle_group in both Mutter and Metacity. [Owen]
* Add new frame states for tiled-on-the-left and tiled-on-the-right [Florian]
* Add new background drawing functions that can be defined in a theme
  for single buttons. [Florian]
* Draw the right button backgrounds for all custom button layouts [Florian]
* Remove vestigal --composite/--no-composite command line options [Nickolas]
* Fix building on GLES [Andreas]
* Code cleanups [Adel, Owen]

Contributors:
 Adel Gadllah, Nickolas Lloyd, Andreas Mueller, Florian Müllner, Owen Taylor

Translations:
 Mattias Põldaru, Ivar Smolin [et], Gheyret T. Kenji [ug]

Bugs fixed:
 613124 Invalid visibility-related asserts in MutterWindow
 626875 Fix handling of --composite and --no-composite command line options
 629282 [PATCH] Fix errors building for gles-systems (clutter-eglx)
 635569 Add an "Above_Tab" pseudo-keysym
 635683 add specific button background for single button (per side) case
 635686 button backgrounds broken with rtl locales
 637330 [PATCH] theme: Add tiled_left/tiled_right frame states

2.91.4
======

* Update for GTK+ 3 changes [Benjamin, Colin, Emmanuele, Florian]
* Support maximizing a window by dragging to the top of the screen
  in the same way you can tile by dragging to the edge of the screen.
  [Ray, Florian]
* Misc bug fixes [Milan, Owen]

Contributors:
 Emmanuele Bassi, Milan Bouchet-Valat, Florian Müllner, Benjamin Otte,
 Ray Strode, Owen Taylor, Colin Walters

Translations:
 Matej Urbančič [sl], Nguyễn Thái Ngọc Duy [vi]

Bugs fixed:
 630548 gnome-shell could auto-maximize windows when dragged to top edge of screen
 636083 workspace: Consider text direction when switching
 636301 Port testgradient example to GTK3
 636302 Replace some GDK X11 calls with future-proof ones
 636491 valgrind: meta_window_shape_new (meta-window-shape.c:79)
 637802 ui: Adapt to GDK API changes

2.91.3
======

* Better shadows: [Owen]
   - Shadows can be different for different window types and focus states
   - Shadows are larger by default, especially for the currently active
     window
   - Shadows for attached modal dialogs and menus are drawn not to
     overlap the attachment point.
   - Shadows follow the shape of shaped windows
 * Optimization: [Owen]
   - Avoid repainting in situations when windows are potentially restacked
     but aren't actually restacked.
   - Pay attention to partial stage repaints in obscured window calculations
   - Better optimization of painting obscured shadows; turn off shadows
     for maximized windows.
   - Move background repainting into Mutter; doing it here rather than
     in plugins allows not painting obscured parts of the background.
 * A new frame type 'attached' is added for attached modal dialogs
   and can be referenced in theme files with a theme version of 3.2.
 * Fix updating key bindings when the keyboard layout changes
   [Derek, Owen, Thomas]
 * Bug fixes [Adel, Florian]
 * Build fixes [Dan Williams, Diego, Javier, Owen]

Contributors:
 Adel Gadllah, Javier Jardón, Florian Müllner, Derek Poon, Owen Taylor,
 Thomas Thurman, Diego Escalante Urrelo, Dan Williams

Translations:
 Khaled Hosny [ar], Jorge González [es], Fran Diéguez [gl],
 Yaron Shahrabani [he], Kjartan Maraas [nb], Gheyret T. Kenji [ug]

Bugs fixed:
 634779 MetaWindowGroup: further optimize paints by using current scissor
 634833 Draw the root window background
 592382 improve shadow effect
 628199 Add antialiasing to arc and line drawing operations
 633002 meta-actor-window: Use G_UNLIKELY for TFP check
 634771 MetaStackTracker: Avoid queueing resync for obvious no-ops
 635421 Fix crash in check_needs_shadow
 635493 configure.in: it's git, not Subversion
 635528 configure.ac: move call to AM_GNU_GLIB_GETTEXT above cflags modification
 635575 meta-window-actor: remove unused meta_window_actor_get_shadow_bounds
 636083 workspace: Consider text direction when switching

2.91.2
======

* Remove support for GTK+ 2 [Florian]
* Adapt to deprecation of size_request deprecation in GTK+ [Matthias]
* Include change from Metacity to fix confusion of mouse
  tracking when double-clicking on title bar [Owen]
* Fix bug with the the window menu getting stuck when you alt-Tab [Owen]

Contributors:
 Matthias Clasen, Florian Müllner, Owen Taylor

Translations:
 Petr Kovar [cz]

Bugs fixed:
 633133 Remove compatibility for GTK+-2.0
 633352 prepare for the demise of size_request
 633398 Fix check for events on UI widgets
 633401 Fix warning from synthesized events with GdkDevice

2.91.1
======

* Default build is now GTK+ 3 build
* Mutter namespace prefix is removed, in favor of consistent
  meta_ namespace prefixing [Owen]. Naming changes:
    MutterWindow              => MetaWindowActor
    mutter_get_windows        => meta_get_window_actors
    mutter_plugin_get_windows => meta_plugin_get_window_actors
* Add missing values in MetaKeyBindingAction - this fixes a problem where
  key binding lookup wasn't working properly for some key bindings. [Dan]
* Remove keysym parameter to meta_display_get_keybinding_action() - the
  function expected the default keysym for the keycode to always be passed [Dan]
* Clean up installed header files - in particular, theme-parser.h is merged
  into a new public-only theme.h and private internals are moved to
  theme-private.h.
* Fix problems with antialiased rendering of themes [Brandon, Owen, Nickolas]
* Fix problem with parsing color constants in themes [Jon, Owen]
* Build fixes [Colin]
* Miscellaneous bug fixes [Giovanni, Rico]

Contributors:
  Giovanni Campagna, Nickolas Lloyd, William Jon McCann, Owen Taylor,
  Rico Tzschichholz, Colin Walters, Dan Winship, Brandon Wright

Translations:
  Fran Diéguez [gl], Yinghua Wang [zh_CN]

Fixed bugs:
 628401 tint and line draw ops rendering issues
 628520 unfortunate namespacing
 631487 Fix drawing of <arc> theme elements
 632116 don't clobber gerrors
 632149 Fill in missing MetaKeyBindingAction values
 632155 meta_display_get_keybinding_action: remove keysym parameter
 632474 Remove MetaRegion
 632494 introspection: remove --allow-unprefixed

2.91.0
======

 * Enable side-by-side tiling via a gesture of dragging to the left or right
   edge of the screen. (enabled with an off-by-default GConf key) [Florian]
 * Allow breaking out of maximization/tiling using a alt-middle-button window
   resize [Owen, Florian]
 * Add the ability to have modal dialogs attached to their parent window
   (enabled with an off-by-default GConf key) [Maxim]
 * Draw with Cairo rather than GDK [Florian, Benjamin]
 * Add compatibility for changes in GTK+ 3
   [Benjamin, Alban, Florian, Jasper, Matthias, Owen, Thierry]
   - libmutter-private is now only installed for GTK+ 3 builds
   - Theme parts of libmutter-private API are changed to take cairo_t
     rather than GdkDrawable
 * Update introspection build and annotations for new behavior of
   g-ir-scanner [Colin]
 * Fix bug that caused window menu options not to work [Owen]
 * Fix misbehavior of Wine windows [Owen, Alban]
 * Fix crashes from missing error traps [Adel]
 * Build fixes [Colin, Florian, Owen, Rob, Tomas]
 * Misc bug fixes [Adel, Jon, Owen, Nickolas, Tomas]
 * Cleanups [Adel, Benjamin, Florian]

Contributors:
 Alban Browaeys, Matthias Clasen, Maxim Ermilov, Tomas Frydrych, Adel Gadllah,
 Nickolas Lloyd, William Jon McCann, Florian Muellner, Benjamin Otte,
 Thierry Reding, Rob Staudinger, Jasper St. Pierre, Owen Taylor, Colin Walters

Translations:
 Alexander Shopov [bg], Mario Blättermann [de], Ask H. Larsen [dk],
 Michael Kotsarinis [el], Philip Withnall [en_UK], Jorge González [es],
 Fran Diéguez [gl], Bruno Brouard, Claude Paroz [fr], Yaron Shahrabani [he],
 Gabor Kelemen [hu], Luca Ferretti [it], Nils-Christoph Fiedler [nds],
 Kjartan Maraas [nb], A S Alam [pa], Piotr Drąg [pl], Duarte Loreto [pt],
 Antonio Fernandes C. Neto [pt_BR], Matej Urbančič [sl],
 Miloš Popović [sr, sr@latin], Tirumurti Vasudevan [ta], Aron Xu [zh_CN],
 Chao-Hsiung Liao [zh_HK, zh_TW]

Fixed Bugs:
 597763 With >2 workspaces, Window menu "Move to Another Workspace" menu doesn't work
 598603 displays window size when moving terminal window
 606158 "Always on top" triggers Window manager warning:
        Log level 8: meta_window_set_user_time: assertion `!window->override_redirect' failed
 610575 make meta_screen_set_cursor public
 613126 Do not cancel Alt+Tab grab due to Shift key events
 623235 BadDamage error from XSubtractDamage
 624757 Check for TFP usage after actually setting the pixmap
 625712 [mutter-shaped-texture] Remove material_workaround
 626583 Replace Gdk drawing API with cairo
 627087 Mipmap emulation not working
 627210 Crash with X error
 628544 introspection: Build with --warn-fatal, drop fix-meta-rectangle.py hack
 629127 build problem with recent gtk3
 629232 Multiple syntax errors in file mutter-message.c when building Mutter for
        GNOME Shell dependencies
 629350 [mutter-shaped-texture] Use a base material for all instances
 629931 Allow breaking out from maximization/tiling during a mouse resize
 630195 Use GDK error trapping straight-up
 630203 Prepare mutter code for GTK3 rendering-cleanup
 630671 prepare mutter for the demise of GtkObject
 630843 gtk_window_set_visual was replaced by gtk_widget_set_visua
 631147 Adapt to GTK API changes
 631175 Mutter error compiling Gnome Shell

2.31.5
======

* Support building with GTK+ 3.0 [Florian]
* Remove deprecated usages for compatibility with GTK+ 3.0
  [Claudio, Florian, Nickolas]
* Export a boxed type for MetaRectangle [Owen]
* Allow disabling -Werror with --enable-compile-warnings=yes [Nickolas]
* Build fixes [Andreas, Florian, Owen]

Contributors:
 Nickolas Lloyd, Andreas Mueller, Florian Müllner, Claudio Saavedra,
 Owen Taylor

Translations:
 Petr Kovar [cz], Jorge González [es], Fran Diéguez [gl],
 Yaron Shahrabani [he], Matej Urbančič [sl]

Fixed Bugs:
 587991 - Remove deprecated GTK+ symbols
 616275 - -Werror should not be enabled by default (or should be possible to disable)
 622303 - Allow building with Gtk+-3.0
 622800 - Make mutter more gtk+ 3.0 friendly
 623335 - Make MetaRectangle a boxed type
 623639 - Work around g-ir-scanner problem with Gdk.Rectangle
 624166 - src/core/util.c: Fix warning in case WITH_VERBOSE_MODE is not set

2.31.4
======

* Clean up MutterPlugin effect interface [Maxim]
* Track damage as the bounding box, a significant optimizations
  for rapidly drawing clients [Robert]
* Add meta_window_is_remote() [Colin]
* Add meta_add_debug_topic() for turning on logging of
  specific topics [Colin]
* Fix bug with window unmaximization [Owen]

Contributors:
 Robert Bragg, Maxim Ermilov, Owen Taylor, Colin Walters

Translations:
 Yaron Shahrabani (he), Fran Diéguez (gl), Kjartan Maraas (nb), A S Alam (pa)

Fixed Bugs:
 611838 - expose sub-stage redraws by streaming raw updates to ClutterX11TexturePixmap
 620585 - Add meta_window_is_remote
 620860 - function ‘meta_display_open’
 621082 - MutterPluginManager should call plugin->switch_workspace,
          when screen doesn't have any window. Or function should be renamed.
 621413 - Maximize/Unmaximize not behaving properly for some non-gnome based programs

2.31.2
======

* Theme enhancements [Owen]
  - Add a flexible version mechanism for themes -
    metacity-theme-3.xml is now supported, and can include
    version="> 3.2" type attributes on the root element or
    any subelement.
  - Add frame_x_center/frame_y_center variables
  - Allow a theme to turn on title ellipsization
* Performance enhancements:
  - Stream raw damage updates to ClutterX11TexturePixmap
    to enable partial stage updates when windows change [Robert]
  - Don't trap XErrors in meta_compositor_process_event [Adel]
* Add meta_prefs_override_preference_location(); this allows
  a plugin like GNOME Shell to redirect preferences to a
  plugin-specific location. [Owen]
* Support a _MUTTER_HINTS window property; this is a string
  property holding key-value pairs with plugin-specific
  interpretation [Tomas]
* Build with GSEAL_ENABLE [Florian, Javier]
* Add meta_display_get_leader_window() [Tomas]
* Add meta_display_sort_windows_by_stacking [Colin]
* Export
   meta_display_get_last_user_time()
   meta_display_xserver_time_is_before()
   meta_window_foreach_ancestor(),
   meta_window_foreach_transient()
   meta_window_lower()
   meta_window_raise()
   meta_window_set_demands_attention()
   meta_window_unset_demands_attention() [Colin]
* Bug fixes [Dan, Edward, Owen, Tomas]
* Build fixes [Owen, Dominique, Vincent]

Contributors:
 Robert Bragg, Adel Gadllah, Tomas Frydrych, Javier Jardón,
 Dominique Leuenberger, Florian Müllner, Edward Sheldrake,
 Owen Taylor, Vincent Untz, Colin Walters, Dan Winship

Translations:
 Xandru Armesto Fernandez (ast), Khaled Hosny (ar), Petr Kovar (cz),
 Mario Blättermann, (de), Jorge González (es),
 Inaki Larranaga Murgoitio [eu), Claude Paroz (fr), Luca Ferretti (it),
 Gintautas Miliauskas (lt), Pavol Šimo (sk), Matej Urbančič (sl)

Fixed Bugs:
 591842 - ellipsize titles when oversize
 592503 - Add a flexible version mechanism
 595496 - Use accessor functions instead direct access (use GSEAL GnomeGoal)
 596659 - Fix handling of grabbed key events
 613123 - Framework for plugin-specific per-window hint
 613125 - Add meta_display_get_leader_window()
 613127 - Keep num_workspaces key in sync with the actual workspace number
 613136 - remove over-restrictive assert from meta_prefs_get_workspace_name()
 613398 - Don't trap XErrors in meta_compositor_process_event
 615586 - Allow redirecting preferences to a different GConf key
 615672 - can't compile mutter error: dereferencing pointer ‘p’ does break
          strict-aliasing rules
 616050 - alt-tab infrastructure patches
 616274 - mutter from git fails with gcc 4.5 (on new warning)
 616546 - On dual screen maximized windows dragged to the second screen no
          longer update their contents
 618138 - Work around COGL bug causing flash for new windows
 618613 - Fix crash with --sync option

2.29.1
======

* Support and require Clutter 1.2 (Owen)
* Add meta_display_get_keybinding_action() (Colin, Dan)
* Add meta_window_get_wm_class_instance() (Tomas)
* Remove workaround for bug fixed in intel driver Q2/2009 release (Robert)
* Build fixes (Owen, Brian, Nguyễn Thái Ngọc Duy)

Contributors:
 Robert Bragg, Brian Cameron, Tomas Frydrych, Nguyễn Thái Ngọc Duy,
 Owen Taylor, Colin Walters, Dan Winship

Translations:
 Alexander Shopov (bg), Mario Blättermann (de), Bruno Brouard (fr),
 Nils-Christoph Fiedler (nds), Piotr Drąg (pl), Aron Xu (zh_CN)

Fixed Bugs:

 610862 Support and require Clutter 1.1
 612506 mutter 2.29.0 fails to compile on Solaris
 613100 [MetaDisplay] Expose meta_display_get_keybinding_action
 613121 Remove workaround for multitexturing with old intel drivers
 613128 [MetaWindow] Accessor for the instance part of WM_CLASS property
 613278 meta_display_get_keybinding_action: strip out uninteresting modifiers

2.29.0
======

* Improve appearance of scaled down windows using mipmap emulation (Owen)
* Added signals: MetaDisplay::window-created, MetaDisplay::window-marked-urgent,
  MetaDisplay::window-demands-attention, MetaWindow::unmanaged (Colin, Tomas)
* Added properties: MetaWindow:demands-attention, MetaWindow:urgent,
  MetaWindow:maximized-horizontally, MetaWindow:maximized-vertically (Florian, Tomas)
* Fix nasty crash when workspace "struts" changed during a window move (Jon, Owen)
* Bug fixes (Dan, Maxim, Neil, Owen, Tomas)
* Build fixes (Colin, Emmanuele, Nickolas, Owen, Richard)
* Merge Metacity changes since 2.26. Includes themable sound support
  via libcanberra (Owen)

Contributors
 Emmanuele Bassi, Maxim Ermilov, Tomas Frydrych, Richard Hughes, Nickolas Lloyd,
 Florian Müllner, Jon Nettleton, Neil Roberts, Owen Taylor, Colin Walters,
 Dan Winship

Additional Metacity contributors:
 Thomas Hindoe Paaboel Andersen, Peter Bloomfield, Matthias Clasen,
 Matt Kraai, Claude Paroz, Lennart Poettering, Ray Strode, Thomas Thurman,
 Vincent Untz, Tomislav Vujec, Tomeu Vizoso, Travis Watkins, 'alexisdm59'

Translations:
 Khaled Hosny (ar), Petr Kovar (cz), Kjartan Maraas (nb), Djavan Fagundes (pt_BR),
 Nils-Christoph Fiedler (nds), Matej Urbančič (sl), Vincent Untz

Fixed Bugs:

 588065 Adds demands-attention signal to the window class
 591913 Fails to skip current window on alt+tab when another window is asking for attention
 592567 Dereferencing NULL in mutter_window_get_workspace()
 597052 Add signal to MetaDisplay so we know when a window has demanded-attention
 598289 Add "window-created" signal to MetaDisplay, "unmanaged" signal for MetaWindow
 598473 "XXX specified twice for this theme" messages not in sync with metacity.
 598600 "Visual Bell" option in Metacity causes Mutter to crash
 600068 notifications for window urgency hint
 601228 rdesktop does not get keypress signals
 602349 [PATCH] trivial - fix compilation warning in mutter
 602740 Remove XOR gc only used in removed reduced-resources mode
 602870 Fix compilation with older libGL
 604200 Compile issue: Use of deprecated clutter functions
 606388 mutter fails to build when using ld with --no-add-needed
 607125 Fails to build with latest introspection data
 607398 Do not use CGL_* symbols
 607746 reduce gconf roundtrips at startup
 608800 alt-dragging gimp windows crashes gnome-shell
 609350 Mutter does not support the COGL_DEBUG environment variable
 609546 meta_workspace_set_builtin_struts(): optimize out non-changes
 609585 Merge libcanberra usage from Metacity
 609657 Use cogl multitexture API when drawing MutterShapedTexture
 609665 Bug fixes from Fedora RPM
 609710 screencast recording broke
 610391 Fix crash on startup with list bindings

2.28.0
======

* New exported API:
    meta_window_get_stable_sequence() [Colin]
    meta_window_get_transient_for_as_xid() [Tomas]
    MutterScreen::workareas-changed signal [Tomas]
* Fix a problem where changes processed from a Clutter event
  callback wouldn't get handled before the screen was next
  repainted, causing flashing [Owen]
* Remove MetaAltTabHandler as no longer needed [Dan]
* Bug fixes [Colin, Owen]

Contributors:
  Tomas Frydrych, Owen Taylor, Colin Walters, Dan Winship

Translations:
  Christian Kirbach (de), Claude Paroz (fr)

2.27.5
======

 * Fix bug in GConf schemas where the overview activation key was specified as
   '<Super_L>' not 'Super_L'.

Contributors:

 Colin Walters

Translation:

 Denis Arnaud (br)

2.27.4
======

* Big code cleanup: when talking about multiple monitors, call them
  "monitors", not "xineramas". [Dan]

* Accessors added or made public:

  meta_screen_get_n_monitors(), meta_screen_get_monitor_geometry()
  meta_window_get_user_time() and MetaWindow:user-time property.

  [Colin, Dan]

* Set _GNOME_WM_KEYBINDINGS=Metacity,Mutter on the _NET_SUPPORTING_WM_CHECK
  window so that gnome-keybinding-properties can figure out to show the
  Metacity keybindings when Mutter is running. [Owen]

* Bug and build fixes [Colin, Owen]

Contributors:

  Owen Taylor, Colin Walters, Dan Winship

Translation:

  Jorge González (es), Inaki Larranaga Murgoitio (eu), Gabor Kelemen (hu)

Bugs fixed:

  592393 - Clicking on a minimized window in the overview doesn't focus the window
  593399 - Add meta_display_get_grab_op()
  593404 - Make MUTTER_DEBUG_XINERAMA override active Xinerama
  593407 - Add 'skip-taskbar' accessor to MetaWindow.
  593686 - Add meta_screen_get_monitors()
  594067 - Export a _GNOME_WM_KEYBINDINGS property

2.27.3
======

* Key handling improvements:

  - enforce that every key is handled no more than once.
  - mutter_plugin_begin_modal() and mutter_plugin_begin_modal() allow
    putting a plugin into a "modal" state where it has exclusive access
    to key and pointer events.
  - Add "tab_popup_select", "tab_pop_cancel" pseudo-keypress-handlers
    that plugins can use to get notification when Alt-Tab ends

  [Owen]

* Accessors added or made public:

   meta_window_is_override_redirect(), meta_window_is_mapped(),
   meta_display_xwindow_is_a_no_focus_window(),
   meta_display_get_grab_op(), meta_window_is_skip_taskbar(),
   meta_window_is_modal(), all of errors.h

 [Colin, Owen, Michael, Steve, Tomas]

* Fix for various GTK+ deprecations [Javier]
* Bug fixes [Colin, Frédéric, Owen, Thomas, Tomas, Volker]

Contributors:

  Javier Jardón, Steve Frécinaux, Tomas Frydrych, Michael Meeks,
  Frédéric Péters, Volker Sobek, Owen Taylor, Thomas Thurman,
  Colin Walters

Translation:

  Fran Dieguez (gl), Gabor Kelemen (hu), Daniel Nylander (se)

Bugs fixed:

  589457 - Fix up window property notification for "title"
  590911 - Do not run plugin effects on WM startup
  590978 - API to query whether window is in modal state
  591367 - Be silent by default
  591566 - install errors.h header ...
  591788 - Add meta_window_is_override_redirect
  591836 - mutter mishandles opacity
  591913 - Fails to skip current window on alt+tab when another window is asking for attention
  592393 - Clicking on a minimized window in the overview doesn't focus the window
  592699 - Remove deprecated Encoding key from desktop files
  592742 - Avoid accessing freed memory when being replaced
  593399 - Add meta_display_get_grab_op()
  593404 - Make MUTTER_DEBUG_XINERAMA override active Xinerama
  593407 - Add 'skip-taskbar' accessor to MetaWindow.

----------------------------- Older Metacity News -----------------------------

2.26.0
======

Thanks to Luca Ferretti, Matt Kraai, and Neil Jagdish Patel for
improvements in this version.

  - queue frame resize on window undecorate (Neil)
  - fix description of desktop background (Luca) (#569649)
  - wrap g_error calls in braces (Matt)

Translations
  Amitakhya Phukan (as), Mikel González (ast), Ihar Hrachyshka (be@latin), Runa
  Bhattacharjee (bn_IN), David Planella (ca), Petr Kovar (cs), Ask Hjorth
  Larsen (da), Christian Kirbach (de), Jennie Petoumenou (el), David Lodge (en_GB),
  Jorge González (es), Mattias Põldaru (et), Iñaki Larrañaga Murgoitio (eu),
  Ilkka Tuohela (fi), Claude Paroz (fr), Ankit Patel (gu), Mark Krapivner (he),
  Rajesh Ranjan (hi), Gabor Kelemen (hu), Luca Ferretti (it), Takeshi AIHANA (ja),
  Changwoo Ryu (ko), Gintautas Miliauskas (lt), Sangeeta Kumari (mai), Sandeep
  Shedmake (mr), Wouter Bolsterlee (nl), Manoj Kumar Giri (or), Duarte Loreto (pt),
  Leonardo Ferreira Fontenelle (pt_BR), Adi Roiban (ro), Yuriy Penkin (ru), Daniel
  Nylander (sv), I. Felix (ta), Krishna Babu K (te), Theppitak Karoonboonyanan (th),
  Clytie Siddall (vi), Chao-Hsiung Liao (zh_HK), Chao-Hsiung Liao (zh_TW)

2.25.144
========

Thanks to Matthias Claesen, Matt Kraai, Elijah Newren, Owen Taylor, and Thomas
Thurman for improvements in this version.

  - Optimise window property lookup (Thomas) (#549886)
  - Fix slip in the above (Matt)
  - Several memory leaks fixed (Matthias) (#552303, #552973, #552307)
  - Fix longstanding crasher about colourmaps (Owen) (#568365)
  - Alt+middle/right buttons can be switched (Thomas) (#437910)
  - Support _NET_WM_MOVERESIZE_CANCEL (Elijah)
  - minor fix paving the way for a theme editor (Thomas)

Translations
  David Planella (ca), Jorge González (es), Mattias Põldaru (et), saudat
  mohammed (ha), Yuval Tanny\n (he), Gabor Kelemen (hu), Onye, Sylvester (ig),
  Changwoo Ryu (ko), Raivis Dejus (lv), Kjartan Maraas (nb), Daniel Nylander (sv),
  Fajuyitan, Sunday Ayo (yo), 甘露 (Gan Lu) (zh_CN)

2.25.89
=======

Thanks to Yanko Kaneti, Frederic Peters, Thomas Thurman, and Colin Walters for
improvements in this version.

  - The maximisation key is a toggle. (Thomas) (#343824)
  - "Unmaximise" is now called "restore". (Thomas) (#343824)
  - New thread handling call for gconf (Frederic) (#565517)
  - Add screenshot commands back which had been removed (Yanko) (#565343)
  - move_to_corner_se keybinding fixed (Thomas)
  - Windows on other workspaces which attempt to present themselves
    are marked as needing attention (Colin) (#482354)
  - End the grab op when the user clicks the titlebar (Thomas) (#401028)

Translations
  Jorge González (es)

2.25.55
=======

Thanks to Erwann Chenede for improvements in this version.

  - Fix build on Solaris (Erwann) (#564123)

Translations
  Mattias Põldaru (et), Luca Ferretti (it)

2.25.34
=======

Thanks to Matt Kraai for improvements in this version.

  - Fixes to Thomas's earlier fixes (Matt) (#562939)

Translations
  None

2.25.21
=======

Thanks to Thomas Thurman for improvements in this version.

  - Fixes to allow building without compositor again (Thomas)
  - Fixes for -Wall problems (Thomas)
  - Various tool updates (Thomas)

Translations: none


2.25.13
=======

Thanks to Thomas Thurman for improvements in this version.

  - Add casts to fix failure to build from source on 64bit hosts (Thomas) (#562106)
  - Added script to produce announcements (Thomas)

Translations
  Jorge González (es)

2.25.8
======

Thanks to Brian Cameron, Maxim Ermilov, Daniel Macks, Elijah Newren, Frederic
Peters, Thomas Thurman, David Trowbridge, and Olav Vitters for improvements in
this version.

  - Reorder compiler flags (Daniel) (#562033)
  - Fix compositor switch (Daniel) (#560990)
  - Remove spurious warnings about operations on window "none" (Thomas)
  - Fix _POSIX_C_SOURCE which was breaking OS X builds (Thomas) (#561962)
  - -Werror -Wall and -ansi are now standard compile flags (Thomas)
  - Merge screen and window keybindings files; fix minor alt-tab bug
    in the process (Thomas) (#528337)
  - Support _NET_WM_FULLSCREEN_MONITORS (David)
  - Remove some deprecated calls (Thomas) (#560445)
  - Clean up #includes (Maxim) (#560449)
  - Update description of raise_on_click (Elijah)
  - First dialogue delegated to zenity (Thomas)
  - fix theme-parser typo (Olav)
  - double-quote variable names in messages (Thomas) (#558309)
  - fix accidental renaming of run_command_terminal (Thomas) (#557943)
  - some null checks; problems exposed by new GDM (Brian) (#558058)
  - ignore mouse button modifier if it's missing (Thomas) (Launchpad 258054, Launchpad 266929)
  - fix docbook markup (Frederic)

Translations
  Astur (ast), Jorge González (es), Thomas Thurman (la), Leonardo Ferreira
  Fontenelle (pt_BR), Daniel Nylander (sv)

2.25.5
======

Thanks to Thomas Thurman for improvements in this version.

  - Allow third-party apps to decide whether a window appears
    on all workspaces (Thomas) (#557536)
  - Fixed keybindings script (again) (Thomas)

Translations
  David Planella (ca), Robert Millan (ca@valencia)

2.25.3
======

Brown paper bag release which fixes numerous build problems from last night's
release of 2.25.2.  Apologies.

Thanks to Murray Cumming, Thomas Thurman, and Götz Waschk for improvements
in this version.

  - Fix distcheck (Thomas) (#557356)
  - add libm reference (Götz) (#557357)
  - fix docbook tags (Murray) (#557337)

Translations
  Yavor Doganov (bg), David Planella (ca), Robert Millan (ca@valencia), Kenneth
  Nielsen (da), Hendrik Richter (de), Ivar Smolin (et), Claude Paroz (fr), Seán de
  Búrca (ga), Launchpad Translations Administrators (hr), Gabor Kelemen (hu),
  Thomas Thurman (la), Žygimantas Beručka (lt), Kjartan Maraas (nb), Duarte
  Loreto (pt), Djavan Fagundes (pt_BR), Mugurel Tudor (ro), Pavol Šimo (sk),
  Laurent Dhima (sq), Горан Ракић (sr), Theppitak Karoonboonyanan (th),
  Funda Wang (zh_CN)

2.25.2
======

Thanks to Joe Marcus Clarke, Murray Cumming, Tomas Frydrych, William Lachance,
Matthew Martin, Christian Persch, Thomas Thurman, and Vincent Untz for
improvements in this version.

  - Add handler for SIGTERM (Joe) (#553980)
  - Minimised windows are necessarily obscured (Matthew) (#528927)
  - Build fixes with the above (Christian, Tomas, Thomas) (#557335)
    (#557201) (#469361)
  - Changed keybindings to be in a single place (Thomas) (#469361)
  - Add new document about themes (Murray)
  - Remove obsolete support for fallback icons (Thomas)
  - Pass modified mouse events to panels (William) (#554428)
  - Change where desktop files should go (Vincent) (#549479)

Translations
  Yavor Doganov (bg), David Planella (ca), Kenneth Nielsen (da), Hendrik
  Richter (de), Ivar Smolin (et), Claude Paroz (fr), Seán de Búrca (ga), Launchpad
  Translations Administrators (hr), Gabor Kelemen (hu), Thomas Thurman (la),
  Žygimantas Beručka (lt), Kjartan Maraas (nb), Duarte Loreto (pt), Djavan
  Fagundes (pt_BR), Mugurel Tudor (ro), Pavol Šimo (sk), Laurent Dhima (sq),
  Горан Ракић (sr), Theppitak Karoonboonyanan (th), Funda Wang (zh_CN)
2.25.1
======

Thanks to Thomas Thurman for improvements in this version.

  - Fix small memory leak, found by Matthias Clasen (Thomas) (#549952)
  - Added move_to_center keybinding suggested by
    Khanh-Dang Nguyen Thu Lam (Thomas) (#549979)
  - Compositor can be turned on and off from the command line
    (#545323) (Thomas)

Translations
  Khaled Hosny (ar), Petr Kovar (cs), Iñaki Larrañaga Murgoitio (eu), Ilkka
  Tuohela (fi), Žygimantas Beručka (lt), Duarte Loreto (pt), Djavan
  Fagundes (pt_BR), Laurent Dhima (sq)

2.25.0
======

Thanks to Patrick Niklaus, Ted Percival, Eric Piel, Akira TAGOH, and Thomas
Thurman for improvements in this version.

  - Fix memory allocation problem in struts (Eric) (probably #468075)
  - Ensure windows which start maximised know where to jump back
    to, so they don't warp to other screens (Ted) (#504692)
  - Added header comments to some files (Thomas)
  - Icons for windows which are uncooperative enough not to provide
    an icon are taken from the theme, not built in (Patrick) (#524343)
  - Added manual page for metacity-message (Akira, from Debian downstream)

Translations
  Khaled Hosny (ar), Petr Kovar (cs), Ilkka Tuohela (fi), Duarte Loreto (pt), Djavan
  Fagundes (pt_BR)

2.23.89
=======

Thanks to Thomas Thurman for improvements in this version.

  - Added DOAP file. (Thomas)

Translations
  Khaled Hosny (ar), Luca Ferretti (it), Takeshi AIHANA (ja), Wouter
  Bolsterlee (nl), Vladimir Melo (pt_BR), Daniel Nylander (sv)

2.23.55
=======

Thanks to Elijah Newren and Thomas Thurman for improvements in this version.

Contrary to rumour, this release does not add tabbing to everything.

  - Display theme name in title bar of theme viewer (Thomas) (#430198)
  - Allow toggling of non-compositor effects (Thomas) (#92867)
  - Add some extra null checks (Thomas) (#422242)
  - Check for double-freeing at the time of workspace freeing (Elijah) (#361804)
  - Don't generate log messages unless we're logging (Thomas)
  - Two windows which don't belong to any application can't be considered to
    belong to the same application (Thomas)
  - Various tidyings (Thomas)

Translations
  Yavor Doganov (bg), Gabor Kelemen (hu), Kjartan Maraas (nb), Matej
  Urbančič (sl), Daniel Nylander (sv), Theppitak Karoonboonyanan (th)


2.23.34
=======

Thanks to Thomas Thurman for improvements in this version.

  - Commenting and tidying (Thomas)
  - Fix possible compositor crash (Thomas) (#530702)

Translations
  Khaled Hosny (ar), Yavor Doganov (bg), Jorge González (es), Kjartan Maraas (nb),
  Yannig Marchegay (Kokoyaya) (oc), Theppitak Karoonboonyanan (th), Clytie
  Siddall (vi)

2.23.34
=======

Thanks to Thomas Thurman for improvements in this version.

  - Commenting and tidying (Thomas)
  - Fix possible compositor crash (Thomas) (#530702)

Translations
  Khaled Hosny (ar), Yavor Doganov (bg), Jorge González (es), Kjartan Maraas (nb),
  Yannig Marchegay (Kokoyaya) (oc), Theppitak Karoonboonyanan (th), Clytie
  Siddall (vi)

2.23.34
=======

Thanks to Thomas Thurman for improvements in this version.

  - Various commenting (Thomas)
  - Ensure you can turn off compositor with "configure" (Thomas)
  - Ensure you can turn off gconf with "configure" (Thomas) (#530870)

Translations
  Clytie Siddall (vi)

2.23.21
=======

Thanks to Robert Escriva, Iain Holmes, Matt Krai, Thomas Thurman,
and Chris Wang for improvements in this version.

  - Add shadow ability for menus and tooltips (Iain) (#517442) (#517524)
  - Fix possible crashes in compositor (Iain) (#534569) (#528787)
  - Major reorganisation of compositor code (Iain)
  - Initial version of XRender backend for the compositor (Iain)
  - New basic public API for compositor (Iain)
  - Window decoration updates colour when GTK theme changes (Robert) (#511826)
  - Minor code cleanup for pedantic compilers (Thomas)
  - Further code cleanup for pedantic compilers (Matt) (#526049)
  - The atom list appears only once in the code (Thomas) (#530843)
  - Don't attempt to read attributes of invalid windows (Chris) (#530485)

Translations
  Khaled Hosny (ar), Gabor Kelemen (hu), Kjartan Maraas (nb), Tino Meinen (nl),
  Theppitak Karoonboonyanan (th)
2.23.13
=======

Thanks to Erwann Chenede and Carlos Garnacho for improvements
in this version.

  - Re-enable cascading (Erwann) (#529925)
  - Propagate opacity to frame windows (spec compliance!) (Carlos)

Translations
  - None this time!

2.23.8
======

Thanks to Lucas Rocha, Iain Holmes, and Jens Granseuer for improvements
in this version.

        * No need to symlink to .desktop files (Lucas)
        * Fixes to compositor's dealings with overlay windows (Iain)
        * C89 fixes (Jens)

Translators:
Khaled Hosny (ar), Amitakhya Phukan (as), Ihar Hrachyshka (be@latin),
Petr Kovar (cs), Rhys Jones (cy), Kenneth Nielsen (da), Andre Klapper (de),
Jorge González (es), Iñaki Larrañaga Murgoitio (eu), Ilkka Tuohela (fi),
Claude Paroz (fr), Seán de Búrca (ga), Ignacio Casal Quinteiro (gl),
Yuval Tanny (he), Gabor Kelemen (hu), Luca Ferretti (it), Takeshi AIHANA (ja),
Shankar Prasad (kn), Changwoo Ryu (ko), Arangel Angov (mk), sandeep shedmake (mr),
Kjartan Maraas (nb), Nabin Gautam (ne), Wouter Bolsterlee (nl),
Eskild Hustvedt (nn), Yannig Marchegay (Kokoyaya) (oc), Tomasz Dominikowski (pl),
Duarte Loreto (pt), Vasiliy Faronov (ru), Daniel Nylander (sv),
Theppitak Karoonboonyanan (th), Baris Cicek (tr), Maxim Dziumanenko (uk),
Clytie Siddall (vi), Woodman Tuen (zh_HK), Woodman Tuen (zh_TW)
2.23.5
======

Thanks to Lucas Rocha, Owen Taylor, and Thomas Thurman for improvements in this
version.

  - Updates of useless preferences don't crash (Thomas) (#526016)
  - Compliance with new gnome-session (Lucas) (#525051)
  - Preview widget doesn't crash on broken themes (Thomas) (Launchpad 199402)
  - Initially iconic windows don't unminimise (Owen) (#491090)
  - Move ~/.metacity to ~/.config/metacity (Thomas) (#518596)
  - Metacity doesn't stay around when replaced (Thomas)
  - Extra check for null return in a function (Thomas)
  - Displays are singletons, simplifying code (Thomas) (#499301)

Translations
  Jorge González (es), Eskild Hustvedt (nn), Baris Cicek (tr), Clytie Siddall (vi)

2.23.3
======

Thanks to Marco Pesenti Gritti, Iain Holmes, Josh Lee, Thomas Thurman, and
Matthew Wilson for improvements in this version.

  - Workspaces whose name is the same as the standard name, plus some string,
    are not cut off. (Thomas) (#453678)
  - Improve compositor performance (Iain) (#522166)
  - Draw wallpaper correctly when we start up with compositor
    (Iain) (#522599)
  - Several other smaller compositor fixes (Iain)
  - Don't draw shadows on shaped windows unless they have frames
    (Iain) (#505333)
  - Newly-created keep-above windows get focus (Marco) (#519188)
  - Allow moving workspace when dragging with modifier key (Matthew)
    (#474195)

Translations
  Kenneth Nielsen (da), Gabor Kelemen (hu), Vasiliy Faronov (ru), Daniel
  Nylander (sv), Maxim Dziumanenko (uk), Woodman Tuen (zh_HK)

2.23.2
======

Removed some debug statements introduced in 2.23.1.  Brown paper bag release.


2.23.1
======

Thanks to Cosimo Cecchi, Jens Granseuer, Jim Huang, Andrea Del Signore, and
Thomas Thurman for improvements in this version.

(Cosimo's patch was very similar to another received from Jason Ribero.)

  - Allow horizontal and vertical maximisation using the mouse (Cosimo/Jason)
    (#358674)
  - Allow "spacer" as a value for buttons, for blank space (Andrea) (#509165)
  - Remove unused code (Jim)
  - refactor preferences handling (Thomas)
  - make sure we're valid C89 (Jens) (#518917)
  - some messing with tool scripts (Thomas)

Translations
  Jorge González (es), Claude Paroz (fr), Woodman Tuen (zh_HK), Woodman
  Tuen (zh_TW)

2.23.0
======

Thanks to Matthias Clasen, Mikkel Kamstrup Erlandsen, Jim Huang, Thomas Thurman,
and Thomas Wood for improvements in this version.

  - the preview widget can draw shaped windows properly! (Thomas W, #460018)
  - refactored handling of boolean and enumerated gconf preferences;
    refactoring of string and integer preferences will follow shortly (Thomas T)
  - Applications asking to move and resize windows at the same time have
    both their requests granted (Mikkel) (#448183)
  - Windows marked "skip taskbar" don't appear in the ctrl-alt-tab list
    (Matthias) (#106249)
  - fix session management detection (Thomas T) (#328210)
  - when resizing with the keyboard, the cursor stays on a window edge if
    you escape, whichever direction you were going (Thomas T) (#436257)
  - fix major breakage when gconf was turned off in configure (Jim) (#515019)
  - fix major breakage when verbose was turned off in configure (Jim) (#515152)
  - fix name of verbose option in help (Thomas T)
  - various bits of messing around with release scripts (Thomas T)

Translations
  Ihar Hrachyshka (be@latin), Ilkka Tuohela (fi), Ignacio Casal Quinteiro (gl),
  Shankar Prasad (kn), Changwoo Ryu (ko), Nabin Gautam (ne), Wouter Bolsterlee (nl)

2.21.13
=======

Thanks to Michael Meeks and Thomas Thurman for improvements in this version.

  - Only use compositor version if we have a compositor (Thomas) (#514453)
  - Remove workaround for a problem in an ancient GTK version (Thomas) (#513737)
  - Compositor efficiency fixes (Michael)
  - Various tools added (Thomas)

Translations
  Amitakhya Phukan (as), Rhys Jones (cy), Andre Klapper (de), Takeshi AIHANA (ja),
  Arangel Angov (mk), Tomasz Dominikowski (pl), Duarte Loreto (pt)

2.21.8
======

Thanks to Paolo Borelli, Iain Holmes, Havoc Pennington, Christian Persch, Thomas
Thurman, and Alex R.M. Turner for improvements in this version.

  - Windows on other workspaces which need attention appear in the alt-tab
    list too (Alex) (#333548)
  - Remove deprecated function call (Christian) (#512561)
  - New release script (Thomas)
  - Made a start at improving the general number of comments (Thomas)
  - Updated copyright year to 2008, and some other tiny fixes (Thomas)
  - Don't do anything unusual when the compositor frees a window (Iain)
  - Mapping windows doesn't mark them as damaged (Iain)
  - Compositor uses the overlay window and not the root window (Iain)
  - Fixed several list leaks (Paolo)
  - Fixed warnings about printf formats (Havoc)
  - Move source files into subdirectories of the src directory (Havoc)

Translations
  Khaled Hosny (ar), Ihar Hrachyshka (be@latin), Petr Kovar (cs), Andre
  Klapper (de), Jorge González (es), Iñaki Larrañaga Murgoitio (eu), Seán de
  Búrca (ga), Yuval Tanny (he), Luca Ferretti (it), Takeshi AIHANA (ja), Arangel
  Angov (mk), sandeep shedmake (mr), Kjartan Maraas (nb), Yannig
  Marchegay (Kokoyaya) (oc), Daniel Nylander (sv), Theppitak Karoonboonyanan (th),
  Baris Cicek (tr), Clytie Siddall (vi)
2.21.5
======

Thanks to Iain Holmes and Thomas Thurman for improvements in this version.
This contains the new compositor; downstream maintainers should note that
its GConf key is initially turned off in src/metacity.schemas.in and consider
whether to turn it on by default in their packages.

  - merge compositor branch! (Iain) (499081)
  - print "Subversion" and not "CVS" when building (Thomas)

Translations
  Jorge González (es), Kjartan Maraas (nb), Daniel Nylander (sv)

2.21.3
======

Thanks to Matthias Clasen, Martin Meyer, Kjartan Maraas, Thomas Thurman,
and Lucas Rocha for improvements in this version.

  - remove dead code (pointed out by Kjartan) (501365)
  - rewrote long key binding description for the sake of
    the translators (Thomas) (474889)
  - check for null before adding menu (Matthias) (496054)
  - let keys which end a grab also begin a grab (Thomas) (112560)
  - check the right variable in theme sanity check (Martin) (501362)
  - get session ID from environment if it's not passed in on the command
    line (Lucas) (498033)

Translations
  Ihar Hrachyshka (be@latin), Petr Kovar (cs), Jorge González (es),
  Ignacio Casal Quinteiro (gl), Rodrigo Flores (pt_BR), Pavol Šimo (sk),
  Matej Urbančič (sl)

2.21.2
======

Thanks to Benjamin Gramlich, Thomas Thurman, and Peter Bloomfield
for improvements in this release.

 - Theme parser is compliant to XDG Base Directory Specification
   in searching for theme files. (Benjamin) (#480026)
 - Some source files which didn't get used were removed (Thomas)
   (#496947)
 - Fullscreen and maximise windows don't try to save their position
   (Peter) (#461927)

Translations
  Matej Urbančič (sl)

2.21.1
======

Thanks to Elijah Newren, Alex R.M. Turner, Peter Bloomfield, Iain Holmes,
Jans Granseuer, Federico Mena Quintero and Thomas Thurman for improvements
in this release.

 - Add --sync option, like all other GTK apps (Iain)
 - Don't save window's position if it's maximised (Peter) (#461927)
 - Memory leak fix in preview (Jans) (#469682)
 - Truncate tab popup string correctly, and refactor function (Alex)
 - Windows which pop up under always-on-top windows don't get the
   focus, but do get the "needs attention" hint (Thomas) (#486445)
 - Fix error in function call which caused focus problems (Federico)
   (partial fix of #488468)

Translations
  Djihed Afifi (ar), Metin Amiroff (az), Alexander Shopov (bg),
  Jordi Mallach (ca), David Lodge (en_GB), Jorge González (es),
  Iñaki Larrañaga Murgoitio (eu), Vincent Untz (fr), Alastair McKinstry (ga),
  Ankit Patel (gu), Rajesh Ranjan (hi), auto (hr), Changwoo Ryu (ko),
  Raivis Dejus (lv), Wouter Bolsterlee (nl), Gora Mohanty (or),
  ASB (pa), wadim dziedzic (pl), Duarte Loreto (pt),
  Og Maciel (pt_BR), Peter Tuhársky (sk), Matej Urbančič (sl),
  Daniel Nylander (sv), Maxim Dziumanenko (uk), Funda Wang (zh_CN)

2.20.0
======

Thanks to Alexey Rusakov for the fix in this release.

 - prevent a crash on logout with metacity subsequently not being
   restored in future sessions (Alexey) [#433253]

Translations
  Khaled Hosny (ar), Ihar Hrachyshka (be@latin), Ask Hjorth Larsen (da),
  Adam Weinberger (en_CA), Iñaki Larrañaga Murgoitio (eu), Ilkka
  Tuohela (fi), Vincent Untz (fr), Ankit Patel (gu), Gabor Kelemen (hu),
  Luca Ferretti (it), Takeshi AIHANA (ja), Žygimantas Beručka (lt), Jovan
  Naumovski (mk), Ani Peter (ml), Og Maciel (pt_BR), Duarte Loreto (pt),
  Mugurel Tudor (ro), Nickolay V. Shmyrev (ru), Peter Tuhársky (sk), Горан
  Ракић (sr), Daniel Nylander (sv), Dr.T.Vasudevan (ta), Maxim
  Dziumanenko (uk), Clytie Siddall (vi)

2.19.55
=======

Thanks to Frederic Crozat, Matthias Clasen, and Thomas Thurman for improvements
in this release.

 - Noninteger auto-raise delay is not assumed to be zero (Thomas) (#377491)
 - Fix mangled window title in "Force Quit" (Frederic) (#462734)
 - "Close" can appear at any point in the window menu, and now appears
   at the bottom (Thomas) (#104026)
 - Windows which are always on top have "stick" insensitive (Thomas) (#460997)
 - All bitfields in window structure are together for optimisation (Thomas)
   (#450271)
 - Use the correct directory when installing keybindings (Matthias) (#454055)

Translations
  Alexander Shopov (bg), Jorge González (es), Iñaki Larrañaga Murgoitio (eu),
  Ilkka Tuohela (fi), Theppitak Karoonboonyanan (th)

2.19.34
=======

Thanks to Rob Bradford, Cosimo Cecchi, Yair Hershkovitz and Thomas Thurman
for improvements in this release.

 - Fix a bug where the window can be focused without being raised
   if the maximize is aborted. (Rob) [#459027]
 - Unset fullscreen is an allowed action where relevant. (Cosimo) [#449427]
 - Reverse window buttons and align them to the left for RTL locales.
   (Yair) [#92212]
 - Put all bitfields in window data together to help with optimisation.
   (Thomas) [#450271]

Translations
  Jorge Gonzalez (es), Ilkka Tyohela (fi), Gabor Kelemen (hu),
  Takeshi AIHANA (ja), Kjartan Maraas (nb), Vincent van Adrighem (nl),
  Daniel Nylander (sv), Theppitak Karoonbooyana (th),
  Nguyễn Thái Ngọc Duy (vi)

2.19.21
=======

Thanks to Damien Carbery and Thomas Thurman for improvements in
this release.

 - Fixed build on Solaris (Damien) [#397296, #446535]
 - Only activate windows which change their startup ID if the
   new ID differs from the old. (This fixes the bug where KDE
   apps gained the attention hint when switching workspaces.)
   (Thomas) [#400167]
 - Open new windows on the current xinerama. (Thomas) [#145503].

Translations
  Tshewang Norbu (dz),  Jorge González (es), Funda Wang (zh_CN)

2.19.13
=======

Thanks to Elijah Newren and Thomas Thurman for improvements in
this release.

 - Updated the description of raise_on_click (Elijah) [#445447,
   #389923]
 - Refactor queueing code in window.c (Thomas) [#376760]
 - Added switch_group to the keybindings file (Thomas) [#444879]
 - New window information accessor function (Thomas) [#377495]

2.19.8
======

Thanks to Linus Torvalds, Yair Hershkovitz and Thomas Thurman for
improvements in this release.

 - Lots of fixups for various alignments in RTL locales (Yair)
   [#387893]
 - Add code to configure what happens on right or middle click
   of titlebar (Linus) [#408904]
 - Fix layout for titlebars with mixed LTR/RTL scripts (Thomas)
   [#433400]
 - Fix window menu layout for RTL scripts (Thomas) [#433400]

Translations
  Khaled Hosny (ar), Ihar Hrachyshka (be@latin), Jovan Naumovski (mk),
  Theppitak Karoonboonyanan (th)

  [ Apologies to these translators who didn't get credited in the
    version of 2.19.8 that shipped. ]

2.19.5
======

 - Prevent metacity from "forgetting" which machine a window is on
   (Elijah) [#418552]
 - Prevent nasty flickering an placement problem introduced in
   metacity 2.19.2 (Elijah) [fix side-effect of change in #426519]
 - Fix some uninitialized memory usage errors (Elijah) [#427385]

Translations
  David Lodge (en_GB), Jorge González (es), Ignacio Casal Quinteiro (gl),
  Daniel Nylander (sv)

2.19.3
======

Thanks to Magnus Therning, Elijah Newren, Thomas Thurman, and Bruno
Boaventura for improvements in this release.

  - Add support for _NET_MOVERESIZE_WINDOW (Magnus, Elijah) [#344521]
  - EWMH compliance: set _NET_WM_ALLOWED_ACTIONS so that pagers know
    which actions we support (Elijah) [#115247]
  - Fix crash with apps trying to open an insanely huge window
    (Thomas) [#399529]
  - Fix temporary hang/pause with libXt by making sure apps get a
    ConfigureNotify on unmap (Elijah) [#399552]
  - do not auto-maximize windows larger than the workarea in only a
    single direction (Elijah) [#419810]
  - Don't show the current workspace as a possible workspace to switch
    to (Bruno) [#426791]
  - Preserve stacking order across restarts (Elijah)

Translations
  Khaled Hosny (ar), Kjartan Maraas (nb)

2.19.2
======

Thanks to Bastien Nocera, Thomas Thurman, and Elijah Newren for
improvements in this release.

  - Add new control-center key bindings definitions (Bastien) [#420145]
  - Prevent metacity from crashing when trying to use invalid themes
    (Thomas) [#423855]
  - Fix invalid free causing crash on metacity close introduced in
    2.19.1 (Elijah) [#427385]
  - Add special keybinding just for debugging spew marks, unbound and
    not even listed in schemas (Elijah)
  - Fix move/resize events in relation to combinations of
    ConfigureRequest and WM_NORMAL_HINTS change notifications (Elijah)
    [#426519]
  - Remove what we believe to be an ancient attempt at working around
    sloppy/mouse focus bugs that we believe have since been correctly
    fixed.  May fix some ugly race conditions.  May also cause nasty
    bugs in sloppy/mouse focus modes.  Only one way to find
    out... (Elijah) [#304430]

Translations
  Raivis Dejus (lv)

2.19.1
======

Thanks to Jaap Haitsma, Linus Torvalds, Charlie Brej, Kjartan Maraas,
Arthur Taylor, Elijah Newren, Josselin Mouette, Havoc Pennington,
Benjamin Berg, and Carlo Wood for improvements in this release.

  - new icon for the force-quit dialog (Jaap) [#396655]
  - add configurable mouse click action abilities, and clean up lots of
    related code (Linus) [#408899, #408902, others]
  - add schemeas for middle and right click titlebar actions (Charlie)
    [#408903]
  - remove pango/pangox.h include since it's not needed and not
    installed anymore (Kjartan)
  - adjust rounded corners so that they fit nicely with the arcs
    around them (Arthur) [#399373]
  - fix session hang when metacity .sm file is missing (Josselin)
    [#407981]
  - add support for _NET_WM_USER_TIME_WINDOW in order to cut down on
    context switches (Elijah, Havoc) [#354213]
  - prevent nasty metacity/gdk interactions causing hangs with gtk
    trunk (Elijah) [offshoots of #354213]
  - fix button middle fallback and the prelight state (Benjamin) [#419043]
  - Lots of code cleanup for the strut lists (Elijah)
  - fix handling of unidirectional maximization and partial struts +
    some miscellaneous cleanups (Carlo) [#358311]
  - avoid some crashes when dragging windows partially offscreen
    (Elijah) [#353513]
  - avoid mousenav vs. keynav focus problems with the run application
    dialog in mouse/sloppy focus modes (Elijah) [#374752]
  - _NET_ACTIVE_WINDOW property on the root window should be a single
    xwindow id, not two (Elijah)
  - Fix unidirection unmaximization causing jumps (Elijah) [#355497]
  - fix unfullscreening and unmaximizing with size increment/size
    constraint windows (such as gnome-terminal) possibly not returning
    to their "original position" (Elijah) [#329152]
  - fix some issues with min/max and size increment constraints
    (Elijah) [#418395]
  - send synthetic configure notify events in response to appropriate
    MapRequest events too (Elijah) [#322840]

Translations
  Ihar Hrachyshka (be@latin), Jordi Mallach (ca), Jakub Friedl (cs),
  norbu (dz), David Lodge (en_GB), Ivar Smolin (et), Gabor Kelemen (hu),
  Luca Ferretti (it), Takeshi AIHANA (ja), Erdal Ronahi (ku), Gintautas
  Miliauskas (lt), Jovan Naumovski (mk), Kjartan Maraas (nb), Reinout van
  Schouwen (nl), wadim dziedzic (pl), raulpereira (pt_BR), Nickolay V.
  Shmyrev (ru), Горан Ракић (sr), Woodman Tuen (zh_HK), Woodman Tuen (zh_TW)

2.17.5
======

Thanks to Bruno Boaventura, Mad Alex, and Thomas Thurman for
improvements in this release.

   - make window menu arrangement more sensible. (Bruno) [#382962]
   - unmaximise button keeps pressed appearance when moved off and
     back. (Alex) [#395560]
   - fix a couple of compositor crashes (Thomas) [#387761]
   - new environment variables checked if the compositor is enabled;
     see the new file doc/compositor-control.txt for details. (Thomas)

Translations
  Djihed Afifi (ar), Ales Nyakhaychyk (be), Jordi Mallach (ca),
  Jakub Friedl (cs), David Lodge (en_GB), Raivis Dejus (lv),
  Kjartan Maraas (nb), Mugurel Tudor (ro), Daniel Nylander (sv),
  Theppitak Karoonboonyanan (th)

2.17.3
======

Thanks to Christof Krüger, Federico Mena Quintero, Bruno Boaventura,
and Björn Lindqvist for improvements in this release.

  - fix longstanding problem about windows flickering in and out of
    maximised state when dragging between xineramas (Christof) [#358715]
  - grab server when switching workspaces (Federico) [#381127] 
  - replace changing text on window menu with pairs of radio buttons
    and checkboxes (Bruno, Björn) [#343108]

Translations
  Kjartan Maraas (nb), Jakub Friedl (cs), Yuval Tanny (he), Ivar Smolin (et),
  Duarte Loreto (pt), Francisco Javier F. Serrador (es)

2.17.2
======

Thanks to Priit Laes, Bruno Boaventura, Kjartan Maraas, Justin Mason,
Elijah Newren and Dan Mick for improvements in this release.

  - implement handle_move_to_{side|corner}_* to allow the user to flip a
    window to the side or corner of the screen. (Justin) [#317884]
  - fix strict focus mode by picking up on res_class (Dan) [#361054]
  - remove deprecated gtk stuff (Priit, Bruno)
  - string fixes (Kjartan) [#363354, #363355]

Translations
  Jakub Friedl (cs), Francisco Javier F. Serrador (es), Ilkka Tuohela (fi),
  Christophe Merlet (RedFox) (fr), Kjartan Maraas (nb)

2.17.1
======

Thanks to Bruno Boaventura and Carlo Wood for improvements in this
release.

  - sync metacity workspace previous with libwnck (Bruno) [#341893]
  - fix cases when titlebar is allowed offscreen and shouldn't be, and
    vice-versa (Carlo) [#333995]

Translations
  Ilkka Tuohela (fi)

2.17.0
======

Thanks to Elijah Newren, Jens Granseuer, Bruno Boaventura, Carlo Wood,
and Thomas Thurman for changes in this release.

  - version 2 of theme format: stick, shade and above buttons on titlebar,
    variable rounding on corners, variable transparency on window
    backgrounds, stock icons in themes, can remove all titlebar buttons
    from certain classes of window, and more (Thomas) [#102547 and
    dependencies]
  - improve "Force Quit" dialog (Bruno) [#121936]
  - ignore edge resistance when resizing with keyboard (Elijah) [#346782]
  - maintain window size and placement across restarts (Carlo) [#358042]
  - prevent crash when closing certain remote apps (Elijah) [#358514]
  - longstanding mouse-focus bug fixed which affected firefox's
    autocompletion (Elijah) [#357695]
  - ignore maximum size constraints when maximising (Elijah) [#327543]
  - warn translators to keep translations in sync with libwnck (Bruno)
    [#355620]
  - fixes for compilation warnings, etc (Elijah, Jens) [#348067, #356631]

Translators
  Ivar Smolin (et), Gabor Kelemen (hu), Luca Ferretti (it),
  Runa Bhattacharjee (bn_IN)

2.16.2
======

Thanks to Eljah Newren, Maik Beckmann, Christian Hamar, Thomas Andersen,
and Bruno Boaventura de Oliveira for changes in this release.

  - partial audit to fix timestamp usage (Elijah) [part of #355180]
  - remove compilation warnings (Maik) [#355876]; (Bruno) [#355490,
    #355489]
  - automatic detection of stable/unstable in configure script
    (Christian/Elijah) [#356122]
  - make windows be stacked correctly before showing them (Thomas)
    [#332385]
  - use guint32 for timestamps (Elijah) [#348305]

Translators
  Wouter Bolsterlee (nl), Matic Žgur (sl), Francisco Javier F. Serrador (es),
  Vladimir Petkov (bg), Jordi Mallach (ca), Ilkka Tuohela (fi),
  Rajesh Ranjan (hi), Woodman Tuen (zh_HK, zh_TW), Ani Peter (ml),
  Felix (ta), Ankit Patel (gu), Mohammad DAMT (id)
 
2.16.1
======

Thanks to Elijah Newren, Colin Watson, and Bruno Boaventura de Oliveira
Lacerda for changes in this release.

  - fix stuck grab, letting focus be transferred between windows (Elijah)
    [#354422 partial]
  - windows returning from fullscreen are constrained to be onscreen
    (Elijah) [#353699]
  - Clear the transient_for flag of a window after emitting a warning
    (Colin)
  - Replace copy_of_gdk_x11_window_set_user_time() with the real thing
    (Bruno) [#352293]

Translators
  David Lodge (en_GB), Ivar Smolin (et), Matic Žgur (sl),
  Vasiliy Faronov (ru)

2.16.0
==

Thanks to Jens Granseuer for changes in this release.

 - Fix the build with c89/gcc 2.95.

Translators
  Rahul Bhalerao (mr), Runa Bhattacharjee (bn_IN), Woodman Tuen
  (zh_HK, zh_TW), Kostas Papadimas (el), Ani Peter (ml),
  Jonathan Ernst (fr), Горан Ракић (sr, Gabor Kelemen (hu),
  Maxim Dziumanenko (uk), Duarte Loreto (pt), Jordi Mallach (ca),
  Gintautas Miliauskas (lt)

2.15.34
==

Thanks to Stéphane Rosi, Vytautus Liuolia, Will Walker, Baptiste
Mille-Mathias, Elijah Newren, Ed Catmur, and Thomas Andersen for fixes
in this release.

 - allow moving maximized windows between xineramas again (Stéphane)
   [#338660]
 - fix an uninitialized-usage bug with net_wm_user_time that breaks
   focus with new windows (Vytautus)
 - re-fix accessibility events for the alt-tab popup (Will) [#350624]
 - update the close pixmap to fit better with the other pixmaps of the
   menu (Baptiste) [#345498]
 - fix several fullscreen handling bugs I introduced, causing
   fullscreen windows to not actually be shown fullscreen (Elijah)
   [#343115]
 - fix keybindings with hex-values, coming from special extended
   keyboard keys (Ed) [#140448]
 - fix metacity-dialog handling of arguments (Thomas) [#340690]

Translators
  Vladimir Petkov (bg), Jordi Mallach (ca), Gabor Kelemen (hu),
  Mohammad DAMT (id), Wouter Bolsterlee (nl), Daniel Nylander (sv),
  Funda Wang (zh_CN)

2.15.21
==

Thanks to Vincent Untz, Jens Granseuer, Björn Lindqvist, Dmitry
Timoshkov, Thomas Thurman, Vytautas Liuolia, Thomas Andersen, Chris
Ball, and Elijah Newren for fixes in this release.

 - kill usage of libegg (Vincent) [#348633]
 - fix another C89 vs. C99 issue (Jens) [#347621]
 - make it so maximized windows do not have rounded corners (Björn)
   [#336850]
 - fix the heuristic for determining if windows can be made
   fullscreen, needed for WINE and possible also some legacy
   applications (Dmitry) [#346927]
 - make sure window features get recalculated when the screen is
   resized via XRandR (Dmitry) [#346927]
 - fitts' law fixes for titlebar buttons on maximized windows (Thomas
   Thurman) [#97703]
 - react to _NET_STARTUP_ID changes, as proposed for the new
   startup-notification/EWMH spec (Vytautas) [#347515]
 - return the window to maximized state if the window was "shaken
   loose" from maximized state during a resize but the resize is later
   aborted (Thomas Andersen) [#346719]
 - fix button lighting with dragged clicks (Björn) [#321474]
 - don't minimize in response to double clicks on the titlebar when
   minimiziation should not be allowed (Chris) [#347377]
 - fix some titlebar-not-on-screen constraint issues (Elijah)
   [#333328, #345522]

Translators
 Mahay Alam Khan (bn_IN), Jakub Friedl (cs), Iñaki Larrañaga 
 Murgoitio (eu), Yuval Tanny (he), Rajesh Ranjan (hi), Jovan
 Naumovski (mk) Kjartan Maraas (nb), Leonid Kanter (ru)

2.15.13
==

Thanks to Björn Lindqvist and Thomas Thurman for improvements in this
release.

 - grab alt+shift+button1 when trying to snap-move windows (Björn)
 - avoid a case where memory is written after it's freed (Thomas)

Translators
 Hendrik Richter (de), Kostas Papadimas (el), Jonathan Ernst (fr),
 Satoru SATOH (ja)

2.15.8
==

Known as the "Elijah sucks for not reviewing a couple dozen patches"
release.  And for not getting on IRC soon enough to catch Marnanel and
show him how to do the release.  So, just translations this time.

Translations

  Mahay Alam Khan (bn_IN), Rhys Jones (cy), Francisco Javier
  F. Serrador (es), Ilkka Tuohela (fi), Rajesh Ranjan (hi), Changwoo
  Ryu (ko), Fano Rajaonarisoa (mg), Sanlig Badral (mn), Слободан Д. 
  Средојевић (sr), Funda Wang (zh_CN)

2.15.5
==

Thanks to Björn Lindqvist, Søren Sandmann, Adam Jackson, Elijah
Newren, and Aidan Delaney for improvements in this release.
	
 - code cleanup in resizepopup.c (Björn) [#341648]
 - fix a logic bug so that the whole titlebar becomes sensitive to
   mouse clicks (Björn) [#336320]
 - make mouse cursor when moving windows become a hand (Björn) [#337376]
 - lots and lots of compositor improvements -- beginning of a new
   layer to abstract transition effects, shrinking and minimizing and
   exploding effects, fading in and out, unminimize animation that
   reverses minimize one, translucent menus, bounce on window focus,
   and all kinds of stuff I don't understand and can't summarize well
   (Søren, Adam)
 - Fix a crash on exit/logout from assuming a compositor would always
   exist (Elijah) [#342166]
 - code cleanup in tabpopup.c (Aidan Delaney) [#166890]

Translations
  Pema Geyleg (dz), Iñaki Larrañaga Murgoitio (eu), Theppitak
  Karoonboonyanan (th), Clytie Siddall (vi)

2.15.3
==

Thanks to Søren Sandmann, Elijah Newren, Paolo Borelli, Björn
Lindqvist, jylefort at FreeBSD org, 

 - various code cleanups (Søren)
 - prevent long titles from "sticking" in the tasklist (Elijah) [#330671]
 - handle sync counter notifications in the compositor (Søren)
 - notes/documentation updates (Elijah)
 - plug a small leak (Paolo)
 - remove a lot of dead code obsoleted by the new edge-resistance
   stuff (Björn) [#341561]
 - prevent a crash when changing resolution (jylefort) [#340847]
 - revert an accessibility module loading workaround from Gnome 2.6
   that has long since been fixed for us in gtk+ (Elijah) [#123372]

Translations
  Francisco Javier F. Serrador (es), Ignacio Casal Quinteiro (gl),
  Raivis Dejus (lv), Kjartan Maraas (nb), Funda Wang (zh_CN), Woodman
  Tuen (zh_HK), Woodman Tuen (zh_TW)

2.15.2
==

Here's hoping that "third time's a charm."  ;-) This release just
fixes the translations-not-included issue.  See
http://mail.gnome.org/archives/desktop-devel-list/2006-April/msg00483.html
for more details.

 - Use gnome-autogen.sh like most other modules (Rodney)

2.15.1
==

This release just fixes the control-center build (which depends upon
libmetacity-private).  Thanks to Vincent for catching the problem.

 - Include boxes.h in the includes dir (Elijah) [#339708]

2.15.0
==

Thanks to Thomas Thurman, Elijah Newren, Havoc Pennington, Björn
Lindqvist, Gora Mohanty, Alejandro Andres, Andy Morum, Dan Sanders,
Thomas Andersen, Brian Pepple, and Søren Sandmann for improvements in
this release. (Note that "Thomas" below refers to Thomas Thurman if
last name isn't specified)

 - An endless array of compositor updates, not all of which are well
   explained in the ChangeLog. ;-)  Includes an ability to enable and
   disable the compositor at runtime, fixed up wobbling effect and new
   explosion effect, special magnification handling, different opacity
   for different window types like menus, a way of scaling windows,
   handling of foreign displays, improved handling of window
   moving/resizing, various code restructuring, special runtime checks
   for correct extensions and other compositors, lots of bug fixes,
   and possibly other stuff I'm missing or not understanding (Søren)
 - Removed "move to another workspace" menu when there are exactly two
   workspaces (Thomas) [#151183]
 - fix type for compositing_manager schema entry (Elijah) [#335901]
 - Port more properties to our async system for code cleanliness and
   speed improvements (Havoc, Thomas)
 - Lots of code cleanup, even more code cleanup, wow our code was
   messy (Björn) [#335177, #337507, #336890, #338359]
 - Abstract out the functions for setting/unsetting demands attention
   hint and avoid doing it when the window isn't obscured (Thomas)
   [#305882]
 - Change strings to make them more readable, and more
   translatable (Gora) [#335720]
 - Reduce compiling warnings -- add a number of casts and change
   signedness on a number of variables (Björn) [#336032]
 - Fixed broken links in README (Alejandro) [#333303]
 - Add a tabbing function, bound to alt-f6 by default, to cycle
   through the windows of the current application (Thomas) [#94682]
 - Fix the build with --disable-xsync (Andy) [#336605]
 - Raise windows on maximize/unmaximize (Dan) [#335076]
 - Don't have confirmation windows make applications appear to be
   locked when closing via the window list (Dan) [#334899]
 - Allow any keybinding pref to be specified either with <foo>, a
   string, or <foo>_list, a list of strings, or both (Thomas)
   [#164831]
 - warn and ignore if transient_for is set to a non-top-level window
   (Thomas Andersen) [#335524]
 - Use po/LINGUAS for listing supported languages (Brian) [#337951]

Translations
  Vladimir Petkov (bg), Jordi Mallach (ca), Miloslav Trmac (cs), Rhys
  Jones (cy), Lasse Bang Mikkelsen (da), Frank Arnold (de), Kostas
  Papadimas (el), Francisco Javier F. Serrador (es), Ivar Smolin (et), Iñaki
  Larrañaga (eu), Farzaneh Sarafraz (fa), Ilkka Tuohela (fi), Ignacio Casal
  Quinteiro (gl), Ankit Patel (gu), Rajesh Ranjan (hi), Gabor Kelemen (hu), 
  Satoru SATOH (ja), Alexander Didebulidze (ka), Žygimantas Beručka (lt), 
  Kjartan Maraas (nb), Michiel Sikkes (nl), Åsmund Skjæveland (nn), Gora
  Mohanty (or), Raphael Higino (pt_BR), Duarte Loreto (pt), Mugurel Tudor (ro),
  Leonid Kanter (ru), Steve Murphy (rw), Laurent Dhima (sq), Слободан Д.
  Средојевић (sr), Daniel Nylander (sv), Theppitak Karoonboonyanan (th), Maxim
  Dziumanenko (uk), Clytie Siddall (vi), Funda Wang (zh_CN)

2.14.3
==

This release just reverts the widely hated new focus behavior of Metacity
2.14.x to the behavior found in 2.12.x.  Patch came from Ron Yorston.  
See http://blogs.gnome.org/view/newren/2006/04/13/0 and
http://mail.gnome.org/archives/release-team/2006-April/msg00025.html for
more details.

 - Add a focus_new_windows gconf key, change the default to 'smart' (2.12
   behavior) and add a 'strict' option to get 2.14 behavior.  (Ron)
   [#326159]

Translations
  Vladimir Petkov (bg), Miloslav Trmac (cs), Frank Arnold (de), Francisco
  Javier F. Serrador (es), Ilkka Tuohela (fi), Tino Meinen (nl), Åsmund
  Skjæveland (nn), Raphael Higino (pt_BR), Daniel Nylander (sv)

2.14.2
==

Thanks to Thomas Thurman, Paolo Borelli, Björn Lindqvist, and
Elijah Newren for fixes in this release.

 - Fix constraints bug causing negative width windows and crashes
   (Elijah) [#336651]
 - Fix window grouping with parent/child windows (Björn) [#336184]
 - use g_str_has_prefix instead of a local copy of the function
   (Paolo) [#334643]
 - Make sure pager can refresh when window is minimized on a different
   workspace (Thomas) [#315142]
 - Add debugging information for edge resistance (Elijah)

Translations

  Vladimir Petkov (bg), tangi.bzh (br), Jordi Mallach (ca), Miloslav
  Trmac (cs), Rhys Jones (cy), Lasse Bang Mikkelsen (da), Frank
  Arnold (de), Mindu Dorji (dz), Kostas Papadimas (el), Francisco
  Javier F. Serrador (es), Ivar Smolin (et), Iñaki Larrañaga 
  Murgoitio (eu), Elnaz Sarbar (fa), Ilkka Tuohela (fi),
  Ignacio Casal Quinteiro (gl), Ankit Patel (gu), Rajesh Ranjan (hi)
  Gabor Kelemen (hu), Luca Ferretti (it), Satoru SATOH (ja), Vladimer
  Sichinava (ka), Žygimantas Beručka (lt), Kjartan Maraas (nb),
  Tino Meinen (nl), Kjartan Maraas (no), Gora Mohanty (or), Gnome PL
  Team (pl), Evandro Fernandes Giovanini (pt_BR), Duarte Loreto (pt),
  Mugurel Tudor (ro), Leonid Kanter (ru), Laurent Dhima (sq),
  Слободан Д. Средојевић (sr), Daniel Nylander (sv), Theppitak
  Karoonboonyanan (th), Maxim Dziumanenko (uk), Clytie Siddall (vi),
  Funda Wang (zh_CN)

2.14.1
==

The only change since 2.14.0 is to remove the "This is the UNSTABLE
branch" warning from configure for those compiling Metacity from
source.

2.14.0
==

Thanks to Ryan Lortie and Thomas Thurman for fixes in this release.

 - Mark the app-running-remotely-window-title string for translation
   (Thomas) [#334332]
 - Only unmaximise window before freeing if the window is actually
   maximised (Ryan) [#333563]

Translations
  Jordi Mallach (ca), Frank Arnold (de), Luca Ferretti (it), Evandro
  Fernandes Giovanini (pt_BR), Theppitak Karoonboonyanan (th)

2.13.144
==

Thanks to Jens Granseuer, Kristian, Søren Sandmann, Sylvain
Bertrand, and Thomas Thurman for improvements in this release.

 - Fix build with gcc 2.95 (Jens) [#331166]
 - Compositor improvements [remember, still off by default]: add
   unused wobbly (un)minimize animation (Kristian), add support for
   turning updates on and off (Søren), use sync counter to make
   composited resizing tear free (Søren), add ability to unmanage
   the screen (Søren), 
 - Fix build issue with library search order (Sylvain) [#330695]
 - Work around buggy application grouping with transient windows
   (Thomas) [#328211]
 - Prevent setting cycle_windows to keybindings that won't work.
   (Thomas) [#329676]

2.13.89
==

Thanks to Søren Sandmann, Thomas Thurman, Thom May, Akira Tagoh,
Luke Morton, and Philip O'Brien for improvements in this release.

 - Compositor improvements [remember that the compositor is still
   disabled by default]: New fancy minimize animation that fades in
   and out, new debug stuff, various bug fixes (Søren)
 - When buggy apps create synthetic button or keypresses without a
   timestamp, produce a warning instead of failing an assertion
   (Thomas) [#313490]
 - Avoid a memory leak when checking which workspace(s) a window is
   on (Thomas) [#322059]
 - Add a man page for metacity (Thom, Akira, Luke, Philip) [#321279]
 - Disable alt-f7 if a window can't be moved, and alt-f8 if it can't
   be resized (Thomas) [#328920]
 - Allow alt-escape to cancel alt-tabbing, and vice versa (Thomas)
   [#141425]

Translations
  Miloslav Trmac (cs), Kjartan Maraas (nb), Tino Meinen (nl), 
  Kjartan Maraas (no), Слободан Д. Средојевић (sr), Funda Wang (zh_CN)

2.13.55
==

Thanks to Dick Marinus, Christian Kirbach, and Elijah Newren for
improvements in this release.

 - Add a minimize and none double-click-titlebar-action (Dick)
   [#300210]
 - Prevent a critical warning crasher when switching themes
   (Christian) [#327847]
 - Fix some uninitialized value problems (Elijah)
 - If the mouse enters a window on a different screen, activate the
   default window on the new screen (Elijah) [#319348]

Translations
  Jordi Mallach (ca), Adam Weinberger (en_CA), Francisco Javier
  F. Serrador (es), Ilkka Tuohela (fi), Ignacio Casal Quinteiro (gl),
  Ankit Patel (gu), Kjartan Maraas (nb), Kjartan Maraas (no), Evandro
  Fernandes Giovanini (pt_BR), Theppitak Karoonboonyanan (th), Clytie
  Siddall (vi), Funda Wang (zh_CN)

2.13.34
==

Thanks to Damien Carbery, Havoc Pennington, Søren Sandmann,
Björn Lindqvist, Kjartan Maraas, Elijah Newren for improvements in
this release.

 - manually define HOST_NAME_MAX if not already defined to fix Solaris
   compilation issue (Damien, Havoc) [#326745]
 - compositor improvements: port to changes in libcm, do it again, fix
   unrefing, make minimize animation update again (all done by Søren)
 - make sure an outline border is shown even if a window decoration's
   width is 0 (Björn) [#98340]
 - correctly handle window alt-tab outlines in showing desktop mode
   (Björn) [#98340]
 - fix lots of tiny issues spotted by the intel compiler (Kjartan)
   [#321439]
 - prevent rapidly repeated visual bells from hanging metacity
   (Elijah) [#322032]
 - more careful error handling of values returned by GConf (Elijah)
   [#326615]
 - fix various initialization and default issues, especially for
   running with --disable-gconf.  Make --disable-gconf actually work.
   (Elijah) [#326661]
 - fix some reading-from-free'd-data errors (Søren) [#327575]
 - fix an uninitialized value problem when in raise-on-click mode
   (Søren) [#327572]
 - avoid flashing original-sized window when closing a maximized
   window (Elijah) [#317254]
 - prevent windows from sometimes getting shoved and smashed by
   sliding (and possibly auto-hiding) panels (Elijah) [#327822]

Translations
  Ilkka Tuohela (fi), Ignacio Casal Quinteiro (gl), Tino Meinen (nl),
  Funda Wang (zh_CN)

2.13.21
==

Thanks to Damien Carbery, Ray Strode, Søren Sandmann, Elijah
Newren, Jens Granseuer, and Kyle Ambroff for improvements in this
release.

  - Fix Solaris compilation issues (Ray, Damien) [#326281, #326746]
  - Merge compositor work from branches to get the beginnings of an openGL
    based compositor.  Still not ready and thus disabled by default.
    (Søren)
  - Composite fixes: Only update composite on damage events (Søren), get
    non-composite compilation working again (Elijah), Really turn off
    draw-in-a-loop (Søren)
  - Don't dereference a NULL string (Elijah) [#327013]
  - GCC 2.95 fix; remove more C99 style variable initiailizations (Jens)
    [#327050]
  - Fix accidental overzealous focus holding by the terminal (introduced in
    last release) so that windows launched from panel icons, the panel
    menu, or global keybindings should get focus now.  (Elijah) [#326159]
  - If no valid window is found in the MRU list, then set focus to the
    desktop window. (Kyle) [#317405]

Translations
  Adam Weinberger (en_CA), Francisco Javier F. Serrador (es), Ankit
  Patel (gu), Takeshi AIHANA (ja), Theppitak Karoonboonyanan (th),
  Clytie Siddall (vi)

2.13.13
==

Thanks to Jens Granseuer, Björn Lindqvist, and Elijah Newren for
improvements in this release.

 - Remove C99 style variable initiailization (Jens) [#322622]
 - Fix a logic error (Björn) [#322149]
 - Plug a few leaks (Elijah) [#309178]
 - Allow edge resistance at both sides of a window and also when edges
   don't overlap but are a single pixel away from doing so (Elijah)
   [part of #321905]
 - Remove the timeout resistance at screen/xinerama edges (Elijah)
   [part of #321905]
 - Revert to the old edge resistance behavior for keyboard
   movement/resizing based resistance (Elijah) [part of #321905]
 - Remove the "pull-away" edge resistance (Elijah) [part of #321905]
 - Avoid crashing when visual bell is in use and focus window is
   closed (Elijah) [#322031]
 - Be more strict about what is considered a valid region with partial
   struts (Elijah) [#322070]
 - Fix reduced resources resize handling for windows with sizing or
   resizing constraints (Elijah) [#325774]
 - Fix window outline for minimized windows when using alt-esc
   (Elijah) [#325092]
 - Make the taskbar less flash happy and fix up some related stacking
   issues (Elijah) [#326035]
 - More thorough handling of source indication (Elijah) [part of #326041]
 - Don't "steal" focus from terminal windows for new window mappings
   as the difference in usage between terminals and other apps seems
   to suggest this difference in treatment.  See bug #326159 for
   details, feedback welcome (Elijah) [#326159]
 - Add a raise on click option, basically only because all the major
   distros are patching it in anyway (though each and every one of
   them has bugs in their implementations).  (Elijah) [#326156]

Translations
  Kjartan Maraas (nb), Kjartan Maraas (no)

2.13.8
==

Thanks to Kang Jeong-Hee and Elijah Newren for improvements in this
release.

 - Fix some compilation warnings and issues (Kang)
 - Escape the title since it is going to be treated as Markup (Elijah)
   [#324846]
 - Make the workspace switcher work with dual-head (non-xinerama)
   setups (Elijah) [#319423]

Translations
  Ilkka Tuohela (fi), Ankit Patel (gu), Kang Joeng-Hee (ko)

2.13.5
==

Thanks to Davyd Madeley, Kjartan Maraas, and Björn Lindqvist for
improvements in this release.

 - Make a debugging message actually correspond to the code (Björn)
   [#322051]
 - Make the wireframe a bit slimmer (Kjartan) [#320051]
 - Display hostname in titlebar for remote X clients (Davyd) [#322202]

Translations
  Miloslav Trmac (cs), Adam Weinberger (en_CA), Ankit Patel (gu),
  Kjartan Maraas (nb), Kjartan Maraas (no), Marcel Telka (sk)

2.13.3
==

This is a special edition release just for gicmo, code-named 'elijah,
please do a release so magic seb can bring it to me'.  It fixes a
number of issues due to the major constraints changes found since the
last release.

Thanks to Davyd Madeley and Elijah Newren for improvements in this release.

 - Differentiate between movement towards an edge and movement away from
   one for edge-resistance.  Pick smaller constants for movement away from
   an edge (Elijah)
 - Use GPOINTER_TO_INT() macro instead of cast to allow compilation on
   64-bit architectures without warning (Davyd)
 - compute the frame geometry due to maximization only after actually
   maximizing (Elijah) [#321902]
 - add some developer documentation on updating struts, workareas, regions,
   and edges (Elijah)
 - When updating the xinerama due to placement, update which
   maximal/spanning rect set to use as well (Elijah) [#322068]
 - Relax the partially onscreen constraint to allow the titlebar to touch
